// SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause)
        //
        // THIS FILE IS AUTOGENERATED BY CARGO-LIBBPF-GEN!

        pub use self::imp::*;

        #[allow(dead_code)]
        #[allow(non_snake_case)]
        #[allow(non_camel_case_types)]
        #[allow(clippy::absolute_paths)]
        #[allow(clippy::upper_case_acronyms)]
        #[allow(clippy::zero_repeat_side_effects)]
        #[warn(single_use_lifetimes)]
        mod imp {
        #[allow(unused_imports)]
        use super::*;
        use libbpf_rs::libbpf_sys;
        use libbpf_rs::skel::OpenSkel;
        use libbpf_rs::skel::Skel;
        use libbpf_rs::skel::SkelBuilder;
        use libbpf_rs::AsRawLibbpf as _;
        use libbpf_rs::MapCore as _;
        fn build_skel_config() -> libbpf_rs::Result<libbpf_rs::__internal_skel::ObjectSkeletonConfig<'static>>
        {
            let mut builder = libbpf_rs::__internal_skel::ObjectSkeletonConfigBuilder::new(DATA);
            builder
                .name("kprobe_bpf")
        .map("global_config_map", false)
.map("counters_map", false)
.map("events_map", false)
.map("log_map", false)
.map("filter_meta_map", false)
.map("tracking_config_map", false)
.map("tracking_map", false)
.map("config_map", false)
.map("stack_map", false)
.map("kprobe_b.rodata", true)
.map("kprobe_b.bss", false)
.prog("probe_kprobe")
;
builder.build()
        }
        pub struct OpenKprobeMaps<'obj> {
        pub global_config_map: libbpf_rs::OpenMapMut<'obj>,
            pub counters_map: libbpf_rs::OpenMapMut<'obj>,
            pub events_map: libbpf_rs::OpenMapMut<'obj>,
            pub log_map: libbpf_rs::OpenMapMut<'obj>,
            pub filter_meta_map: libbpf_rs::OpenMapMut<'obj>,
            pub tracking_config_map: libbpf_rs::OpenMapMut<'obj>,
            pub tracking_map: libbpf_rs::OpenMapMut<'obj>,
            pub config_map: libbpf_rs::OpenMapMut<'obj>,
            pub stack_map: libbpf_rs::OpenMapMut<'obj>,
            pub rodata: libbpf_rs::OpenMapMut<'obj>,
            pub rodata_data: &'obj mut types::rodata,
                    pub bss: libbpf_rs::OpenMapMut<'obj>,
            _phantom: std::marker::PhantomData<&'obj ()>,
                }

                impl<'obj> OpenKprobeMaps<'obj> {
                    #[allow(unused_variables)]
                    unsafe fn new(
                        config: &libbpf_rs::__internal_skel::ObjectSkeletonConfig<'_>,
                        object: &mut libbpf_rs::OpenObject,
                    ) -> libbpf_rs::Result<Self> {
        let mut global_config_map = None;
let mut counters_map = None;
let mut events_map = None;
let mut log_map = None;
let mut filter_meta_map = None;
let mut tracking_config_map = None;
let mut tracking_map = None;
let mut config_map = None;
let mut stack_map = None;
let mut rodata = None;
let mut bss = None;
let object = unsafe {
                            std::mem::transmute::<&mut libbpf_rs::OpenObject, &'obj mut libbpf_rs::OpenObject>(object)
                        };
                        #[allow(clippy::never_loop)]
                        for map in object.maps_mut() {
                            let name = map
                                .name()
                                .to_str()
                                .ok_or_else(|| {
                                    libbpf_rs::Error::from(std::io::Error::new(
                                        std::io::ErrorKind::InvalidData,
                                        "map has invalid name",
                                    ))
                                })?;
                            #[allow(clippy::match_single_binding)]
                            match name {
        "global_config_map" => global_config_map = Some(map),
            "counters_map" => counters_map = Some(map),
            "events_map" => events_map = Some(map),
            "log_map" => log_map = Some(map),
            "filter_meta_map" => filter_meta_map = Some(map),
            "tracking_config_map" => tracking_config_map = Some(map),
            "tracking_map" => tracking_map = Some(map),
            "config_map" => config_map = Some(map),
            "stack_map" => stack_map = Some(map),
            "kprobe_b.rodata" => rodata = Some(map),
            "kprobe_b.bss" => bss = Some(map),
            _ => panic!("encountered unexpected map: `{name}`"),
                            }
                        }

                        let slf = Self {
        global_config_map: global_config_map.expect("map `global_config_map` not present"),
            counters_map: counters_map.expect("map `counters_map` not present"),
            events_map: events_map.expect("map `events_map` not present"),
            log_map: log_map.expect("map `log_map` not present"),
            filter_meta_map: filter_meta_map.expect("map `filter_meta_map` not present"),
            tracking_config_map: tracking_config_map.expect("map `tracking_config_map` not present"),
            tracking_map: tracking_map.expect("map `tracking_map` not present"),
            config_map: config_map.expect("map `config_map` not present"),
            stack_map: stack_map.expect("map `stack_map` not present"),
            rodata: rodata.expect("map `rodata` not present"),
            rodata_data: unsafe {
                                    config
                                        .map_mmap_ptr(9)
                                        .expect("BPF map `rodata` does not have mmap pointer")
                                        .cast::<types::rodata>()
                                        .as_mut()
                                        .expect("BPF map `rodata` mmap pointer is NULL")
                                },
                    bss: bss.expect("map `bss` not present"),
            _phantom: std::marker::PhantomData,
                        };
                        Ok(slf)
                    }
                }
        pub struct KprobeMaps<'obj> {
        pub global_config_map: libbpf_rs::MapMut<'obj>,
            pub counters_map: libbpf_rs::MapMut<'obj>,
            pub events_map: libbpf_rs::MapMut<'obj>,
            pub log_map: libbpf_rs::MapMut<'obj>,
            pub filter_meta_map: libbpf_rs::MapMut<'obj>,
            pub tracking_config_map: libbpf_rs::MapMut<'obj>,
            pub tracking_map: libbpf_rs::MapMut<'obj>,
            pub config_map: libbpf_rs::MapMut<'obj>,
            pub stack_map: libbpf_rs::MapMut<'obj>,
            pub rodata: libbpf_rs::MapMut<'obj>,
            pub rodata_data: &'obj types::rodata,
                    pub bss: libbpf_rs::MapMut<'obj>,
            _phantom: std::marker::PhantomData<&'obj ()>,
                }

                impl<'obj> KprobeMaps<'obj> {
                    #[allow(unused_variables)]
                    unsafe fn new(
                        config: &libbpf_rs::__internal_skel::ObjectSkeletonConfig<'_>,
                        object: &mut libbpf_rs::Object,
                    ) -> libbpf_rs::Result<Self> {
        let mut global_config_map = None;
let mut counters_map = None;
let mut events_map = None;
let mut log_map = None;
let mut filter_meta_map = None;
let mut tracking_config_map = None;
let mut tracking_map = None;
let mut config_map = None;
let mut stack_map = None;
let mut rodata = None;
let mut bss = None;
let object = unsafe {
                            std::mem::transmute::<&mut libbpf_rs::Object, &'obj mut libbpf_rs::Object>(object)
                        };
                        #[allow(clippy::never_loop)]
                        for map in object.maps_mut() {
                            let name = map
                                .name()
                                .to_str()
                                .ok_or_else(|| {
                                    libbpf_rs::Error::from(std::io::Error::new(
                                        std::io::ErrorKind::InvalidData,
                                        "map has invalid name",
                                    ))
                                })?;
                            #[allow(clippy::match_single_binding)]
                            match name {
        "global_config_map" => global_config_map = Some(map),
            "counters_map" => counters_map = Some(map),
            "events_map" => events_map = Some(map),
            "log_map" => log_map = Some(map),
            "filter_meta_map" => filter_meta_map = Some(map),
            "tracking_config_map" => tracking_config_map = Some(map),
            "tracking_map" => tracking_map = Some(map),
            "config_map" => config_map = Some(map),
            "stack_map" => stack_map = Some(map),
            "kprobe_b.rodata" => rodata = Some(map),
            "kprobe_b.bss" => bss = Some(map),
            _ => panic!("encountered unexpected map: `{name}`"),
                            }
                        }

                        let slf = Self {
        global_config_map: global_config_map.expect("map `global_config_map` not present"),
            counters_map: counters_map.expect("map `counters_map` not present"),
            events_map: events_map.expect("map `events_map` not present"),
            log_map: log_map.expect("map `log_map` not present"),
            filter_meta_map: filter_meta_map.expect("map `filter_meta_map` not present"),
            tracking_config_map: tracking_config_map.expect("map `tracking_config_map` not present"),
            tracking_map: tracking_map.expect("map `tracking_map` not present"),
            config_map: config_map.expect("map `config_map` not present"),
            stack_map: stack_map.expect("map `stack_map` not present"),
            rodata: rodata.expect("map `rodata` not present"),
            rodata_data: unsafe {
                                    config
                                        .map_mmap_ptr(9)
                                        .expect("BPF map `rodata` does not have mmap pointer")
                                        .cast::<types::rodata>()
                                        .as_ref()
                                        .expect("BPF map `rodata` mmap pointer is NULL")
                                },
                    bss: bss.expect("map `bss` not present"),
            _phantom: std::marker::PhantomData,
                        };
                        Ok(slf)
                    }
                }
        pub struct OpenKprobeProgs<'obj> {
        pub probe_kprobe: libbpf_rs::OpenProgramMut<'obj>,
            _phantom: std::marker::PhantomData<&'obj ()>,
                }

                impl<'obj> OpenKprobeProgs<'obj> {
                    unsafe fn new(
                        object: &mut libbpf_rs::OpenObject,
                    ) -> libbpf_rs::Result<Self> {
        let mut probe_kprobe = None;
let object = unsafe {
                            std::mem::transmute::<&mut libbpf_rs::OpenObject, &'obj mut libbpf_rs::OpenObject>(object)
                        };
                        for prog in object.progs_mut() {
                            let name = prog
                                .name()
                                .to_str()
                                .ok_or_else(|| {
                                    libbpf_rs::Error::from(std::io::Error::new(
                                        std::io::ErrorKind::InvalidData,
                                        "prog has invalid name",
                                    ))
                                })?;
                            match name {
              "probe_kprobe" => probe_kprobe = Some(prog),
_ => panic!("encountered unexpected prog: `{name}`"),
                            }
                        }

                        let slf = Self {
        probe_kprobe: probe_kprobe.expect("prog `probe_kprobe` not present"),
            _phantom: std::marker::PhantomData,
                        };
                        Ok(slf)
                    }
                }
        pub struct KprobeProgs<'obj> {
        pub probe_kprobe: libbpf_rs::ProgramMut<'obj>,
            _phantom: std::marker::PhantomData<&'obj ()>,
                }

                impl<'obj> KprobeProgs<'obj> {
                    #[allow(unused_variables)]
                    fn new(open_progs: OpenKprobeProgs<'obj>) -> Self {
                        Self {
        probe_kprobe: unsafe {
                                libbpf_rs::ProgramMut::new_mut(open_progs.probe_kprobe.as_libbpf_object().as_mut())
                            },
            _phantom: std::marker::PhantomData,
                        }
                    }
                }
        struct OwnedRef<'obj, O> {
            object: Option<&'obj mut std::mem::MaybeUninit<O>>,
        }

        impl<'obj, O> OwnedRef<'obj, O> {
            /// # Safety
            /// The object has to be initialized.
            unsafe fn new(object: &'obj mut std::mem::MaybeUninit<O>) -> Self {
                Self {
                    object: Some(object),
                }
            }

            fn as_ref(&self) -> &O {
                // SAFETY: As per the contract during construction, the
                //         object has to be initialized.
                unsafe { self.object.as_ref().unwrap().assume_init_ref() }
            }

            fn as_mut(&mut self) -> &mut O {
                // SAFETY: As per the contract during construction, the
                //         object has to be initialized.
                unsafe { self.object.as_mut().unwrap().assume_init_mut() }
            }

            fn take(mut self) -> &'obj mut std::mem::MaybeUninit<O> {
                self.object.take().unwrap()
            }
        }

        impl<O> Drop for OwnedRef<'_, O> {
            fn drop(&mut self) {
                if let Some(object) = &mut self.object {
                    unsafe { object.assume_init_drop() }
                }
            }
        }

        #[derive(Default)]
        pub struct KprobeSkelBuilder {
            pub obj_builder: libbpf_rs::ObjectBuilder,
        }

        impl<'obj> KprobeSkelBuilder {
            fn open_opts_impl(
                self,
                open_opts: *const libbpf_sys::bpf_object_open_opts,
                object: &'obj mut std::mem::MaybeUninit<libbpf_rs::OpenObject>,
            ) -> libbpf_rs::Result<OpenKprobeSkel<'obj>> {
                let skel_config = build_skel_config()?;
                let skel_ptr = skel_config.as_libbpf_object();

                let ret = unsafe { libbpf_sys::bpf_object__open_skeleton(skel_ptr.as_ptr(), open_opts) };
                if ret != 0 {
                    return Err(libbpf_rs::Error::from_raw_os_error(-ret));
                }

                // SAFETY: `skel_ptr` points to a valid object after the
                //         open call.
                let obj_ptr = unsafe { *skel_ptr.as_ref().obj };
                // SANITY: `bpf_object__open_skeleton` should have
                //         allocated the object.
                let obj_ptr = std::ptr::NonNull::new(obj_ptr).unwrap();
                // SAFETY: `obj_ptr` points to an opened object after
                //         skeleton open.
                let obj = unsafe { libbpf_rs::OpenObject::from_ptr(obj_ptr) };
                let _obj = object.write(obj);
                // SAFETY: We just wrote initialized data to `object`.
                let mut obj_ref = unsafe { OwnedRef::new(object) };

                #[allow(unused_mut)]
                let mut skel = OpenKprobeSkel {
                    maps: unsafe { OpenKprobeMaps::new(&skel_config, obj_ref.as_mut())? },
                    progs: unsafe { OpenKprobeProgs::new(obj_ref.as_mut())? },
                    obj: obj_ref,
                    // SAFETY: Our `struct_ops` type contains only pointers,
                    //         which are allowed to be NULL.
                    // TODO: Generate and use a `Default` representation
                    //       instead, to cut down on unsafe code.
                    struct_ops: unsafe { std::mem::zeroed() },
                    skel_config
                };
                
                Ok(skel)
            }
        }

        impl<'obj> SkelBuilder<'obj> for KprobeSkelBuilder {
            type Output = OpenKprobeSkel<'obj>;
            fn open(
                self,
                object: &'obj mut std::mem::MaybeUninit<libbpf_rs::OpenObject>,
            ) -> libbpf_rs::Result<OpenKprobeSkel<'obj>> {
                self.open_opts_impl(std::ptr::null(), object)
            }

            fn open_opts(
                self,
                open_opts: libbpf_sys::bpf_object_open_opts,
                object: &'obj mut std::mem::MaybeUninit<libbpf_rs::OpenObject>,
            ) -> libbpf_rs::Result<OpenKprobeSkel<'obj>> {
                self.open_opts_impl(&open_opts, object)
            }

            fn object_builder(&self) -> &libbpf_rs::ObjectBuilder {
                &self.obj_builder
            }
            fn object_builder_mut(&mut self) -> &mut libbpf_rs::ObjectBuilder {
                &mut self.obj_builder
            }
        }
        
#[derive(Debug, Clone)]
#[repr(C)]
pub struct StructOps {
}

impl StructOps {
}
pub mod types {
                    #[allow(unused_imports)]
                    use super::*;
            #[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct retis_global_config {
    pub enabled: u8,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_1 {
    pub r#type: *mut [i32; 1],
    pub max_entries: *mut [i32; 1],
    pub key: *mut u8,
    pub value: *mut retis_global_config,
}
impl Default for __anon_1 {
    fn default() -> Self {
        Self {
            r#type: std::ptr::null_mut(),
            max_entries: std::ptr::null_mut(),
            key: std::ptr::null_mut(),
            value: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct retis_counters_key {
    pub sym_addr: u64,
    pub pid: u64,
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct retis_counters {
    pub dropped_events: u64,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_2 {
    pub r#type: *mut [i32; 1],
    pub max_entries: *mut [i32; 1024],
    pub key: *mut retis_counters_key,
    pub value: *mut retis_counters,
}
impl Default for __anon_2 {
    fn default() -> Self {
        Self {
            r#type: std::ptr::null_mut(),
            max_entries: std::ptr::null_mut(),
            key: std::ptr::null_mut(),
            value: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_3 {
    pub r#type: *mut [i32; 27],
    pub max_entries: *mut [i32; 8388608],
}
impl Default for __anon_3 {
    fn default() -> Self {
        Self {
            r#type: std::ptr::null_mut(),
            max_entries: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_4 {
    pub r#type: *mut [i32; 27],
    pub max_entries: *mut [i32; 16384],
}
impl Default for __anon_4 {
    fn default() -> Self {
        Self {
            r#type: std::ptr::null_mut(),
            max_entries: std::ptr::null_mut(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union retis_meta_op {
    pub l: __anon_5,
    pub t: __anon_6,
}
impl std::fmt::Debug for retis_meta_op {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for retis_meta_op {
    fn default() -> Self {
        Self {
            l: __anon_5::default(),
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct __anon_5 {
    pub r#type: u8,
    pub nmemb: u8,
    pub offt: u16,
    pub bf_size: u8,
    pub mask: u64,
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct __anon_6 {
    pub md: [u8; 32],
    pub sz: u8,
    pub cmp: u8,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_7 {
    pub r#type: *mut [i32; 2],
    pub max_entries: *mut [i32; 32],
    pub key: *mut u32,
    pub value: *mut retis_meta_op,
}
impl Default for __anon_7 {
    fn default() -> Self {
        Self {
            r#type: std::ptr::null_mut(),
            max_entries: std::ptr::null_mut(),
            key: std::ptr::null_mut(),
            value: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct tracking_config {
    pub free: u8,
    pub partial_free: u8,
    pub inv_head: u8,
    pub no_tracking: u8,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_8 {
    pub r#type: *mut [i32; 1],
    pub max_entries: *mut [i32; 1024],
    pub key: *mut u64,
    pub value: *mut tracking_config,
}
impl Default for __anon_8 {
    fn default() -> Self {
        Self {
            r#type: std::ptr::null_mut(),
            max_entries: std::ptr::null_mut(),
            key: std::ptr::null_mut(),
            value: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct tracking_info {
    pub timestamp: u64,
    pub last_seen: u64,
    pub orig_head: u64,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_9 {
    pub r#type: *mut [i32; 1],
    pub max_entries: *mut [i32; 8192],
    pub key: *mut u64,
    pub value: *mut tracking_info,
}
impl Default for __anon_9 {
    fn default() -> Self {
        Self {
            r#type: std::ptr::null_mut(),
            max_entries: std::ptr::null_mut(),
            key: std::ptr::null_mut(),
            value: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct retis_probe_config {
    pub offsets: retis_probe_offsets,
    pub stack_trace: u8,
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct retis_probe_offsets {
    pub sk_buff: i8,
    pub skb_drop_reason: i8,
    pub net_device: i8,
    pub net: i8,
    pub nft_pktinfo: i8,
    pub nft_traceinfo: i8,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_10 {
    pub r#type: *mut [i32; 1],
    pub max_entries: *mut [i32; 1024],
    pub key: *mut u64,
    pub value: *mut retis_probe_config,
}
impl Default for __anon_10 {
    fn default() -> Self {
        Self {
            r#type: std::ptr::null_mut(),
            max_entries: std::ptr::null_mut(),
            key: std::ptr::null_mut(),
            value: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_11 {
    pub r#type: *mut [i32; 7],
    pub max_entries: *mut [i32; 4096],
    pub key_size: *mut [i32; 4],
    pub value_size: *mut [i32; 1016],
}
impl Default for __anon_11 {
    fn default() -> Self {
        Self {
            r#type: std::ptr::null_mut(),
            max_entries: std::ptr::null_mut(),
            key_size: std::ptr::null_mut(),
            value_size: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct retis_context {
    pub probe_type: std::mem::MaybeUninit<kernel_probe_type>,
    pub __pad_4: [u8; 4],
    pub timestamp: u64,
    pub ksym: u64,
    pub offsets: retis_probe_offsets,
    pub regs: retis_regs,
    pub orig_ctx: *mut std::ffi::c_void,
    pub filters_ret: u32,
    pub __pad_156: [u8; 4],
}
impl Default for retis_context {
    fn default() -> Self {
        Self {
            probe_type: std::mem::MaybeUninit::new(kernel_probe_type::default()),
            __pad_4: [u8::default(); 4],
            timestamp: u64::default(),
            ksym: u64::default(),
            offsets: retis_probe_offsets::default(),
            regs: retis_regs::default(),
            orig_ctx: std::ptr::null_mut(),
            filters_ret: u32::default(),
            __pad_156: [u8::default(); 4],
        }
    }
}
#[derive(Debug, Copy, Clone, Default, PartialEq, Eq)]
#[repr(u32)]
pub enum kernel_probe_type {
    #[default]
    KERNEL_PROBE_KPROBE = 0,
    KERNEL_PROBE_KRETPROBE = 1,
    KERNEL_PROBE_TRACEPOINT = 2,
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct retis_regs {
    pub reg: [u64; 12],
    pub ret: u64,
    pub num: u32,
    pub __pad_108: [u8; 4],
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct retis_raw_event {
    pub size: u16,
    pub data: [u8; 1022],
}
impl Default for retis_raw_event {
    fn default() -> Self {
        Self {
            size: u16::default(),
            data: [u8::default(); 1022],
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct pt_regs {
    pub r15: u64,
    pub r14: u64,
    pub r13: u64,
    pub r12: u64,
    pub bp: u64,
    pub bx: u64,
    pub r11: u64,
    pub r10: u64,
    pub r9: u64,
    pub r8: u64,
    pub ax: u64,
    pub cx: u64,
    pub dx: u64,
    pub si: u64,
    pub di: u64,
    pub orig_ax: u64,
    pub ip: u64,
    pub __anon_12: __anon_12,
    pub flags: u64,
    pub sp: u64,
    pub __anon_13: __anon_13,
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_12 {
    pub cs: u16,
    pub csx: u64,
    pub fred_cs: fred_cs,
}
impl std::fmt::Debug for __anon_12 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_12 {
    fn default() -> Self {
        Self {
            cs: u16::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_13 {
    pub ss: u16,
    pub ssx: u64,
    pub fred_ss: fred_ss,
}
impl std::fmt::Debug for __anon_13 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_13 {
    fn default() -> Self {
        Self {
            ss: u16::default(),
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct fred_cs {
    pub __pad_0: [u8; 8],
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct fred_ss {
    pub __pad_0: [u8; 8],
}
#[derive(Debug, Copy, Clone, Default, PartialEq, Eq)]
#[repr(u32)]
pub enum bpf_func_id___x {
    #[default]
    BPF_FUNC_get_func_ip___5_15_0 = 42,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct nft_traceinfo {
    pub trace: std::mem::MaybeUninit<bool>,
    pub nf_trace: std::mem::MaybeUninit<bool>,
    pub packet_dumped: std::mem::MaybeUninit<bool>,
    pub skbid: u32,
    pub basechain: *mut std::ffi::c_void,
}
impl Default for nft_traceinfo {
    fn default() -> Self {
        Self {
            trace: std::mem::MaybeUninit::new(bool::default()),
            nf_trace: std::mem::MaybeUninit::new(bool::default()),
            packet_dumped: std::mem::MaybeUninit::new(bool::default()),
            skbid: u32::default(),
            basechain: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Copy, Clone, Default, PartialEq, Eq)]
#[repr(u32)]
pub enum nft_trace_types {
    #[default]
    NFT_TRACETYPE_UNSPEC = 0,
    NFT_TRACETYPE_POLICY = 1,
    NFT_TRACETYPE_RETURN = 2,
    NFT_TRACETYPE_RULE = 3,
    __NFT_TRACETYPE_MAX = 4,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct nft_pktinfo {
    pub skb: *mut sk_buff,
    pub state: *mut std::ffi::c_void,
    pub flags: u8,
    pub tprot: u8,
    pub fragoff: u16,
    pub thoff: u16,
    pub inneroff: u16,
}
impl Default for nft_pktinfo {
    fn default() -> Self {
        Self {
            skb: std::ptr::null_mut(),
            state: std::ptr::null_mut(),
            flags: u8::default(),
            tprot: u8::default(),
            fragoff: u16::default(),
            thoff: u16::default(),
            inneroff: u16::default(),
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct sk_buff {
    pub __anon_14: __anon_14,
    pub sk: *mut std::ffi::c_void,
    pub __anon_15: __anon_15,
    pub cb: [i8; 48],
    pub __anon_16: __anon_16,
    pub _nfct: u64,
    pub len: u32,
    pub data_len: u32,
    pub mac_len: u16,
    pub hdr_len: u16,
    pub queue_mapping: u16,
    pub __cloned_offset: [u8; 0],
    pub __pad_126: [u8; 1],
    pub active_extensions: u8,
    pub __anon_17: __anon_17,
    pub tail: u32,
    pub end: u32,
    pub __pad_196: [u8; 4],
    pub head: *mut u8,
    pub data: *mut u8,
    pub truesize: u32,
    pub users: refcount_struct,
    pub extensions: *mut std::ffi::c_void,
}
impl Default for sk_buff {
    fn default() -> Self {
        Self {
            __anon_14: __anon_14::default(),
            sk: std::ptr::null_mut(),
            __anon_15: __anon_15::default(),
            cb: [i8::default(); 48],
            __anon_16: __anon_16::default(),
            _nfct: u64::default(),
            len: u32::default(),
            data_len: u32::default(),
            mac_len: u16::default(),
            hdr_len: u16::default(),
            queue_mapping: u16::default(),
            __cloned_offset: [u8::default(); 0],
            __pad_126: [u8::default(); 1],
            active_extensions: u8::default(),
            __anon_17: __anon_17::default(),
            tail: u32::default(),
            end: u32::default(),
            __pad_196: [u8::default(); 4],
            head: std::ptr::null_mut(),
            data: std::ptr::null_mut(),
            truesize: u32::default(),
            users: refcount_struct::default(),
            extensions: std::ptr::null_mut(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_14 {
    pub __anon_18: __anon_18,
    pub rbnode: rb_node,
    pub list: list_head,
    pub ll_node: llist_node,
}
impl std::fmt::Debug for __anon_14 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_14 {
    fn default() -> Self {
        Self {
            __anon_18: __anon_18::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_15 {
    pub tstamp: i64,
    pub skb_mstamp_ns: u64,
}
impl std::fmt::Debug for __anon_15 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_15 {
    fn default() -> Self {
        Self {
            tstamp: i64::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_16 {
    pub __anon_19: __anon_19,
    pub tcp_tsorted_anchor: list_head,
    pub _sk_redir: u64,
}
impl std::fmt::Debug for __anon_16 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_16 {
    fn default() -> Self {
        Self {
            __anon_19: __anon_19::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_17 {
    pub __anon_20: __anon_20,
    pub headers: __anon_21,
}
impl std::fmt::Debug for __anon_17 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_17 {
    fn default() -> Self {
        Self {
            __anon_20: __anon_20::default(),
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct refcount_struct {
    pub refs: __anon_22,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_18 {
    pub next: *mut sk_buff,
    pub prev: *mut sk_buff,
    pub __anon_23: __anon_23,
}
impl Default for __anon_18 {
    fn default() -> Self {
        Self {
            next: std::ptr::null_mut(),
            prev: std::ptr::null_mut(),
            __anon_23: __anon_23::default(),
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct rb_node {
    pub __rb_parent_color: u64,
    pub rb_right: *mut rb_node,
    pub rb_left: *mut rb_node,
}
impl Default for rb_node {
    fn default() -> Self {
        Self {
            __rb_parent_color: u64::default(),
            rb_right: std::ptr::null_mut(),
            rb_left: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct list_head {
    pub next: *mut list_head,
    pub prev: *mut list_head,
}
impl Default for list_head {
    fn default() -> Self {
        Self {
            next: std::ptr::null_mut(),
            prev: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct llist_node {
    pub next: *mut llist_node,
}
impl Default for llist_node {
    fn default() -> Self {
        Self {
            next: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct __anon_19 {
    pub _skb_refdst: u64,
    pub destructor: *mut std::ffi::c_void,
}
impl Default for __anon_19 {
    fn default() -> Self {
        Self {
            _skb_refdst: u64::default(),
            destructor: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct __anon_20 {
    pub __pkt_type_offset: [u8; 0],
    pub __pad_0: [u8; 1],
    pub __mono_tc_offset: [u8; 0],
    pub __pad_1: [u8; 5],
    pub tc_index: u16,
    pub alloc_cpu: u16,
    pub __anon_24: __anon_24,
    pub priority: u32,
    pub skb_iif: i32,
    pub hash: u32,
    pub __anon_25: __anon_25,
    pub __anon_26: __anon_26,
    pub secmark: u32,
    pub __anon_27: __anon_27,
    pub __anon_28: __anon_28,
    pub inner_transport_header: u16,
    pub inner_network_header: u16,
    pub inner_mac_header: u16,
    pub protocol: u16,
    pub transport_header: u16,
    pub network_header: u16,
    pub mac_header: u16,
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct __anon_21 {
    pub __pkt_type_offset: [u8; 0],
    pub __pad_0: [u8; 1],
    pub __mono_tc_offset: [u8; 0],
    pub __pad_1: [u8; 5],
    pub tc_index: u16,
    pub alloc_cpu: u16,
    pub __anon_29: __anon_29,
    pub priority: u32,
    pub skb_iif: i32,
    pub hash: u32,
    pub __anon_30: __anon_30,
    pub __anon_31: __anon_31,
    pub secmark: u32,
    pub __anon_32: __anon_32,
    pub __anon_33: __anon_33,
    pub inner_transport_header: u16,
    pub inner_network_header: u16,
    pub inner_mac_header: u16,
    pub protocol: u16,
    pub transport_header: u16,
    pub network_header: u16,
    pub mac_header: u16,
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct __anon_22 {
    pub counter: i32,
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_23 {
    pub dev: *mut std::ffi::c_void,
    pub dev_scratch: u64,
}
impl std::fmt::Debug for __anon_23 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_23 {
    fn default() -> Self {
        Self {
            dev: std::ptr::null_mut(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_24 {
    pub csum: u32,
    pub __anon_34: __anon_34,
}
impl std::fmt::Debug for __anon_24 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_24 {
    fn default() -> Self {
        Self {
            csum: u32::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_25 {
    pub vlan_all: u32,
    pub __anon_35: __anon_35,
}
impl std::fmt::Debug for __anon_25 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_25 {
    fn default() -> Self {
        Self {
            vlan_all: u32::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_26 {
    pub napi_id: u32,
    pub sender_cpu: u32,
}
impl std::fmt::Debug for __anon_26 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_26 {
    fn default() -> Self {
        Self {
            napi_id: u32::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_27 {
    pub mark: u32,
    pub reserved_tailroom: u32,
}
impl std::fmt::Debug for __anon_27 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_27 {
    fn default() -> Self {
        Self {
            mark: u32::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_28 {
    pub inner_protocol: u16,
    pub inner_ipproto: u8,
}
impl std::fmt::Debug for __anon_28 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_28 {
    fn default() -> Self {
        Self {
            inner_protocol: u16::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_29 {
    pub csum: u32,
    pub __anon_36: __anon_36,
}
impl std::fmt::Debug for __anon_29 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_29 {
    fn default() -> Self {
        Self {
            csum: u32::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_30 {
    pub vlan_all: u32,
    pub __anon_37: __anon_37,
}
impl std::fmt::Debug for __anon_30 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_30 {
    fn default() -> Self {
        Self {
            vlan_all: u32::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_31 {
    pub napi_id: u32,
    pub sender_cpu: u32,
}
impl std::fmt::Debug for __anon_31 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_31 {
    fn default() -> Self {
        Self {
            napi_id: u32::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_32 {
    pub mark: u32,
    pub reserved_tailroom: u32,
}
impl std::fmt::Debug for __anon_32 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_32 {
    fn default() -> Self {
        Self {
            mark: u32::default(),
        }
    }
}
#[derive(Copy, Clone)]
#[repr(C)]
pub union __anon_33 {
    pub inner_protocol: u16,
    pub inner_ipproto: u8,
}
impl std::fmt::Debug for __anon_33 {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "(???)")
    }
}
impl Default for __anon_33 {
    fn default() -> Self {
        Self {
            inner_protocol: u16::default(),
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct __anon_34 {
    pub csum_start: u16,
    pub csum_offset: u16,
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct __anon_35 {
    pub vlan_proto: u16,
    pub vlan_tci: u16,
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct __anon_36 {
    pub csum_start: u16,
    pub csum_offset: u16,
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct __anon_37 {
    pub vlan_proto: u16,
    pub vlan_tci: u16,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct nft_traceinfo___6_3_0 {
    pub pkt: *mut nft_pktinfo,
    pub rule: *mut std::ffi::c_void,
    pub verdict: *mut std::ffi::c_void,
}
impl Default for nft_traceinfo___6_3_0 {
    fn default() -> Self {
        Self {
            pkt: std::ptr::null_mut(),
            rule: std::ptr::null_mut(),
            verdict: std::ptr::null_mut(),
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct bss {
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct maps {
    pub global_config_map: __anon_1,
    pub counters_map: __anon_2,
    pub events_map: __anon_3,
    pub log_map: __anon_4,
    pub filter_meta_map: __anon_7,
    pub tracking_config_map: __anon_8,
    pub tracking_map: __anon_9,
    pub config_map: __anon_10,
    pub stack_map: __anon_11,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct rodata {
    pub log_level: u8,
    pub nmeta: u32,
    pub nhooks: u32,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct license {
    pub __license: [i8; 4],
}
}
pub struct OpenKprobeSkel<'obj> {
            obj: OwnedRef<'obj, libbpf_rs::OpenObject>,
            pub maps: OpenKprobeMaps<'obj>,
            pub progs: OpenKprobeProgs<'obj>,
            pub struct_ops: StructOps,
            skel_config: libbpf_rs::__internal_skel::ObjectSkeletonConfig<'obj>,
        }

        impl<'obj> OpenSkel<'obj> for OpenKprobeSkel<'obj> {
            type Output = KprobeSkel<'obj>;
            fn load(self) -> libbpf_rs::Result<KprobeSkel<'obj>> {
                let skel_ptr = self.skel_config.as_libbpf_object().as_ptr();

                let ret = unsafe { libbpf_sys::bpf_object__load_skeleton(skel_ptr) };
                if ret != 0 {
                    return Err(libbpf_rs::Error::from_raw_os_error(-ret));
                }

                let obj_ref = self.obj.take();
                let open_obj = std::mem::replace(obj_ref, std::mem::MaybeUninit::uninit());
                // SAFETY: `open_obj` is guaranteed to be properly
                //         initialized as it came from an `OwnedRef`.
                let obj_ptr = unsafe { open_obj.assume_init().take_ptr() };
                // SAFETY: `obj_ptr` points to a loaded object after
                //         skeleton load.
                let obj = unsafe { libbpf_rs::Object::from_ptr(obj_ptr) };
                // SAFETY: `OpenObject` and `Object` are guaranteed to
                //         have the same memory layout.
                let obj_ref = unsafe {
                    std::mem::transmute::<
                        &'obj mut std::mem::MaybeUninit<libbpf_rs::OpenObject>,
                        &'obj mut std::mem::MaybeUninit<libbpf_rs::Object>,
                    >(obj_ref)
                };
                let _obj = obj_ref.write(obj);
                // SAFETY: We just wrote initialized data to `obj_ref`.
                let mut obj_ref = unsafe { OwnedRef::new(obj_ref) };

                Ok(KprobeSkel {
                    maps: unsafe { KprobeMaps::new(&self.skel_config, obj_ref.as_mut())? },
                    progs: KprobeProgs::new(self.progs),
                    obj: obj_ref,
                    struct_ops: self.struct_ops,
                    skel_config: self.skel_config,
                    links: KprobeLinks::default()
                })
            }

            fn open_object(&self) -> &libbpf_rs::OpenObject {
                self.obj.as_ref()
            }

            fn open_object_mut(&mut self) -> &mut libbpf_rs::OpenObject {
                self.obj.as_mut()
            }
        }
#[derive(Default)]
        pub struct KprobeLinks {
        pub probe_kprobe: Option<libbpf_rs::Link>,
}
pub struct KprobeSkel<'obj> {
            obj: OwnedRef<'obj, libbpf_rs::Object>,
            pub maps: KprobeMaps<'obj>,
            pub progs: KprobeProgs<'obj>,
            struct_ops: StructOps,
            skel_config: libbpf_rs::__internal_skel::ObjectSkeletonConfig<'obj>,
        pub links: KprobeLinks,
}

        unsafe impl Send for KprobeSkel<'_> {}
        unsafe impl Sync for KprobeSkel<'_> {}

        impl<'obj> Skel<'obj> for KprobeSkel<'obj> {
            fn object(&self) -> &libbpf_rs::Object {
                self.obj.as_ref()
            }

            fn object_mut(&mut self) -> &mut libbpf_rs::Object {
                self.obj.as_mut()
            }
        fn attach(&mut self) -> libbpf_rs::Result<()> {
            let skel_ptr = self.skel_config.as_libbpf_object().as_ptr();
            let ret = unsafe { libbpf_sys::bpf_object__attach_skeleton(skel_ptr) };
            if ret != 0 {
                return Err(libbpf_rs::Error::from_raw_os_error(-ret));
            }

            self.links = KprobeLinks {
        probe_kprobe: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(0)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            
            };

            Ok(())
        }
        }
impl KprobeSkel<'_> {pub fn struct_ops_raw(&self) -> *const StructOps {
            &self.struct_ops
        }

        pub fn struct_ops(&self) -> &StructOps {
            &self.struct_ops
        }
        }
const DATA: &[u8] = &[127, 69, 76, 70, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 247, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 64, 0, 15, 0, 1, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 136, 255, 0, 0, 0, 0, 123, 26, 128, 255, 0, 0, 0, 0, 123, 26, 120, 255, 0, 0, 0, 0, 123, 26, 112, 255, 0, 0, 0, 0, 123, 26, 104, 255, 0, 0, 0, 0, 123, 26, 96, 255, 0, 0, 0, 0, 123, 26, 88, 255, 0, 0, 0, 0, 123, 26, 80, 255, 0, 0, 0, 0, 123, 26, 72, 255, 0, 0, 0, 0, 123, 26, 64, 255, 0, 0, 0, 0, 123, 26, 56, 255, 0, 0, 0, 0, 123, 26, 48, 255, 0, 0, 0, 0, 123, 26, 40, 255, 0, 0, 0, 0, 123, 26, 32, 255, 0, 0, 0, 0, 123, 26, 24, 255, 0, 0, 0, 0, 123, 26, 16, 255, 0, 0, 0, 0, 123, 26, 8, 255, 0, 0, 0, 0, 123, 26, 0, 255, 0, 0, 0, 0, 123, 26, 248, 254, 0, 0, 0, 0, 123, 26, 240, 254, 0, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0, 123, 10, 248, 254, 0, 0, 0, 0, 24, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 1, 3, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 173, 0, 0, 0, 5, 0, 2, 0, 0, 0, 0, 0, 121, 96, 128, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 183, 1, 0, 0, 0, 0, 0, 0, 99, 26, 240, 254, 0, 0, 0, 0, 123, 10, 0, 255, 0, 0, 0, 0, 123, 106, 128, 255, 0, 0, 0, 0, 121, 98, 112, 0, 0, 0, 0, 0, 123, 42, 16, 255, 0, 0, 0, 0, 121, 98, 104, 0, 0, 0, 0, 0, 123, 42, 24, 255, 0, 0, 0, 0, 121, 98, 96, 0, 0, 0, 0, 0, 123, 42, 32, 255, 0, 0, 0, 0, 121, 98, 88, 0, 0, 0, 0, 0, 123, 42, 40, 255, 0, 0, 0, 0, 121, 98, 72, 0, 0, 0, 0, 0, 123, 42, 48, 255, 0, 0, 0, 0, 183, 2, 0, 0, 5, 0, 0, 0, 99, 42, 120, 255, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 34, 0, 0, 0, 0, 0, 0, 85, 2, 20, 0, 0, 0, 0, 0, 115, 26, 160, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 5, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 115, 33, 0, 0, 0, 0, 0, 0, 5, 0, 37, 37, 0, 0, 0, 0, 113, 1, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 85, 1, 1, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 115, 35, 0, 0, 0, 0, 0, 0, 21, 1, 29, 37, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 0, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 23, 37, 0, 0, 0, 0, 191, 169, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 16, 255, 255, 255, 113, 1, 5, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0, 113, 2, 4, 0, 0, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 107, 26, 12, 255, 0, 0, 0, 0, 113, 1, 1, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0, 113, 2, 0, 0, 0, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 113, 2, 2, 0, 0, 0, 0, 0, 103, 2, 0, 0, 16, 0, 0, 0, 123, 10, 232, 254, 0, 0, 0, 0, 113, 3, 3, 0, 0, 0, 0, 0, 103, 3, 0, 0, 24, 0, 0, 0, 79, 35, 0, 0, 0, 0, 0, 0, 79, 19, 0, 0, 0, 0, 0, 0, 99, 58, 8, 255, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 152, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0, 97, 161, 120, 255, 0, 0, 0, 0, 113, 162, 8, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 9, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 5, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 55, 0, 0, 0, 0, 0, 0, 85, 7, 49, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 137, 34, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 135, 34, 0, 0, 0, 0, 113, 162, 13, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 131, 34, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 127, 34, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 21, 3, 122, 34, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3, 112, 34, 0, 0, 0, 0, 5, 0, 13, 0, 0, 0, 0, 0, 113, 162, 12, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 107, 34, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 103, 34, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 0, 0, 21, 3, 98, 34, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 167, 160, 255, 0, 0, 0, 0, 21, 7, 90, 34, 0, 0, 0, 0, 123, 122, 160, 255, 0, 0, 0, 0, 183, 1, 0, 0, 200, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 232, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 161, 232, 255, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 85, 1, 69, 34, 0, 0, 0, 0, 123, 154, 224, 254, 0, 0, 0, 0, 183, 1, 0, 0, 200, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 183, 1, 0, 0, 112, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 121, 168, 160, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 4, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 97, 161, 160, 255, 0, 0, 0, 0, 99, 26, 144, 255, 0, 0, 0, 0, 183, 1, 0, 0, 186, 0, 0, 0, 191, 118, 0, 0, 0, 0, 0, 0, 15, 22, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 183, 1, 0, 0, 184, 0, 0, 0, 123, 122, 216, 254, 0, 0, 0, 0, 15, 23, 0, 0, 0, 0, 0, 0, 105, 169, 160, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 21, 9, 31, 16, 255, 255, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 255, 255, 255, 255, 87, 2, 0, 0, 255, 255, 0, 0, 37, 2, 10, 0, 253, 255, 0, 0, 93, 145, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 120, 0, 0, 0, 121, 163, 216, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 21, 1, 16, 16, 0, 0, 0, 0, 183, 1, 0, 0, 186, 0, 0, 0, 121, 163, 216, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 15, 24, 0, 0, 0, 0, 0, 0, 123, 138, 152, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 144, 255, 255, 255, 191, 169, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 232, 255, 255, 255, 133, 0, 0, 0, 239, 190, 173, 222, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 99, 10, 148, 255, 0, 0, 0, 0, 5, 0, 44, 16, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 166, 160, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 255, 255, 255, 255, 87, 2, 0, 0, 255, 255, 0, 0, 121, 169, 224, 254, 0, 0, 0, 0, 121, 167, 216, 254, 0, 0, 0, 0, 37, 2, 250, 17, 253, 255, 0, 0, 21, 6, 10, 0, 255, 255, 0, 0, 93, 22, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 120, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 85, 1, 239, 17, 0, 0, 0, 0, 183, 1, 0, 0, 184, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0, 15, 24, 0, 0, 0, 0, 0, 0, 123, 138, 152, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 144, 255, 255, 255, 191, 169, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 232, 255, 255, 255, 133, 0, 0, 0, 222, 192, 173, 222, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 99, 10, 148, 255, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 97, 162, 148, 255, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 85, 2, 1, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 97, 162, 136, 255, 0, 0, 0, 0, 79, 18, 0, 0, 0, 0, 0, 0, 99, 42, 136, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 18, 0, 0, 0, 0, 0, 0, 121, 169, 224, 254, 0, 0, 0, 0, 21, 2, 181, 1, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 37, 1, 179, 1, 32, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 99, 26, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 22, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 220, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 213, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 248, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 5, 0, 198, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 200, 254, 0, 0, 0, 0, 113, 97, 32, 0, 0, 0, 0, 0, 123, 26, 176, 254, 0, 0, 0, 0, 113, 97, 33, 0, 0, 0, 0, 0, 123, 26, 168, 254, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 99, 154, 232, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 123, 58, 208, 254, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 123, 58, 192, 254, 0, 0, 0, 0, 123, 58, 184, 254, 0, 0, 0, 0, 45, 18, 24, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 184, 254, 0, 0, 0, 0, 123, 26, 192, 254, 0, 0, 0, 0, 123, 26, 208, 254, 0, 0, 0, 0, 123, 26, 200, 254, 0, 0, 0, 0, 5, 0, 36, 0, 0, 0, 0, 0, 113, 131, 4, 0, 0, 0, 0, 0, 123, 58, 192, 254, 0, 0, 0, 0, 113, 135, 1, 0, 0, 0, 0, 0, 121, 131, 8, 0, 0, 0, 0, 0, 123, 58, 184, 254, 0, 0, 0, 0, 123, 26, 200, 254, 0, 0, 0, 0, 123, 42, 208, 254, 0, 0, 0, 0, 97, 161, 232, 255, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 99, 26, 232, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 1, 0, 0, 0, 191, 146, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 45, 33, 18, 0, 0, 0, 0, 0, 121, 161, 208, 254, 0, 0, 0, 0, 87, 1, 0, 0, 64, 0, 0, 0, 79, 113, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 255, 0, 0, 0, 21, 1, 39, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 184, 255, 0, 0, 0, 0, 123, 26, 176, 255, 0, 0, 0, 0, 123, 26, 168, 255, 0, 0, 0, 0, 123, 26, 160, 255, 0, 0, 0, 0, 87, 7, 0, 0, 255, 0, 0, 0, 121, 169, 224, 254, 0, 0, 0, 0, 121, 162, 176, 254, 0, 0, 0, 0, 21, 7, 149, 0, 0, 0, 0, 0, 183, 1, 0, 0, 32, 0, 0, 0, 45, 113, 180, 0, 0, 0, 0, 0, 183, 7, 0, 0, 32, 0, 0, 0, 5, 0, 178, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 8, 0, 0, 0, 0, 0, 0, 85, 8, 1, 0, 0, 0, 0, 0, 5, 0, 108, 0, 0, 0, 0, 0, 105, 129, 2, 0, 0, 0, 0, 0, 113, 130, 0, 0, 0, 0, 0, 0, 85, 2, 209, 255, 64, 0, 0, 0, 121, 163, 216, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 85, 0, 124, 0, 0, 0, 0, 0, 121, 129, 8, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 21, 1, 1, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0, 0, 95, 18, 0, 0, 0, 0, 0, 0, 123, 42, 216, 254, 0, 0, 0, 0, 5, 0, 201, 255, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 121, 162, 192, 254, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 121, 169, 224, 254, 0, 0, 0, 0, 21, 2, 179, 0, 0, 0, 0, 0, 121, 163, 200, 254, 0, 0, 0, 0, 191, 55, 0, 0, 0, 0, 0, 0, 167, 7, 0, 0, 255, 255, 255, 255, 24, 1, 0, 0, 7, 0, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 79, 23, 0, 0, 0, 0, 0, 0, 191, 49, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 255, 255, 0, 0, 15, 23, 0, 0, 0, 0, 0, 0, 15, 39, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 248, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 95, 39, 0, 0, 0, 0, 0, 0, 119, 7, 0, 0, 3, 0, 0, 0, 183, 2, 0, 0, 7, 0, 0, 0, 45, 114, 1, 0, 0, 0, 0, 0, 183, 7, 0, 0, 7, 0, 0, 0, 119, 1, 0, 0, 3, 0, 0, 0, 7, 7, 0, 0, 1, 0, 0, 0, 87, 1, 0, 0, 255, 255, 0, 0, 121, 163, 216, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 255, 255, 255, 191, 114, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 85, 0, 28, 1, 0, 0, 0, 0, 121, 162, 240, 255, 0, 0, 0, 0, 121, 161, 192, 254, 0, 0, 0, 0, 87, 1, 0, 0, 255, 0, 0, 0, 21, 1, 216, 0, 0, 0, 0, 0, 183, 3, 0, 0, 64, 0, 0, 0, 31, 19, 0, 0, 0, 0, 0, 0, 121, 164, 200, 254, 0, 0, 0, 0, 87, 4, 0, 0, 7, 0, 0, 0, 191, 49, 0, 0, 0, 0, 0, 0, 31, 65, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 111, 18, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 207, 49, 0, 0, 0, 0, 0, 0, 121, 164, 208, 254, 0, 0, 0, 0, 103, 4, 0, 0, 56, 0, 0, 0, 199, 4, 0, 0, 56, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 109, 69, 2, 0, 0, 0, 0, 0, 127, 50, 0, 0, 0, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 183, 3, 0, 0, 255, 255, 255, 255, 121, 164, 184, 254, 0, 0, 0, 0, 21, 4, 1, 0, 0, 0, 0, 0, 191, 67, 0, 0, 0, 0, 0, 0, 121, 164, 208, 254, 0, 0, 0, 0, 103, 4, 0, 0, 56, 0, 0, 0, 199, 4, 0, 0, 56, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 109, 69, 1, 0, 0, 0, 0, 0, 191, 50, 0, 0, 0, 0, 0, 0, 95, 33, 0, 0, 0, 0, 0, 0, 121, 98, 0, 0, 0, 0, 0, 0, 121, 166, 168, 254, 0, 0, 0, 0, 101, 6, 173, 0, 2, 0, 0, 0, 21, 6, 205, 0, 0, 0, 0, 0, 21, 6, 229, 0, 1, 0, 0, 0, 21, 6, 1, 0, 2, 0, 0, 0, 5, 0, 206, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 45, 18, 1, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 109, 18, 1, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 121, 161, 208, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19, 228, 0, 0, 0, 0, 0, 5, 0, 226, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 22, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 15, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 123, 154, 240, 255, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 240, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 121, 169, 224, 254, 0, 0, 0, 0, 5, 0, 199, 0, 0, 0, 0, 0, 183, 1, 0, 0, 32, 0, 0, 0, 191, 39, 0, 0, 0, 0, 0, 0, 45, 33, 1, 0, 0, 0, 0, 0, 183, 7, 0, 0, 32, 0, 0, 0, 85, 2, 28, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 44, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 21, 0, 38, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 16, 0, 0, 0, 0, 0, 0, 123, 138, 240, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 240, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 5, 0, 21, 0, 0, 0, 0, 0, 121, 161, 200, 254, 0, 0, 0, 0, 87, 1, 0, 0, 255, 255, 0, 0, 121, 163, 216, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 87, 7, 0, 0, 255, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 191, 114, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 115, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 109, 8, 10, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 5, 0, 12, 0, 0, 0, 0, 0, 93, 67, 6, 0, 0, 0, 0, 0, 21, 3, 5, 0, 0, 0, 0, 0, 191, 39, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 255, 255, 255, 255, 7, 1, 0, 0, 1, 0, 0, 0, 7, 6, 0, 0, 1, 0, 0, 0, 101, 2, 5, 0, 1, 0, 0, 0, 121, 166, 168, 254, 0, 0, 0, 0, 21, 6, 142, 0, 0, 0, 0, 0, 85, 6, 43, 0, 5, 0, 0, 0, 167, 8, 0, 0, 1, 0, 0, 0, 5, 0, 139, 0, 0, 0, 0, 0, 191, 114, 0, 0, 0, 0, 0, 0, 113, 20, 0, 0, 0, 0, 0, 0, 113, 99, 0, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 29, 67, 239, 255, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 5, 0, 237, 255, 0, 0, 0, 0, 183, 1, 0, 0, 8, 0, 0, 0, 121, 162, 176, 254, 0, 0, 0, 0, 191, 39, 0, 0, 0, 0, 0, 0, 45, 33, 1, 0, 0, 0, 0, 0, 183, 7, 0, 0, 8, 0, 0, 0, 121, 161, 200, 254, 0, 0, 0, 0, 85, 2, 89, 255, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 121, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 21, 0, 115, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 16, 0, 0, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 248, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 5, 0, 99, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 93, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 21, 0, 87, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 16, 0, 0, 0, 0, 0, 0, 123, 106, 160, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 5, 0, 70, 0, 0, 0, 0, 0, 21, 6, 20, 0, 3, 0, 0, 0, 21, 6, 71, 0, 4, 0, 0, 0, 21, 6, 1, 0, 5, 0, 0, 0, 5, 0, 33, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 93, 33, 64, 0, 0, 0, 0, 0, 5, 0, 28, 0, 0, 0, 0, 0, 121, 163, 208, 254, 0, 0, 0, 0, 103, 3, 0, 0, 56, 0, 0, 0, 199, 3, 0, 0, 56, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 101, 3, 56, 255, 255, 255, 255, 255, 103, 7, 0, 0, 32, 0, 0, 0, 119, 7, 0, 0, 32, 0, 0, 0, 21, 7, 73, 0, 1, 0, 0, 0, 21, 7, 69, 0, 2, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 85, 7, 49, 255, 4, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 199, 2, 0, 0, 32, 0, 0, 0, 5, 0, 45, 255, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 61, 33, 1, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 125, 33, 1, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 121, 161, 208, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19, 38, 0, 0, 0, 0, 0, 5, 0, 36, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 29, 33, 35, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 5, 0, 33, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 29, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 21, 0, 23, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 16, 0, 0, 0, 0, 0, 0, 123, 106, 160, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 191, 255, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 45, 33, 1, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 109, 33, 1, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 121, 161, 208, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19, 1, 0, 0, 0, 0, 0, 191, 72, 0, 0, 0, 0, 0, 0, 87, 8, 0, 0, 1, 0, 0, 0, 103, 8, 0, 0, 1, 0, 0, 0, 5, 0, 25, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 61, 18, 1, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 125, 18, 1, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 121, 161, 208, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19, 242, 255, 0, 0, 0, 0, 5, 0, 240, 255, 0, 0, 0, 0, 103, 2, 0, 0, 48, 0, 0, 0, 199, 2, 0, 0, 48, 0, 0, 0, 5, 0, 234, 254, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 5, 0, 231, 254, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 52, 0, 0, 0, 0, 0, 183, 8, 0, 0, 3, 0, 0, 0, 97, 161, 136, 255, 0, 0, 0, 0, 79, 129, 0, 0, 0, 0, 0, 0, 99, 26, 136, 255, 0, 0, 0, 0, 97, 161, 136, 255, 0, 0, 0, 0, 85, 1, 148, 0, 3, 0, 0, 0, 121, 161, 0, 255, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 97, 161, 120, 255, 0, 0, 0, 0, 113, 162, 8, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 11, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 7, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 50, 0, 0, 0, 0, 0, 0, 21, 2, 2, 0, 0, 0, 0, 0, 123, 42, 232, 255, 0, 0, 0, 0, 5, 0, 57, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 128, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 126, 0, 0, 0, 0, 0, 113, 162, 13, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 122, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 118, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 21, 3, 113, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 16, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3, 103, 0, 0, 0, 0, 0, 5, 0, 20, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 123, 221, 0, 0, 0, 0, 5, 0, 197, 255, 0, 0, 0, 0, 113, 162, 12, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 91, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 87, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 0, 0, 21, 3, 82, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0, 0, 123, 26, 232, 255, 0, 0, 0, 0, 21, 1, 73, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 21, 0, 8, 0, 0, 0, 0, 0, 113, 1, 3, 0, 0, 0, 0, 0, 183, 7, 0, 0, 1, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 85, 1, 1, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 113, 1, 2, 0, 0, 0, 0, 0, 85, 1, 1, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 200, 0, 0, 0, 121, 163, 232, 255, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0, 21, 1, 47, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 144, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 29, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 6, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 3, 0, 0, 0, 5, 0, 9, 0, 0, 0, 0, 0, 87, 8, 0, 0, 1, 0, 0, 0, 85, 8, 25, 0, 0, 0, 0, 0, 121, 161, 248, 254, 0, 0, 0, 0, 123, 26, 168, 255, 0, 0, 0, 0, 123, 26, 160, 255, 0, 0, 0, 0, 121, 161, 144, 255, 0, 0, 0, 0, 123, 26, 176, 255, 0, 0, 0, 0, 191, 166, 0, 0, 0, 0, 0, 0, 7, 6, 0, 0, 160, 255, 255, 255, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 144, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 133, 0, 0, 0, 2, 0, 0, 0, 121, 161, 248, 254, 0, 0, 0, 0, 123, 22, 8, 0, 0, 0, 0, 0, 87, 7, 0, 0, 1, 0, 0, 0, 21, 7, 7, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 133, 0, 0, 0, 2, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 21, 1, 196, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 4, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 12, 0, 0, 0, 0, 0, 121, 161, 0, 255, 0, 0, 0, 0, 123, 26, 160, 255, 0, 0, 0, 0, 123, 122, 168, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 179, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 219, 16, 0, 0, 0, 0, 0, 0, 5, 0, 176, 0, 0, 0, 0, 0, 123, 154, 224, 254, 0, 0, 0, 0, 183, 1, 0, 0, 16, 0, 0, 0, 115, 22, 4, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 22, 2, 0, 0, 0, 0, 0, 115, 118, 5, 0, 0, 0, 0, 0, 115, 118, 3, 0, 0, 0, 0, 0, 115, 118, 1, 0, 0, 0, 0, 0, 183, 1, 0, 0, 20, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 121, 161, 248, 254, 0, 0, 0, 0, 123, 22, 6, 0, 0, 0, 0, 0, 133, 0, 0, 0, 8, 0, 0, 0, 99, 6, 14, 0, 0, 0, 0, 0, 113, 105, 1, 0, 0, 0, 0, 0, 103, 9, 0, 0, 8, 0, 0, 0, 113, 97, 0, 0, 0, 0, 0, 0, 79, 25, 0, 0, 0, 0, 0, 0, 37, 9, 153, 0, 254, 3, 0, 0, 183, 1, 0, 0, 179, 3, 0, 0, 45, 145, 19, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 147, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 21, 7, 140, 0, 0, 0, 0, 0, 183, 1, 0, 0, 254, 3, 0, 0, 31, 145, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 115, 39, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 255, 255, 0, 0, 123, 26, 168, 255, 0, 0, 0, 0, 183, 1, 0, 0, 76, 0, 0, 0, 5, 0, 119, 0, 0, 0, 0, 0, 191, 104, 0, 0, 0, 0, 0, 0, 7, 8, 0, 0, 2, 0, 0, 0, 191, 135, 0, 0, 0, 0, 0, 0, 15, 151, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 72, 0, 0, 0, 115, 23, 2, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 23, 1, 0, 0, 0, 0, 0, 115, 23, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 115, 23, 3, 0, 0, 0, 0, 0, 7, 9, 0, 0, 76, 0, 0, 0, 191, 146, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 8, 0, 0, 0, 115, 38, 1, 0, 0, 0, 0, 0, 115, 150, 0, 0, 0, 0, 0, 0, 115, 23, 75, 0, 0, 0, 0, 0, 115, 23, 74, 0, 0, 0, 0, 0, 115, 23, 73, 0, 0, 0, 0, 0, 115, 23, 72, 0, 0, 0, 0, 0, 115, 23, 71, 0, 0, 0, 0, 0, 115, 23, 70, 0, 0, 0, 0, 0, 115, 23, 69, 0, 0, 0, 0, 0, 115, 23, 68, 0, 0, 0, 0, 0, 115, 23, 67, 0, 0, 0, 0, 0, 115, 23, 66, 0, 0, 0, 0, 0, 115, 23, 65, 0, 0, 0, 0, 0, 115, 23, 64, 0, 0, 0, 0, 0, 115, 23, 63, 0, 0, 0, 0, 0, 115, 23, 62, 0, 0, 0, 0, 0, 115, 23, 61, 0, 0, 0, 0, 0, 115, 23, 60, 0, 0, 0, 0, 0, 115, 23, 59, 0, 0, 0, 0, 0, 115, 23, 58, 0, 0, 0, 0, 0, 115, 23, 57, 0, 0, 0, 0, 0, 115, 23, 56, 0, 0, 0, 0, 0, 115, 23, 55, 0, 0, 0, 0, 0, 115, 23, 54, 0, 0, 0, 0, 0, 115, 23, 53, 0, 0, 0, 0, 0, 115, 23, 52, 0, 0, 0, 0, 0, 115, 23, 51, 0, 0, 0, 0, 0, 115, 23, 50, 0, 0, 0, 0, 0, 115, 23, 49, 0, 0, 0, 0, 0, 115, 23, 48, 0, 0, 0, 0, 0, 115, 23, 47, 0, 0, 0, 0, 0, 115, 23, 46, 0, 0, 0, 0, 0, 115, 23, 45, 0, 0, 0, 0, 0, 115, 23, 44, 0, 0, 0, 0, 0, 115, 23, 43, 0, 0, 0, 0, 0, 115, 23, 42, 0, 0, 0, 0, 0, 115, 23, 41, 0, 0, 0, 0, 0, 115, 23, 40, 0, 0, 0, 0, 0, 115, 23, 39, 0, 0, 0, 0, 0, 115, 23, 38, 0, 0, 0, 0, 0, 115, 23, 37, 0, 0, 0, 0, 0, 115, 23, 36, 0, 0, 0, 0, 0, 115, 23, 35, 0, 0, 0, 0, 0, 115, 23, 34, 0, 0, 0, 0, 0, 115, 23, 33, 0, 0, 0, 0, 0, 115, 23, 32, 0, 0, 0, 0, 0, 115, 23, 31, 0, 0, 0, 0, 0, 115, 23, 30, 0, 0, 0, 0, 0, 115, 23, 29, 0, 0, 0, 0, 0, 115, 23, 28, 0, 0, 0, 0, 0, 115, 23, 27, 0, 0, 0, 0, 0, 115, 23, 26, 0, 0, 0, 0, 0, 115, 23, 25, 0, 0, 0, 0, 0, 115, 23, 24, 0, 0, 0, 0, 0, 115, 23, 23, 0, 0, 0, 0, 0, 115, 23, 22, 0, 0, 0, 0, 0, 115, 23, 21, 0, 0, 0, 0, 0, 115, 23, 20, 0, 0, 0, 0, 0, 115, 23, 19, 0, 0, 0, 0, 0, 115, 23, 18, 0, 0, 0, 0, 0, 115, 23, 17, 0, 0, 0, 0, 0, 115, 23, 16, 0, 0, 0, 0, 0, 115, 23, 15, 0, 0, 0, 0, 0, 115, 23, 14, 0, 0, 0, 0, 0, 115, 23, 13, 0, 0, 0, 0, 0, 115, 23, 12, 0, 0, 0, 0, 0, 115, 23, 11, 0, 0, 0, 0, 0, 115, 23, 10, 0, 0, 0, 0, 0, 115, 23, 9, 0, 0, 0, 0, 0, 115, 23, 8, 0, 0, 0, 0, 0, 115, 23, 7, 0, 0, 0, 0, 0, 115, 23, 6, 0, 0, 0, 0, 0, 115, 23, 5, 0, 0, 0, 0, 0, 115, 23, 4, 0, 0, 0, 0, 0, 133, 0, 0, 0, 14, 0, 0, 0, 123, 7, 4, 0, 0, 0, 0, 0, 7, 7, 0, 0, 12, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 64, 0, 0, 0, 133, 0, 0, 0, 16, 0, 0, 0, 113, 97, 0, 0, 0, 0, 0, 0, 113, 105, 1, 0, 0, 0, 0, 0, 103, 9, 0, 0, 8, 0, 0, 0, 79, 25, 0, 0, 0, 0, 0, 0, 37, 9, 33, 0, 254, 3, 0, 0, 183, 1, 0, 0, 227, 3, 0, 0, 45, 145, 91, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 27, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 21, 7, 20, 0, 0, 0, 0, 0, 183, 1, 0, 0, 254, 3, 0, 0, 31, 145, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 115, 39, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 255, 255, 0, 0, 123, 26, 168, 255, 0, 0, 0, 0, 183, 1, 0, 0, 28, 0, 0, 0, 123, 26, 160, 255, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 16, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 133, 0, 0, 0, 121, 169, 224, 254, 0, 0, 0, 0, 97, 161, 136, 255, 0, 0, 0, 0, 85, 1, 8, 1, 3, 0, 0, 0, 121, 161, 0, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 144, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 0, 1, 0, 0, 0, 0, 113, 1, 0, 0, 0, 0, 0, 0, 21, 1, 254, 0, 0, 0, 0, 0, 97, 161, 120, 255, 0, 0, 0, 0, 113, 162, 8, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 9, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 5, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 85, 3, 217, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 238, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 236, 0, 0, 0, 0, 0, 113, 162, 13, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 232, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 228, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 21, 3, 223, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 176, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 191, 96, 0, 0, 0, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3, 211, 0, 0, 0, 0, 0, 5, 0, 177, 0, 0, 0, 0, 0, 15, 152, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 24, 0, 0, 0, 115, 24, 2, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 115, 24, 3, 0, 0, 0, 0, 0, 115, 24, 1, 0, 0, 0, 0, 0, 183, 1, 0, 0, 2, 0, 0, 0, 115, 24, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 28, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 119, 1, 0, 0, 8, 0, 0, 0, 115, 22, 1, 0, 0, 0, 0, 0, 115, 150, 0, 0, 0, 0, 0, 0, 121, 161, 0, 255, 0, 0, 0, 0, 123, 24, 4, 0, 0, 0, 0, 0, 97, 161, 240, 254, 0, 0, 0, 0, 115, 24, 20, 0, 0, 0, 0, 0, 183, 0, 0, 0, 255, 255, 255, 255, 121, 161, 232, 254, 0, 0, 0, 0, 113, 17, 6, 0, 0, 0, 0, 0, 21, 1, 9, 0, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 2, 0, 0, 133, 0, 0, 0, 27, 0, 0, 0, 113, 97, 0, 0, 0, 0, 0, 0, 113, 105, 1, 0, 0, 0, 0, 0, 103, 9, 0, 0, 8, 0, 0, 0, 79, 25, 0, 0, 0, 0, 0, 0, 123, 8, 12, 0, 0, 0, 0, 0, 107, 154, 232, 255, 0, 0, 0, 0, 105, 161, 232, 255, 0, 0, 0, 0, 107, 26, 232, 255, 0, 0, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 21, 1, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 149, 255, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 137, 255, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 3, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 125, 255, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 4, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 113, 255, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 5, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 101, 255, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 6, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 89, 255, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 7, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 77, 255, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 8, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 65, 255, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 9, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 53, 255, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 10, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 41, 255, 0, 0, 0, 0, 113, 97, 0, 0, 0, 0, 0, 0, 113, 98, 1, 0, 0, 0, 0, 0, 103, 2, 0, 0, 8, 0, 0, 0, 79, 18, 0, 0, 0, 0, 0, 0, 105, 161, 232, 255, 0, 0, 0, 0, 61, 33, 35, 255, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 5, 0, 34, 255, 0, 0, 0, 0, 113, 162, 12, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 41, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 37, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 15, 41, 0, 0, 0, 0, 0, 0, 121, 147, 0, 0, 0, 0, 0, 0, 21, 3, 33, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 191, 96, 0, 0, 0, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3, 23, 0, 0, 0, 0, 0, 183, 1, 0, 0, 200, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 121, 162, 240, 255, 0, 0, 0, 0, 123, 42, 160, 255, 0, 0, 0, 0, 21, 2, 12, 0, 0, 0, 0, 0, 113, 17, 1, 0, 0, 0, 0, 0, 21, 1, 5, 0, 0, 0, 0, 0, 97, 161, 120, 255, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 45, 18, 7, 0, 0, 0, 0, 0, 121, 161, 24, 255, 0, 0, 0, 0, 21, 1, 5, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 3, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 109, 101, 116, 97, 45, 102, 105, 108, 116, 101, 114, 32, 116, 97, 114, 103, 101, 116, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 109, 101, 116, 97, 45, 102, 105, 108, 116, 101, 114, 32, 109, 101, 109, 98, 101, 114, 32, 97, 116, 32, 105, 110, 100, 101, 120, 32, 37, 117, 0, 87, 114, 111, 110, 103, 32, 99, 111, 109, 112, 97, 114, 105, 115, 111, 110, 32, 111, 112, 101, 114, 97, 116, 111, 114, 32, 37, 100, 0, 87, 114, 111, 110, 103, 32, 115, 105, 122, 101, 32, 40, 37, 108, 100, 41, 32, 102, 111, 114, 32, 98, 121, 116, 101, 115, 32, 99, 111, 109, 112, 97, 114, 105, 115, 111, 110, 0, 101, 114, 114, 111, 114, 32, 119, 104, 105, 108, 101, 32, 99, 97, 108, 99, 117, 108, 97, 116, 105, 110, 103, 32, 98, 121, 116, 101, 115, 32, 116, 111, 32, 114, 101, 97, 100, 32, 40, 122, 101, 114, 111, 32, 110, 111, 116, 32, 97, 108, 108, 111, 119, 101, 100, 41, 0, 87, 114, 111, 110, 103, 32, 99, 111, 109, 112, 97, 114, 105, 115, 111, 110, 32, 111, 112, 101, 114, 97, 116, 111, 114, 32, 37, 100, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 103, 101, 116, 32, 101, 118, 101, 110, 116, 32, 115, 101, 99, 116, 105, 111, 110, 58, 32, 110, 111, 32, 115, 112, 97, 99, 101, 32, 108, 101, 102, 116, 32, 40, 37, 117, 32, 62, 32, 37, 117, 41, 0, 71, 80, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 159, 235, 1, 0, 24, 0, 0, 0, 0, 0, 0, 0, 156, 28, 0, 0, 156, 28, 0, 0, 229, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 6, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 8, 7, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0, 8, 8, 0, 0, 0, 33, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 10, 0, 0, 0, 47, 0, 0, 0, 1, 0, 0, 4, 1, 0, 0, 0, 67, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 1, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 5, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 9, 0, 0, 0, 192, 0, 0, 0, 102, 0, 0, 0, 0, 0, 0, 14, 11, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 16, 0, 0, 0, 120, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 139, 0, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 148, 0, 0, 0, 17, 0, 0, 0, 64, 0, 0, 0, 152, 0, 0, 0, 0, 0, 0, 8, 18, 0, 0, 0, 156, 0, 0, 0, 0, 0, 0, 8, 19, 0, 0, 0, 162, 0, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 21, 0, 0, 0, 181, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 196, 0, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 13, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 15, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 20, 0, 0, 0, 192, 0, 0, 0, 211, 0, 0, 0, 0, 0, 0, 14, 22, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 0, 128, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 75, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 26, 0, 0, 0, 64, 0, 0, 0, 224, 0, 0, 0, 0, 0, 0, 14, 28, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 75, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 30, 0, 0, 0, 64, 0, 0, 0, 235, 0, 0, 0, 0, 0, 0, 14, 32, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 39, 0, 0, 0, 243, 0, 0, 0, 0, 0, 0, 8, 40, 0, 0, 0, 247, 0, 0, 0, 0, 0, 0, 8, 41, 0, 0, 0, 253, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 43, 0, 0, 0, 10, 1, 0, 0, 2, 0, 0, 5, 40, 0, 0, 0, 24, 1, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 26, 1, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 4, 16, 0, 0, 0, 75, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 28, 1, 0, 0, 6, 0, 0, 0, 8, 0, 0, 0, 34, 1, 0, 0, 45, 0, 0, 0, 16, 0, 0, 0, 39, 1, 0, 0, 6, 0, 0, 0, 32, 0, 0, 0, 47, 1, 0, 0, 17, 0, 0, 0, 64, 0, 0, 0, 52, 1, 0, 0, 0, 0, 0, 8, 46, 0, 0, 0, 56, 1, 0, 0, 0, 0, 0, 8, 47, 0, 0, 0, 62, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 4, 34, 0, 0, 0, 77, 1, 0, 0, 49, 0, 0, 0, 0, 0, 0, 0, 80, 1, 0, 0, 6, 0, 0, 0, 0, 1, 0, 0, 83, 1, 0, 0, 6, 0, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 6, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 34, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 36, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 38, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 42, 0, 0, 0, 192, 0, 0, 0, 87, 1, 0, 0, 0, 0, 0, 14, 50, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 54, 0, 0, 0, 103, 1, 0, 0, 4, 0, 0, 4, 4, 0, 0, 0, 119, 1, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 124, 1, 0, 0, 6, 0, 0, 0, 8, 0, 0, 0, 137, 1, 0, 0, 6, 0, 0, 0, 16, 0, 0, 0, 146, 1, 0, 0, 6, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 13, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 52, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 53, 0, 0, 0, 192, 0, 0, 0, 158, 1, 0, 0, 0, 0, 0, 14, 55, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 60, 0, 0, 0, 178, 1, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 192, 1, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 202, 1, 0, 0, 17, 0, 0, 0, 64, 0, 0, 0, 212, 1, 0, 0, 17, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 57, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 52, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 59, 0, 0, 0, 192, 0, 0, 0, 222, 1, 0, 0, 0, 0, 0, 14, 61, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 64, 0, 0, 0, 235, 1, 0, 0, 2, 0, 0, 4, 7, 0, 0, 0, 254, 1, 0, 0, 65, 0, 0, 0, 0, 0, 0, 0, 6, 2, 0, 0, 6, 0, 0, 0, 48, 0, 0, 0, 18, 2, 0, 0, 6, 0, 0, 4, 6, 0, 0, 0, 38, 2, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 46, 2, 0, 0, 66, 0, 0, 0, 8, 0, 0, 0, 62, 2, 0, 0, 66, 0, 0, 0, 16, 0, 0, 0, 73, 2, 0, 0, 66, 0, 0, 0, 24, 0, 0, 0, 77, 2, 0, 0, 66, 0, 0, 0, 32, 0, 0, 0, 89, 2, 0, 0, 66, 0, 0, 0, 40, 0, 0, 0, 103, 2, 0, 0, 0, 0, 0, 8, 67, 0, 0, 0, 106, 2, 0, 0, 0, 0, 0, 8, 68, 0, 0, 0, 111, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 1, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 13, 0, 0, 0, 64, 0, 0, 0, 92, 0, 0, 0, 52, 0, 0, 0, 128, 0, 0, 0, 96, 0, 0, 0, 63, 0, 0, 0, 192, 0, 0, 0, 123, 2, 0, 0, 0, 0, 0, 14, 69, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 248, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 75, 0, 0, 0, 71, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 73, 0, 0, 0, 64, 0, 0, 0, 134, 2, 0, 0, 75, 0, 0, 0, 128, 0, 0, 0, 143, 2, 0, 0, 77, 0, 0, 0, 192, 0, 0, 0, 154, 2, 0, 0, 0, 0, 0, 14, 79, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 82, 0, 0, 0, 164, 2, 0, 0, 7, 0, 0, 4, 160, 0, 0, 0, 178, 2, 0, 0, 83, 0, 0, 0, 0, 0, 0, 0, 192, 1, 0, 0, 17, 0, 0, 0, 64, 0, 0, 0, 189, 2, 0, 0, 17, 0, 0, 0, 128, 0, 0, 0, 254, 1, 0, 0, 65, 0, 0, 0, 192, 0, 0, 0, 194, 2, 0, 0, 84, 0, 0, 0, 0, 1, 0, 0, 199, 2, 0, 0, 86, 0, 0, 0, 128, 4, 0, 0, 208, 2, 0, 0, 39, 0, 0, 0, 192, 4, 0, 0, 220, 2, 0, 0, 3, 0, 0, 6, 4, 0, 0, 0, 238, 2, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 1, 0, 0, 0, 25, 3, 0, 0, 2, 0, 0, 0, 49, 3, 0, 0, 3, 0, 0, 4, 112, 0, 0, 0, 60, 3, 0, 0, 85, 0, 0, 0, 0, 0, 0, 0, 64, 3, 0, 0, 17, 0, 0, 0, 0, 3, 0, 0, 68, 3, 0, 0, 39, 0, 0, 0, 64, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 17, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 88, 0, 0, 0, 72, 3, 0, 0, 2, 0, 0, 4, 0, 4, 0, 0, 88, 3, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 93, 3, 0, 0, 89, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 6, 0, 0, 0, 4, 0, 0, 0, 254, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 81, 0, 0, 0, 102, 3, 0, 0, 87, 0, 0, 0, 108, 3, 0, 0, 1, 0, 0, 12, 90, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 81, 0, 0, 0, 102, 3, 0, 0, 87, 0, 0, 0, 229, 3, 0, 0, 1, 0, 0, 12, 92, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 81, 0, 0, 0, 102, 3, 0, 0, 87, 0, 0, 0, 243, 3, 0, 0, 1, 0, 0, 12, 94, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 81, 0, 0, 0, 102, 3, 0, 0, 87, 0, 0, 0, 1, 4, 0, 0, 1, 0, 0, 12, 96, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 81, 0, 0, 0, 102, 3, 0, 0, 87, 0, 0, 0, 15, 4, 0, 0, 1, 0, 0, 12, 98, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 81, 0, 0, 0, 102, 3, 0, 0, 87, 0, 0, 0, 29, 4, 0, 0, 1, 0, 0, 12, 100, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 81, 0, 0, 0, 102, 3, 0, 0, 87, 0, 0, 0, 43, 4, 0, 0, 1, 0, 0, 12, 102, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 81, 0, 0, 0, 102, 3, 0, 0, 87, 0, 0, 0, 57, 4, 0, 0, 1, 0, 0, 12, 104, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 81, 0, 0, 0, 102, 3, 0, 0, 87, 0, 0, 0, 71, 4, 0, 0, 1, 0, 0, 12, 106, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 81, 0, 0, 0, 102, 3, 0, 0, 87, 0, 0, 0, 85, 4, 0, 0, 1, 0, 0, 12, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 111, 0, 0, 0, 99, 4, 0, 0, 21, 0, 0, 4, 168, 0, 0, 0, 107, 4, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 111, 4, 0, 0, 112, 0, 0, 0, 64, 0, 0, 0, 115, 4, 0, 0, 112, 0, 0, 0, 128, 0, 0, 0, 119, 4, 0, 0, 112, 0, 0, 0, 192, 0, 0, 0, 123, 4, 0, 0, 112, 0, 0, 0, 0, 1, 0, 0, 126, 4, 0, 0, 112, 0, 0, 0, 64, 1, 0, 0, 129, 4, 0, 0, 112, 0, 0, 0, 128, 1, 0, 0, 133, 4, 0, 0, 112, 0, 0, 0, 192, 1, 0, 0, 137, 4, 0, 0, 112, 0, 0, 0, 0, 2, 0, 0, 140, 4, 0, 0, 112, 0, 0, 0, 64, 2, 0, 0, 143, 4, 0, 0, 112, 0, 0, 0, 128, 2, 0, 0, 146, 4, 0, 0, 112, 0, 0, 0, 192, 2, 0, 0, 149, 4, 0, 0, 112, 0, 0, 0, 0, 3, 0, 0, 152, 4, 0, 0, 112, 0, 0, 0, 64, 3, 0, 0, 155, 4, 0, 0, 112, 0, 0, 0, 128, 3, 0, 0, 158, 4, 0, 0, 112, 0, 0, 0, 192, 3, 0, 0, 166, 4, 0, 0, 112, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 113, 0, 0, 0, 64, 4, 0, 0, 169, 4, 0, 0, 112, 0, 0, 0, 128, 4, 0, 0, 175, 4, 0, 0, 112, 0, 0, 0, 192, 4, 0, 0, 0, 0, 0, 0, 115, 0, 0, 0, 0, 5, 0, 0, 178, 4, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 5, 8, 0, 0, 0, 192, 4, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 195, 4, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 199, 4, 0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 199, 4, 0, 0, 3, 0, 0, 132, 8, 0, 0, 0, 192, 4, 0, 0, 17, 0, 0, 0, 0, 0, 0, 16, 207, 4, 0, 0, 17, 0, 0, 0, 16, 0, 0, 2, 210, 4, 0, 0, 17, 0, 0, 0, 18, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 5, 8, 0, 0, 0, 214, 4, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 217, 4, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 221, 4, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 221, 4, 0, 0, 10, 0, 0, 132, 8, 0, 0, 0, 214, 4, 0, 0, 17, 0, 0, 0, 0, 0, 0, 16, 229, 4, 0, 0, 17, 0, 0, 0, 16, 0, 0, 1, 233, 4, 0, 0, 17, 0, 0, 0, 17, 0, 0, 1, 241, 4, 0, 0, 17, 0, 0, 0, 18, 0, 0, 1, 245, 4, 0, 0, 17, 0, 0, 0, 32, 0, 0, 8, 75, 0, 0, 0, 17, 0, 0, 0, 48, 0, 0, 4, 252, 4, 0, 0, 17, 0, 0, 0, 56, 0, 0, 1, 4, 5, 0, 0, 17, 0, 0, 0, 57, 0, 0, 1, 7, 5, 0, 0, 17, 0, 0, 0, 58, 0, 0, 1, 14, 5, 0, 0, 17, 0, 0, 0, 60, 0, 0, 4, 0, 0, 0, 0, 1, 0, 0, 13, 2, 0, 0, 0, 98, 3, 0, 0, 110, 0, 0, 0, 22, 5, 0, 0, 1, 0, 0, 12, 117, 0, 0, 0, 4, 6, 0, 0, 1, 0, 0, 6, 4, 0, 0, 0, 20, 6, 0, 0, 42, 0, 0, 0, 89, 2, 0, 0, 6, 0, 0, 132, 16, 0, 0, 0, 198, 10, 0, 0, 121, 0, 0, 0, 0, 0, 0, 0, 204, 10, 0, 0, 121, 0, 0, 0, 8, 0, 0, 0, 213, 10, 0, 0, 121, 0, 0, 0, 16, 0, 0, 0, 75, 0, 0, 0, 123, 0, 0, 0, 24, 0, 0, 8, 227, 10, 0, 0, 39, 0, 0, 0, 32, 0, 0, 0, 233, 10, 0, 0, 124, 0, 0, 0, 64, 0, 0, 0, 243, 10, 0, 0, 0, 0, 0, 8, 122, 0, 0, 0, 248, 10, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 4, 254, 10, 0, 0, 5, 0, 0, 6, 4, 0, 0, 0, 14, 11, 0, 0, 0, 0, 0, 0, 35, 11, 0, 0, 1, 0, 0, 0, 56, 11, 0, 0, 2, 0, 0, 0, 77, 11, 0, 0, 3, 0, 0, 0, 96, 11, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 221, 0, 0, 0, 77, 2, 0, 0, 7, 0, 0, 4, 24, 0, 0, 0, 169, 11, 0, 0, 127, 0, 0, 0, 0, 0, 0, 0, 173, 11, 0, 0, 128, 0, 0, 0, 64, 0, 0, 0, 169, 4, 0, 0, 6, 0, 0, 0, 128, 0, 0, 0, 179, 11, 0, 0, 6, 0, 0, 0, 136, 0, 0, 0, 185, 11, 0, 0, 45, 0, 0, 0, 144, 0, 0, 0, 193, 11, 0, 0, 45, 0, 0, 0, 160, 0, 0, 0, 199, 11, 0, 0, 45, 0, 0, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 217, 0, 0, 0, 4, 12, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 26, 12, 0, 0, 131, 0, 0, 0, 0, 0, 0, 0, 30, 12, 0, 0, 133, 0, 0, 0, 64, 0, 0, 0, 35, 12, 0, 0, 135, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 220, 0, 0, 0, 38, 2, 0, 0, 28, 0, 0, 132, 232, 0, 0, 0, 0, 0, 0, 0, 138, 0, 0, 0, 0, 0, 0, 0, 239, 12, 0, 0, 148, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 1, 0, 0, 242, 12, 0, 0, 155, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 156, 0, 0, 0, 192, 2, 0, 0, 245, 12, 0, 0, 112, 0, 0, 0, 64, 3, 0, 0, 251, 12, 0, 0, 41, 0, 0, 0, 128, 3, 0, 0, 255, 12, 0, 0, 41, 0, 0, 0, 160, 3, 0, 0, 8, 13, 0, 0, 46, 0, 0, 0, 192, 3, 0, 0, 16, 13, 0, 0, 46, 0, 0, 0, 208, 3, 0, 0, 24, 13, 0, 0, 46, 0, 0, 0, 224, 3, 0, 0, 38, 13, 0, 0, 160, 0, 0, 0, 240, 3, 0, 0, 54, 13, 0, 0, 7, 0, 0, 0, 240, 3, 0, 1, 61, 13, 0, 0, 7, 0, 0, 0, 241, 3, 0, 1, 67, 13, 0, 0, 7, 0, 0, 0, 242, 3, 0, 2, 74, 13, 0, 0, 7, 0, 0, 0, 244, 3, 0, 1, 81, 13, 0, 0, 7, 0, 0, 0, 245, 3, 0, 1, 91, 13, 0, 0, 7, 0, 0, 0, 246, 3, 0, 1, 102, 13, 0, 0, 7, 0, 0, 0, 247, 3, 0, 1, 113, 13, 0, 0, 7, 0, 0, 0, 248, 3, 0, 0, 0, 0, 0, 0, 161, 0, 0, 0, 0, 4, 0, 0, 131, 13, 0, 0, 180, 0, 0, 0, 224, 5, 0, 0, 136, 13, 0, 0, 180, 0, 0, 0, 0, 6, 0, 0, 140, 13, 0, 0, 181, 0, 0, 0, 64, 6, 0, 0, 93, 3, 0, 0, 181, 0, 0, 0, 128, 6, 0, 0, 145, 13, 0, 0, 41, 0, 0, 0, 192, 6, 0, 0, 154, 13, 0, 0, 182, 0, 0, 0, 224, 6, 0, 0, 160, 13, 0, 0, 186, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 5, 24, 0, 0, 0, 0, 0, 0, 0, 139, 0, 0, 0, 0, 0, 0, 0, 171, 13, 0, 0, 142, 0, 0, 0, 0, 0, 0, 0, 178, 13, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 183, 13, 0, 0, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 191, 13, 0, 0, 127, 0, 0, 0, 0, 0, 0, 0, 196, 13, 0, 0, 127, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 140, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 201, 13, 0, 0, 141, 0, 0, 0, 0, 0, 0, 0, 205, 13, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 215, 0, 0, 0, 217, 13, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 225, 13, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 243, 13, 0, 0, 143, 0, 0, 0, 64, 0, 0, 0, 252, 13, 0, 0, 143, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 142, 0, 0, 0, 4, 14, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 191, 13, 0, 0, 145, 0, 0, 0, 0, 0, 0, 0, 196, 13, 0, 0, 145, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 144, 0, 0, 0, 14, 14, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 191, 13, 0, 0, 147, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 216, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 25, 14, 0, 0, 150, 0, 0, 0, 0, 0, 0, 0, 32, 14, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 46, 14, 0, 0, 0, 0, 0, 8, 151, 0, 0, 0, 54, 14, 0, 0, 0, 0, 0, 8, 152, 0, 0, 0, 58, 14, 0, 0, 0, 0, 0, 8, 153, 0, 0, 0, 64, 14, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 1, 74, 14, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 154, 0, 0, 0, 4, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 5, 16, 0, 0, 0, 0, 0, 0, 0, 157, 0, 0, 0, 0, 0, 0, 0, 79, 14, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 98, 14, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 108, 14, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 120, 14, 0, 0, 158, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 159, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 7, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 60, 0, 0, 0, 0, 0, 0, 0, 162, 0, 0, 0, 0, 0, 0, 0, 131, 14, 0, 0, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 51, 0, 0, 132, 60, 0, 0, 0, 139, 14, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 157, 14, 0, 0, 7, 0, 0, 0, 0, 0, 0, 3, 166, 14, 0, 0, 7, 0, 0, 0, 3, 0, 0, 1, 176, 14, 0, 0, 7, 0, 0, 0, 4, 0, 0, 1, 196, 14, 0, 0, 7, 0, 0, 0, 5, 0, 0, 2, 206, 14, 0, 0, 7, 0, 0, 0, 7, 0, 0, 1, 215, 14, 0, 0, 160, 0, 0, 0, 8, 0, 0, 0, 232, 14, 0, 0, 7, 0, 0, 0, 8, 0, 0, 1, 251, 14, 0, 0, 7, 0, 0, 0, 9, 0, 0, 1, 9, 15, 0, 0, 7, 0, 0, 0, 10, 0, 0, 1, 26, 15, 0, 0, 7, 0, 0, 0, 11, 0, 0, 1, 42, 15, 0, 0, 7, 0, 0, 0, 12, 0, 0, 1, 59, 15, 0, 0, 7, 0, 0, 0, 13, 0, 0, 2, 70, 15, 0, 0, 7, 0, 0, 0, 15, 0, 0, 1, 90, 15, 0, 0, 7, 0, 0, 0, 16, 0, 0, 1, 98, 15, 0, 0, 7, 0, 0, 0, 17, 0, 0, 1, 106, 15, 0, 0, 7, 0, 0, 0, 18, 0, 0, 1, 123, 15, 0, 0, 7, 0, 0, 0, 19, 0, 0, 1, 134, 15, 0, 0, 7, 0, 0, 0, 20, 0, 0, 1, 141, 15, 0, 0, 7, 0, 0, 0, 21, 0, 0, 1, 155, 15, 0, 0, 7, 0, 0, 0, 22, 0, 0, 1, 170, 15, 0, 0, 7, 0, 0, 0, 23, 0, 0, 1, 181, 15, 0, 0, 7, 0, 0, 0, 24, 0, 0, 2, 196, 15, 0, 0, 7, 0, 0, 0, 26, 0, 0, 1, 204, 10, 0, 0, 7, 0, 0, 0, 27, 0, 0, 1, 210, 15, 0, 0, 7, 0, 0, 0, 28, 0, 0, 1, 227, 15, 0, 0, 7, 0, 0, 0, 29, 0, 0, 1, 247, 15, 0, 0, 7, 0, 0, 0, 30, 0, 0, 1, 2, 16, 0, 0, 7, 0, 0, 0, 31, 0, 0, 1, 15, 16, 0, 0, 7, 0, 0, 0, 32, 0, 0, 1, 30, 16, 0, 0, 7, 0, 0, 0, 33, 0, 0, 1, 40, 16, 0, 0, 7, 0, 0, 0, 34, 0, 0, 1, 49, 16, 0, 0, 7, 0, 0, 0, 35, 0, 0, 1, 63, 16, 0, 0, 46, 0, 0, 0, 48, 0, 0, 0, 72, 16, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 163, 0, 0, 0, 96, 0, 0, 0, 82, 16, 0, 0, 40, 0, 0, 0, 128, 0, 0, 0, 91, 16, 0, 0, 2, 0, 0, 0, 160, 0, 0, 0, 99, 16, 0, 0, 40, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 166, 0, 0, 0, 224, 0, 0, 0, 0, 0, 0, 0, 169, 0, 0, 0, 0, 1, 0, 0, 104, 16, 0, 0, 40, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 170, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 171, 0, 0, 0, 96, 1, 0, 0, 112, 16, 0, 0, 46, 0, 0, 0, 112, 1, 0, 0, 135, 16, 0, 0, 46, 0, 0, 0, 128, 1, 0, 0, 156, 16, 0, 0, 46, 0, 0, 0, 144, 1, 0, 0, 173, 16, 0, 0, 168, 0, 0, 0, 160, 1, 0, 0, 182, 16, 0, 0, 46, 0, 0, 0, 176, 1, 0, 0, 199, 16, 0, 0, 46, 0, 0, 0, 192, 1, 0, 0, 214, 16, 0, 0, 46, 0, 0, 0, 208, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 225, 16, 0, 0, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 165, 0, 0, 0, 0, 0, 0, 0, 230, 16, 0, 0, 0, 0, 0, 8, 40, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 237, 16, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 248, 16, 0, 0, 46, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 4, 17, 0, 0, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 13, 17, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 24, 17, 0, 0, 46, 0, 0, 0, 16, 0, 0, 0, 33, 17, 0, 0, 0, 0, 0, 8, 46, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 40, 17, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 48, 17, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 59, 17, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 64, 17, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 2, 0, 0, 0, 82, 17, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 51, 0, 0, 132, 60, 0, 0, 0, 139, 14, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 157, 14, 0, 0, 7, 0, 0, 0, 0, 0, 0, 3, 166, 14, 0, 0, 7, 0, 0, 0, 3, 0, 0, 1, 176, 14, 0, 0, 7, 0, 0, 0, 4, 0, 0, 1, 196, 14, 0, 0, 7, 0, 0, 0, 5, 0, 0, 2, 206, 14, 0, 0, 7, 0, 0, 0, 7, 0, 0, 1, 215, 14, 0, 0, 160, 0, 0, 0, 8, 0, 0, 0, 232, 14, 0, 0, 7, 0, 0, 0, 8, 0, 0, 1, 251, 14, 0, 0, 7, 0, 0, 0, 9, 0, 0, 1, 9, 15, 0, 0, 7, 0, 0, 0, 10, 0, 0, 1, 26, 15, 0, 0, 7, 0, 0, 0, 11, 0, 0, 1, 42, 15, 0, 0, 7, 0, 0, 0, 12, 0, 0, 1, 59, 15, 0, 0, 7, 0, 0, 0, 13, 0, 0, 2, 70, 15, 0, 0, 7, 0, 0, 0, 15, 0, 0, 1, 90, 15, 0, 0, 7, 0, 0, 0, 16, 0, 0, 1, 98, 15, 0, 0, 7, 0, 0, 0, 17, 0, 0, 1, 106, 15, 0, 0, 7, 0, 0, 0, 18, 0, 0, 1, 123, 15, 0, 0, 7, 0, 0, 0, 19, 0, 0, 1, 134, 15, 0, 0, 7, 0, 0, 0, 20, 0, 0, 1, 141, 15, 0, 0, 7, 0, 0, 0, 21, 0, 0, 1, 155, 15, 0, 0, 7, 0, 0, 0, 22, 0, 0, 1, 170, 15, 0, 0, 7, 0, 0, 0, 23, 0, 0, 1, 181, 15, 0, 0, 7, 0, 0, 0, 24, 0, 0, 2, 196, 15, 0, 0, 7, 0, 0, 0, 26, 0, 0, 1, 204, 10, 0, 0, 7, 0, 0, 0, 27, 0, 0, 1, 210, 15, 0, 0, 7, 0, 0, 0, 28, 0, 0, 1, 227, 15, 0, 0, 7, 0, 0, 0, 29, 0, 0, 1, 247, 15, 0, 0, 7, 0, 0, 0, 30, 0, 0, 1, 2, 16, 0, 0, 7, 0, 0, 0, 31, 0, 0, 1, 15, 16, 0, 0, 7, 0, 0, 0, 32, 0, 0, 1, 30, 16, 0, 0, 7, 0, 0, 0, 33, 0, 0, 1, 40, 16, 0, 0, 7, 0, 0, 0, 34, 0, 0, 1, 49, 16, 0, 0, 7, 0, 0, 0, 35, 0, 0, 1, 63, 16, 0, 0, 46, 0, 0, 0, 48, 0, 0, 0, 72, 16, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 173, 0, 0, 0, 96, 0, 0, 0, 82, 16, 0, 0, 40, 0, 0, 0, 128, 0, 0, 0, 91, 16, 0, 0, 2, 0, 0, 0, 160, 0, 0, 0, 99, 16, 0, 0, 40, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 175, 0, 0, 0, 224, 0, 0, 0, 0, 0, 0, 0, 177, 0, 0, 0, 0, 1, 0, 0, 104, 16, 0, 0, 40, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 178, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 179, 0, 0, 0, 96, 1, 0, 0, 112, 16, 0, 0, 46, 0, 0, 0, 112, 1, 0, 0, 135, 16, 0, 0, 46, 0, 0, 0, 128, 1, 0, 0, 156, 16, 0, 0, 46, 0, 0, 0, 144, 1, 0, 0, 173, 16, 0, 0, 168, 0, 0, 0, 160, 1, 0, 0, 182, 16, 0, 0, 46, 0, 0, 0, 176, 1, 0, 0, 199, 16, 0, 0, 46, 0, 0, 0, 192, 1, 0, 0, 214, 16, 0, 0, 46, 0, 0, 0, 208, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 225, 16, 0, 0, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 237, 16, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 248, 16, 0, 0, 46, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 4, 17, 0, 0, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 13, 17, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 24, 17, 0, 0, 46, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 40, 17, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 48, 17, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 59, 17, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 64, 17, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 2, 0, 0, 0, 82, 17, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 111, 17, 0, 0, 0, 0, 0, 8, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 8, 0, 0, 0, 126, 17, 0, 0, 0, 0, 0, 8, 183, 0, 0, 0, 137, 17, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 153, 17, 0, 0, 184, 0, 0, 0, 0, 0, 0, 0, 158, 17, 0, 0, 0, 0, 0, 8, 185, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 167, 17, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 6, 0, 0, 0, 200, 38, 0, 0, 0, 0, 0, 14, 187, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 39, 0, 0, 0, 210, 38, 0, 0, 0, 0, 0, 14, 190, 0, 0, 0, 1, 0, 0, 0, 216, 38, 0, 0, 0, 0, 0, 14, 190, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 154, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 223, 38, 0, 0, 0, 0, 0, 14, 194, 0, 0, 0, 1, 0, 0, 0, 233, 38, 0, 0, 0, 0, 0, 14, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 197, 0, 0, 0, 4, 0, 0, 0, 36, 0, 0, 0, 247, 38, 0, 0, 0, 0, 0, 14, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 197, 0, 0, 0, 4, 0, 0, 0, 48, 0, 0, 0, 15, 39, 0, 0, 0, 0, 0, 14, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 197, 0, 0, 0, 4, 0, 0, 0, 29, 0, 0, 0, 41, 39, 0, 0, 0, 0, 0, 14, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 197, 0, 0, 0, 4, 0, 0, 0, 38, 0, 0, 0, 61, 39, 0, 0, 0, 0, 0, 14, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 197, 0, 0, 0, 4, 0, 0, 0, 57, 0, 0, 0, 78, 39, 0, 0, 0, 0, 0, 14, 206, 0, 0, 0, 0, 0, 0, 0, 96, 39, 0, 0, 0, 0, 0, 14, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 197, 0, 0, 0, 4, 0, 0, 0, 53, 0, 0, 0, 111, 39, 0, 0, 0, 0, 0, 14, 209, 0, 0, 0, 0, 0, 0, 0, 136, 39, 0, 0, 1, 0, 0, 15, 0, 0, 0, 0, 196, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 141, 39, 0, 0, 9, 0, 0, 15, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 33, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 51, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 56, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 62, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 70, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 147, 39, 0, 0, 10, 0, 0, 15, 0, 0, 0, 0, 189, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 199, 0, 0, 0, 12, 0, 0, 0, 36, 0, 0, 0, 201, 0, 0, 0, 48, 0, 0, 0, 48, 0, 0, 0, 203, 0, 0, 0, 96, 0, 0, 0, 29, 0, 0, 0, 205, 0, 0, 0, 125, 0, 0, 0, 38, 0, 0, 0, 207, 0, 0, 0, 163, 0, 0, 0, 57, 0, 0, 0, 208, 0, 0, 0, 220, 0, 0, 0, 29, 0, 0, 0, 210, 0, 0, 0, 249, 0, 0, 0, 53, 0, 0, 0, 155, 39, 0, 0, 1, 0, 0, 15, 0, 0, 0, 0, 195, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 62, 2, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 163, 39, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 168, 39, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 182, 39, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 190, 39, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 202, 39, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 214, 39, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 105, 110, 116, 0, 95, 95, 65, 82, 82, 65, 89, 95, 83, 73, 90, 69, 95, 84, 89, 80, 69, 95, 95, 0, 117, 56, 0, 95, 95, 117, 56, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 99, 104, 97, 114, 0, 114, 101, 116, 105, 115, 95, 103, 108, 111, 98, 97, 108, 95, 99, 111, 110, 102, 105, 103, 0, 101, 110, 97, 98, 108, 101, 100, 0, 116, 121, 112, 101, 0, 109, 97, 120, 95, 101, 110, 116, 114, 105, 101, 115, 0, 107, 101, 121, 0, 118, 97, 108, 117, 101, 0, 103, 108, 111, 98, 97, 108, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 114, 101, 116, 105, 115, 95, 99, 111, 117, 110, 116, 101, 114, 115, 95, 107, 101, 121, 0, 115, 121, 109, 95, 97, 100, 100, 114, 0, 112, 105, 100, 0, 117, 54, 52, 0, 95, 95, 117, 54, 52, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 108, 111, 110, 103, 32, 108, 111, 110, 103, 0, 114, 101, 116, 105, 115, 95, 99, 111, 117, 110, 116, 101, 114, 115, 0, 100, 114, 111, 112, 112, 101, 100, 95, 101, 118, 101, 110, 116, 115, 0, 99, 111, 117, 110, 116, 101, 114, 115, 95, 109, 97, 112, 0, 101, 118, 101, 110, 116, 115, 95, 109, 97, 112, 0, 108, 111, 103, 95, 109, 97, 112, 0, 117, 51, 50, 0, 95, 95, 117, 51, 50, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 105, 110, 116, 0, 114, 101, 116, 105, 115, 95, 109, 101, 116, 97, 95, 111, 112, 0, 108, 0, 116, 0, 110, 109, 101, 109, 98, 0, 111, 102, 102, 116, 0, 98, 102, 95, 115, 105, 122, 101, 0, 109, 97, 115, 107, 0, 117, 49, 54, 0, 95, 95, 117, 49, 54, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 115, 104, 111, 114, 116, 0, 109, 100, 0, 115, 122, 0, 99, 109, 112, 0, 102, 105, 108, 116, 101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 99, 111, 110, 102, 105, 103, 0, 102, 114, 101, 101, 0, 112, 97, 114, 116, 105, 97, 108, 95, 102, 114, 101, 101, 0, 105, 110, 118, 95, 104, 101, 97, 100, 0, 110, 111, 95, 116, 114, 97, 99, 107, 105, 110, 103, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 105, 110, 102, 111, 0, 116, 105, 109, 101, 115, 116, 97, 109, 112, 0, 108, 97, 115, 116, 95, 115, 101, 101, 110, 0, 111, 114, 105, 103, 95, 104, 101, 97, 100, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 0, 114, 101, 116, 105, 115, 95, 112, 114, 111, 98, 101, 95, 99, 111, 110, 102, 105, 103, 0, 111, 102, 102, 115, 101, 116, 115, 0, 115, 116, 97, 99, 107, 95, 116, 114, 97, 99, 101, 0, 114, 101, 116, 105, 115, 95, 112, 114, 111, 98, 101, 95, 111, 102, 102, 115, 101, 116, 115, 0, 115, 107, 95, 98, 117, 102, 102, 0, 115, 107, 98, 95, 100, 114, 111, 112, 95, 114, 101, 97, 115, 111, 110, 0, 110, 101, 116, 95, 100, 101, 118, 105, 99, 101, 0, 110, 101, 116, 0, 110, 102, 116, 95, 112, 107, 116, 105, 110, 102, 111, 0, 110, 102, 116, 95, 116, 114, 97, 99, 101, 105, 110, 102, 111, 0, 115, 56, 0, 95, 95, 115, 56, 0, 115, 105, 103, 110, 101, 100, 32, 99, 104, 97, 114, 0, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 107, 101, 121, 95, 115, 105, 122, 101, 0, 118, 97, 108, 117, 101, 95, 115, 105, 122, 101, 0, 115, 116, 97, 99, 107, 95, 109, 97, 112, 0, 114, 101, 116, 105, 115, 95, 99, 111, 110, 116, 101, 120, 116, 0, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 0, 107, 115, 121, 109, 0, 114, 101, 103, 115, 0, 111, 114, 105, 103, 95, 99, 116, 120, 0, 102, 105, 108, 116, 101, 114, 115, 95, 114, 101, 116, 0, 107, 101, 114, 110, 101, 108, 95, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 0, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 75, 80, 82, 79, 66, 69, 0, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 75, 82, 69, 84, 80, 82, 79, 66, 69, 0, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 84, 82, 65, 67, 69, 80, 79, 73, 78, 84, 0, 114, 101, 116, 105, 115, 95, 114, 101, 103, 115, 0, 114, 101, 103, 0, 114, 101, 116, 0, 110, 117, 109, 0, 114, 101, 116, 105, 115, 95, 114, 97, 119, 95, 101, 118, 101, 110, 116, 0, 115, 105, 122, 101, 0, 100, 97, 116, 97, 0, 99, 116, 120, 0, 101, 118, 101, 110, 116, 0, 104, 111, 111, 107, 48, 0, 46, 116, 101, 120, 116, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 99, 111, 109, 109, 111, 110, 46, 104, 0, 72, 79, 79, 75, 40, 48, 41, 0, 104, 111, 111, 107, 49, 0, 72, 79, 79, 75, 40, 49, 41, 0, 104, 111, 111, 107, 50, 0, 72, 79, 79, 75, 40, 50, 41, 0, 104, 111, 111, 107, 51, 0, 72, 79, 79, 75, 40, 51, 41, 0, 104, 111, 111, 107, 52, 0, 72, 79, 79, 75, 40, 52, 41, 0, 104, 111, 111, 107, 53, 0, 72, 79, 79, 75, 40, 53, 41, 0, 104, 111, 111, 107, 54, 0, 72, 79, 79, 75, 40, 54, 41, 0, 104, 111, 111, 107, 55, 0, 72, 79, 79, 75, 40, 55, 41, 0, 104, 111, 111, 107, 56, 0, 72, 79, 79, 75, 40, 56, 41, 0, 104, 111, 111, 107, 57, 0, 72, 79, 79, 75, 40, 57, 41, 0, 112, 116, 95, 114, 101, 103, 115, 0, 114, 49, 53, 0, 114, 49, 52, 0, 114, 49, 51, 0, 114, 49, 50, 0, 98, 112, 0, 98, 120, 0, 114, 49, 49, 0, 114, 49, 48, 0, 114, 57, 0, 114, 56, 0, 97, 120, 0, 99, 120, 0, 100, 120, 0, 115, 105, 0, 100, 105, 0, 111, 114, 105, 103, 95, 97, 120, 0, 105, 112, 0, 102, 108, 97, 103, 115, 0, 115, 112, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 108, 111, 110, 103, 0, 99, 115, 0, 99, 115, 120, 0, 102, 114, 101, 100, 95, 99, 115, 0, 115, 108, 0, 119, 102, 101, 0, 115, 115, 0, 115, 115, 120, 0, 102, 114, 101, 100, 95, 115, 115, 0, 115, 116, 105, 0, 115, 119, 101, 118, 101, 110, 116, 0, 110, 109, 105, 0, 118, 101, 99, 116, 111, 114, 0, 101, 110, 99, 108, 97, 118, 101, 0, 108, 109, 0, 110, 101, 115, 116, 101, 100, 0, 105, 110, 115, 110, 108, 101, 110, 0, 112, 114, 111, 98, 101, 95, 107, 112, 114, 111, 98, 101, 0, 107, 112, 114, 111, 98, 101, 47, 112, 114, 111, 98, 101, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 107, 112, 114, 111, 98, 101, 46, 98, 112, 102, 46, 99, 0, 105, 110, 116, 32, 112, 114, 111, 98, 101, 95, 107, 112, 114, 111, 98, 101, 40, 115, 116, 114, 117, 99, 116, 32, 112, 116, 95, 114, 101, 103, 115, 32, 42, 99, 116, 120, 41, 0, 9, 115, 116, 114, 117, 99, 116, 32, 114, 101, 116, 105, 115, 95, 99, 111, 110, 116, 101, 120, 116, 32, 99, 111, 110, 116, 101, 120, 116, 32, 61, 32, 123, 125, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 116, 105, 109, 101, 115, 116, 97, 109, 112, 32, 61, 32, 98, 112, 102, 95, 107, 116, 105, 109, 101, 95, 103, 101, 116, 95, 110, 115, 40, 41, 59, 0, 98, 112, 102, 95, 102, 117, 110, 99, 95, 105, 100, 95, 95, 95, 120, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 102, 117, 110, 99, 95, 105, 112, 95, 95, 95, 53, 95, 49, 53, 95, 48, 0, 48, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 104, 101, 108, 112, 101, 114, 115, 46, 104, 0, 9, 105, 102, 32, 40, 98, 112, 102, 95, 99, 111, 114, 101, 95, 101, 110, 117, 109, 95, 118, 97, 108, 117, 101, 95, 101, 120, 105, 115, 116, 115, 40, 101, 110, 117, 109, 32, 98, 112, 102, 95, 102, 117, 110, 99, 95, 105, 100, 95, 95, 95, 120, 44, 32, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 102, 117, 110, 99, 95, 105, 112, 95, 95, 95, 53, 95, 49, 53, 95, 48, 41, 41, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 98, 112, 102, 95, 103, 101, 116, 95, 102, 117, 110, 99, 95, 105, 112, 40, 99, 116, 120, 41, 59, 0, 48, 58, 49, 54, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 80, 84, 95, 82, 69, 71, 83, 95, 73, 80, 40, 99, 116, 120, 41, 32, 45, 32, 115, 105, 122, 101, 111, 102, 40, 107, 112, 114, 111, 98, 101, 95, 111, 112, 99, 111, 100, 101, 95, 116, 41, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 32, 61, 32, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 75, 80, 82, 79, 66, 69, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 107, 115, 121, 109, 32, 61, 32, 107, 112, 114, 111, 98, 101, 95, 103, 101, 116, 95, 102, 117, 110, 99, 95, 105, 112, 40, 99, 116, 120, 41, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 111, 114, 105, 103, 95, 99, 116, 120, 32, 61, 32, 99, 116, 120, 59, 0, 48, 58, 49, 52, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 48, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 49, 40, 99, 116, 120, 41, 59, 0, 48, 58, 49, 51, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 49, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 50, 40, 99, 116, 120, 41, 59, 0, 48, 58, 49, 50, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 50, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 51, 40, 99, 116, 120, 41, 59, 0, 48, 58, 49, 49, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 51, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 52, 40, 99, 116, 120, 41, 59, 0, 48, 58, 57, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 52, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 53, 40, 99, 116, 120, 41, 59, 0, 9, 114, 101, 103, 115, 45, 62, 110, 117, 109, 32, 61, 32, 53, 59, 0, 9, 105, 102, 32, 40, 117, 110, 108, 105, 107, 101, 108, 121, 40, 33, 101, 110, 97, 98, 108, 101, 100, 41, 41, 32, 123, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 99, 111, 109, 109, 111, 110, 95, 100, 101, 102, 115, 46, 104, 0, 9, 117, 56, 32, 107, 101, 121, 32, 61, 32, 48, 59, 0, 9, 99, 102, 103, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 103, 108, 111, 98, 97, 108, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 44, 32, 38, 107, 101, 121, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 99, 102, 103, 32, 38, 38, 32, 33, 33, 99, 102, 103, 45, 62, 101, 110, 97, 98, 108, 101, 100, 59, 0, 9, 9, 101, 110, 97, 98, 108, 101, 100, 32, 61, 32, 99, 111, 108, 108, 101, 99, 116, 105, 111, 110, 95, 101, 110, 97, 98, 108, 101, 100, 40, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 101, 110, 97, 98, 108, 101, 100, 41, 0, 9, 99, 102, 103, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 44, 32, 38, 99, 116, 120, 45, 62, 107, 115, 121, 109, 41, 59, 0, 9, 105, 102, 32, 40, 33, 99, 102, 103, 41, 0, 9, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 115, 32, 61, 32, 99, 102, 103, 45, 62, 111, 102, 102, 115, 101, 116, 115, 59, 0, 9, 115, 116, 114, 117, 99, 116, 32, 114, 101, 116, 105, 115, 95, 112, 97, 99, 107, 101, 116, 95, 102, 105, 108, 116, 101, 114, 95, 99, 116, 120, 32, 102, 99, 116, 120, 32, 61, 32, 123, 125, 59, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 114, 101, 116, 105, 115, 95, 99, 111, 110, 116, 101, 120, 116, 46, 104, 0, 9, 115, 107, 98, 32, 61, 32, 95, 95, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 115, 107, 95, 98, 117, 102, 102, 40, 99, 116, 120, 41, 59, 0, 9, 105, 102, 32, 40, 33, 115, 107, 98, 41, 32, 123, 0, 116, 114, 97, 99, 101, 0, 110, 102, 95, 116, 114, 97, 99, 101, 0, 112, 97, 99, 107, 101, 116, 95, 100, 117, 109, 112, 101, 100, 0, 115, 107, 98, 105, 100, 0, 98, 97, 115, 101, 99, 104, 97, 105, 110, 0, 98, 111, 111, 108, 0, 95, 66, 111, 111, 108, 0, 110, 102, 116, 95, 116, 114, 97, 99, 101, 95, 116, 121, 112, 101, 115, 0, 78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 85, 78, 83, 80, 69, 67, 0, 78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 80, 79, 76, 73, 67, 89, 0, 78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 82, 69, 84, 85, 82, 78, 0, 78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 82, 85, 76, 69, 0, 95, 95, 78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 77, 65, 88, 0, 9, 9, 105, 102, 32, 40, 33, 98, 112, 102, 95, 99, 111, 114, 101, 95, 116, 121, 112, 101, 95, 101, 120, 105, 115, 116, 115, 40, 115, 116, 114, 117, 99, 116, 32, 110, 102, 116, 95, 116, 114, 97, 99, 101, 105, 110, 102, 111, 41, 32, 124, 124, 0, 115, 107, 98, 0, 115, 116, 97, 116, 101, 0, 116, 112, 114, 111, 116, 0, 102, 114, 97, 103, 111, 102, 102, 0, 116, 104, 111, 102, 102, 0, 105, 110, 110, 101, 114, 111, 102, 102, 0, 9, 9, 105, 110, 102, 111, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 110, 102, 116, 95, 116, 114, 97, 99, 101, 105, 110, 102, 111, 40, 99, 116, 120, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 105, 110, 102, 111, 41, 0, 110, 102, 116, 95, 116, 114, 97, 99, 101, 105, 110, 102, 111, 95, 95, 95, 54, 95, 51, 95, 48, 0, 112, 107, 116, 0, 114, 117, 108, 101, 0, 118, 101, 114, 100, 105, 99, 116, 0, 48, 58, 48, 0, 9, 9, 105, 102, 32, 40, 98, 112, 102, 95, 99, 111, 114, 101, 95, 102, 105, 101, 108, 100, 95, 101, 120, 105, 115, 116, 115, 40, 105, 110, 102, 111, 95, 54, 51, 45, 62, 112, 107, 116, 41, 41, 0, 9, 9, 9, 112, 107, 116, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 105, 110, 102, 111, 95, 54, 51, 44, 32, 112, 107, 116, 41, 59, 0, 9, 9, 105, 102, 32, 40, 112, 107, 116, 41, 0, 9, 9, 9, 112, 107, 116, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 110, 102, 116, 95, 112, 107, 116, 105, 110, 102, 111, 40, 99, 116, 120, 41, 59, 0, 9, 9, 9, 115, 107, 98, 32, 61, 32, 40, 115, 116, 114, 117, 99, 116, 32, 115, 107, 95, 98, 117, 102, 102, 32, 42, 41, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 112, 107, 116, 44, 32, 115, 107, 98, 41, 59, 0, 9, 105, 102, 32, 40, 33, 115, 107, 98, 41, 0, 115, 107, 0, 99, 98, 0, 95, 110, 102, 99, 116, 0, 108, 101, 110, 0, 100, 97, 116, 97, 95, 108, 101, 110, 0, 109, 97, 99, 95, 108, 101, 110, 0, 104, 100, 114, 95, 108, 101, 110, 0, 113, 117, 101, 117, 101, 95, 109, 97, 112, 112, 105, 110, 103, 0, 95, 95, 99, 108, 111, 110, 101, 100, 95, 111, 102, 102, 115, 101, 116, 0, 99, 108, 111, 110, 101, 100, 0, 110, 111, 104, 100, 114, 0, 102, 99, 108, 111, 110, 101, 0, 112, 101, 101, 107, 101, 100, 0, 104, 101, 97, 100, 95, 102, 114, 97, 103, 0, 112, 102, 109, 101, 109, 97, 108, 108, 111, 99, 0, 112, 112, 95, 114, 101, 99, 121, 99, 108, 101, 0, 97, 99, 116, 105, 118, 101, 95, 101, 120, 116, 101, 110, 115, 105, 111, 110, 115, 0, 116, 97, 105, 108, 0, 101, 110, 100, 0, 104, 101, 97, 100, 0, 116, 114, 117, 101, 115, 105, 122, 101, 0, 117, 115, 101, 114, 115, 0, 101, 120, 116, 101, 110, 115, 105, 111, 110, 115, 0, 114, 98, 110, 111, 100, 101, 0, 108, 105, 115, 116, 0, 108, 108, 95, 110, 111, 100, 101, 0, 110, 101, 120, 116, 0, 112, 114, 101, 118, 0, 100, 101, 118, 0, 100, 101, 118, 95, 115, 99, 114, 97, 116, 99, 104, 0, 114, 98, 95, 110, 111, 100, 101, 0, 95, 95, 114, 98, 95, 112, 97, 114, 101, 110, 116, 95, 99, 111, 108, 111, 114, 0, 114, 98, 95, 114, 105, 103, 104, 116, 0, 114, 98, 95, 108, 101, 102, 116, 0, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 108, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 116, 115, 116, 97, 109, 112, 0, 115, 107, 98, 95, 109, 115, 116, 97, 109, 112, 95, 110, 115, 0, 107, 116, 105, 109, 101, 95, 116, 0, 115, 54, 52, 0, 95, 95, 115, 54, 52, 0, 108, 111, 110, 103, 32, 108, 111, 110, 103, 0, 99, 104, 97, 114, 0, 116, 99, 112, 95, 116, 115, 111, 114, 116, 101, 100, 95, 97, 110, 99, 104, 111, 114, 0, 95, 115, 107, 95, 114, 101, 100, 105, 114, 0, 95, 115, 107, 98, 95, 114, 101, 102, 100, 115, 116, 0, 100, 101, 115, 116, 114, 117, 99, 116, 111, 114, 0, 104, 101, 97, 100, 101, 114, 115, 0, 95, 95, 112, 107, 116, 95, 116, 121, 112, 101, 95, 111, 102, 102, 115, 101, 116, 0, 112, 107, 116, 95, 116, 121, 112, 101, 0, 105, 103, 110, 111, 114, 101, 95, 100, 102, 0, 100, 115, 116, 95, 112, 101, 110, 100, 105, 110, 103, 95, 99, 111, 110, 102, 105, 114, 109, 0, 105, 112, 95, 115, 117, 109, 109, 101, 100, 0, 111, 111, 111, 95, 111, 107, 97, 121, 0, 95, 95, 109, 111, 110, 111, 95, 116, 99, 95, 111, 102, 102, 115, 101, 116, 0, 109, 111, 110, 111, 95, 100, 101, 108, 105, 118, 101, 114, 121, 95, 116, 105, 109, 101, 0, 116, 99, 95, 97, 116, 95, 105, 110, 103, 114, 101, 115, 115, 0, 116, 99, 95, 115, 107, 105, 112, 95, 99, 108, 97, 115, 115, 105, 102, 121, 0, 114, 101, 109, 99, 115, 117, 109, 95, 111, 102, 102, 108, 111, 97, 100, 0, 99, 115, 117, 109, 95, 99, 111, 109, 112, 108, 101, 116, 101, 95, 115, 119, 0, 99, 115, 117, 109, 95, 108, 101, 118, 101, 108, 0, 105, 110, 110, 101, 114, 95, 112, 114, 111, 116, 111, 99, 111, 108, 95, 116, 121, 112, 101, 0, 108, 52, 95, 104, 97, 115, 104, 0, 115, 119, 95, 104, 97, 115, 104, 0, 119, 105, 102, 105, 95, 97, 99, 107, 101, 100, 95, 118, 97, 108, 105, 100, 0, 119, 105, 102, 105, 95, 97, 99, 107, 101, 100, 0, 110, 111, 95, 102, 99, 115, 0, 101, 110, 99, 97, 112, 115, 117, 108, 97, 116, 105, 111, 110, 0, 101, 110, 99, 97, 112, 95, 104, 100, 114, 95, 99, 115, 117, 109, 0, 99, 115, 117, 109, 95, 118, 97, 108, 105, 100, 0, 110, 100, 105, 115, 99, 95, 110, 111, 100, 101, 116, 121, 112, 101, 0, 105, 112, 118, 115, 95, 112, 114, 111, 112, 101, 114, 116, 121, 0, 111, 102, 102, 108, 111, 97, 100, 95, 102, 119, 100, 95, 109, 97, 114, 107, 0, 111, 102, 102, 108, 111, 97, 100, 95, 108, 51, 95, 102, 119, 100, 95, 109, 97, 114, 107, 0, 114, 101, 100, 105, 114, 101, 99, 116, 101, 100, 0, 102, 114, 111, 109, 95, 105, 110, 103, 114, 101, 115, 115, 0, 110, 102, 95, 115, 107, 105, 112, 95, 101, 103, 114, 101, 115, 115, 0, 100, 101, 99, 114, 121, 112, 116, 101, 100, 0, 115, 108, 111, 119, 95, 103, 114, 111, 0, 99, 115, 117, 109, 95, 110, 111, 116, 95, 105, 110, 101, 116, 0, 116, 99, 95, 105, 110, 100, 101, 120, 0, 97, 108, 108, 111, 99, 95, 99, 112, 117, 0, 112, 114, 105, 111, 114, 105, 116, 121, 0, 115, 107, 98, 95, 105, 105, 102, 0, 104, 97, 115, 104, 0, 115, 101, 99, 109, 97, 114, 107, 0, 105, 110, 110, 101, 114, 95, 116, 114, 97, 110, 115, 112, 111, 114, 116, 95, 104, 101, 97, 100, 101, 114, 0, 105, 110, 110, 101, 114, 95, 110, 101, 116, 119, 111, 114, 107, 95, 104, 101, 97, 100, 101, 114, 0, 105, 110, 110, 101, 114, 95, 109, 97, 99, 95, 104, 101, 97, 100, 101, 114, 0, 112, 114, 111, 116, 111, 99, 111, 108, 0, 116, 114, 97, 110, 115, 112, 111, 114, 116, 95, 104, 101, 97, 100, 101, 114, 0, 110, 101, 116, 119, 111, 114, 107, 95, 104, 101, 97, 100, 101, 114, 0, 109, 97, 99, 95, 104, 101, 97, 100, 101, 114, 0, 99, 115, 117, 109, 0, 95, 95, 119, 115, 117, 109, 0, 99, 115, 117, 109, 95, 115, 116, 97, 114, 116, 0, 99, 115, 117, 109, 95, 111, 102, 102, 115, 101, 116, 0, 118, 108, 97, 110, 95, 97, 108, 108, 0, 118, 108, 97, 110, 95, 112, 114, 111, 116, 111, 0, 118, 108, 97, 110, 95, 116, 99, 105, 0, 95, 95, 98, 101, 49, 54, 0, 110, 97, 112, 105, 95, 105, 100, 0, 115, 101, 110, 100, 101, 114, 95, 99, 112, 117, 0, 109, 97, 114, 107, 0, 114, 101, 115, 101, 114, 118, 101, 100, 95, 116, 97, 105, 108, 114, 111, 111, 109, 0, 105, 110, 110, 101, 114, 95, 112, 114, 111, 116, 111, 99, 111, 108, 0, 105, 110, 110, 101, 114, 95, 105, 112, 112, 114, 111, 116, 111, 0, 115, 107, 95, 98, 117, 102, 102, 95, 100, 97, 116, 97, 95, 116, 0, 114, 101, 102, 99, 111, 117, 110, 116, 95, 116, 0, 114, 101, 102, 99, 111, 117, 110, 116, 95, 115, 116, 114, 117, 99, 116, 0, 114, 101, 102, 115, 0, 97, 116, 111, 109, 105, 99, 95, 116, 0, 99, 111, 117, 110, 116, 101, 114, 0, 48, 58, 50, 51, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 116, 114, 97, 99, 107, 105, 110, 103, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 115, 107, 98, 95, 116, 114, 97, 99, 107, 105, 110, 103, 46, 104, 0, 9, 104, 101, 97, 100, 32, 61, 32, 40, 117, 54, 52, 41, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 104, 101, 97, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 104, 101, 97, 100, 41, 0, 9, 104, 101, 97, 100, 32, 61, 32, 40, 99, 104, 97, 114, 32, 42, 41, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 104, 101, 97, 100, 41, 59, 0, 48, 58, 54, 0, 9, 102, 99, 116, 120, 46, 108, 101, 110, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 108, 101, 110, 41, 59, 0, 48, 58, 50, 48, 58, 48, 58, 53, 48, 0, 9, 109, 97, 99, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 109, 97, 99, 95, 104, 101, 97, 100, 101, 114, 41, 59, 0, 48, 58, 50, 48, 58, 48, 58, 52, 57, 0, 9, 110, 101, 116, 119, 111, 114, 107, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 110, 101, 116, 119, 111, 114, 107, 95, 104, 101, 97, 100, 101, 114, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 105, 115, 95, 109, 97, 99, 95, 118, 97, 108, 105, 100, 40, 109, 97, 99, 41, 32, 38, 38, 0, 9, 114, 101, 116, 117, 114, 110, 32, 110, 101, 116, 119, 111, 114, 107, 32, 38, 38, 32, 33, 73, 83, 95, 85, 78, 83, 69, 84, 40, 110, 101, 116, 119, 111, 114, 107, 41, 59, 0, 9, 32, 32, 32, 32, 32, 32, 32, 33, 40, 105, 115, 95, 110, 101, 116, 119, 111, 114, 107, 95, 118, 97, 108, 105, 100, 40, 110, 101, 116, 119, 111, 114, 107, 41, 32, 38, 38, 32, 110, 101, 116, 119, 111, 114, 107, 32, 61, 61, 32, 109, 97, 99, 32, 38, 38, 0, 48, 58, 56, 0, 9, 9, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 109, 97, 99, 95, 108, 101, 110, 41, 32, 61, 61, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 105, 115, 95, 109, 97, 99, 95, 100, 97, 116, 97, 95, 118, 97, 108, 105, 100, 40, 115, 107, 98, 41, 41, 32, 123, 0, 9, 9, 102, 99, 116, 120, 46, 100, 97, 116, 97, 32, 61, 32, 104, 101, 97, 100, 32, 43, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 109, 97, 99, 95, 104, 101, 97, 100, 101, 114, 41, 59, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 102, 105, 108, 116, 101, 114, 115, 47, 112, 97, 99, 107, 101, 116, 115, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 112, 97, 99, 107, 101, 116, 95, 102, 105, 108, 116, 101, 114, 46, 104, 0, 9, 102, 112, 32, 61, 32, 40, 117, 54, 52, 32, 42, 41, 40, 40, 118, 111, 105, 100, 32, 42, 41, 115, 116, 97, 99, 107, 32, 43, 32, 115, 105, 122, 101, 111, 102, 40, 115, 116, 97, 99, 107, 41, 41, 59, 0, 9, 97, 115, 109, 32, 118, 111, 108, 97, 116, 105, 108, 101, 32, 40, 0, 9, 9, 103, 111, 116, 111, 32, 102, 105, 108, 116, 101, 114, 95, 111, 117, 116, 99, 111, 109, 101, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 105, 115, 95, 110, 101, 116, 119, 111, 114, 107, 95, 118, 97, 108, 105, 100, 40, 110, 101, 116, 119, 111, 114, 107, 41, 32, 38, 38, 0, 9, 32, 32, 32, 32, 32, 32, 32, 33, 40, 105, 115, 95, 109, 97, 99, 95, 118, 97, 108, 105, 100, 40, 109, 97, 99, 41, 32, 38, 38, 32, 109, 97, 99, 32, 61, 61, 32, 110, 101, 116, 119, 111, 114, 107, 32, 38, 38, 0, 9, 9, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 109, 97, 99, 95, 108, 101, 110, 41, 32, 33, 61, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 33, 105, 115, 95, 110, 101, 116, 119, 111, 114, 107, 95, 100, 97, 116, 97, 95, 118, 97, 108, 105, 100, 40, 115, 107, 98, 41, 41, 0, 9, 102, 99, 116, 120, 46, 100, 97, 116, 97, 32, 61, 32, 104, 101, 97, 100, 32, 43, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 110, 101, 116, 119, 111, 114, 107, 95, 104, 101, 97, 100, 101, 114, 41, 59, 0, 9, 99, 116, 120, 45, 62, 102, 105, 108, 116, 101, 114, 115, 95, 114, 101, 116, 32, 124, 61, 32, 40, 33, 33, 102, 99, 116, 120, 46, 114, 101, 116, 41, 32, 60, 60, 32, 82, 69, 84, 73, 83, 95, 70, 95, 80, 65, 67, 75, 69, 84, 95, 80, 65, 83, 83, 95, 83, 72, 59, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 102, 105, 108, 116, 101, 114, 115, 47, 109, 101, 116, 97, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 109, 101, 116, 97, 95, 102, 105, 108, 116, 101, 114, 46, 104, 0, 9, 105, 102, 32, 40, 33, 110, 109, 101, 116, 97, 32, 124, 124, 32, 110, 109, 101, 116, 97, 32, 62, 32, 77, 69, 84, 65, 95, 79, 80, 83, 95, 77, 65, 88, 41, 0, 9, 117, 51, 50, 32, 107, 32, 61, 32, 48, 59, 0, 9, 118, 97, 108, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 102, 105, 108, 116, 101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 44, 32, 38, 107, 41, 59, 0, 9, 105, 102, 32, 40, 33, 118, 97, 108, 41, 32, 123, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 109, 101, 116, 97, 45, 102, 105, 108, 116, 101, 114, 32, 116, 97, 114, 103, 101, 116, 34, 41, 59, 0, 9, 99, 116, 120, 45, 62, 115, 122, 32, 61, 32, 118, 97, 108, 45, 62, 116, 46, 115, 122, 59, 0, 9, 99, 116, 120, 45, 62, 99, 109, 112, 32, 61, 32, 118, 97, 108, 45, 62, 116, 46, 99, 109, 112, 59, 0, 9, 102, 111, 114, 32, 40, 105, 32, 61, 32, 49, 44, 32, 107, 32, 61, 32, 49, 59, 32, 105, 32, 60, 32, 110, 109, 101, 116, 97, 59, 32, 107, 43, 43, 44, 32, 105, 43, 43, 41, 32, 123, 0, 9, 9, 99, 116, 120, 45, 62, 98, 102, 115, 32, 61, 32, 118, 97, 108, 45, 62, 108, 46, 98, 102, 95, 115, 105, 122, 101, 59, 0, 9, 9, 99, 116, 120, 45, 62, 110, 109, 101, 109, 98, 32, 61, 32, 118, 97, 108, 45, 62, 108, 46, 110, 109, 101, 109, 98, 59, 0, 9, 9, 99, 116, 120, 45, 62, 109, 97, 115, 107, 32, 61, 32, 118, 97, 108, 45, 62, 108, 46, 109, 97, 115, 107, 59, 0, 9, 105, 102, 32, 40, 99, 116, 120, 46, 116, 121, 112, 101, 32, 38, 32, 80, 84, 82, 95, 66, 73, 84, 32, 124, 124, 32, 99, 116, 120, 46, 110, 109, 101, 109, 98, 32, 62, 32, 48, 41, 0, 9, 99, 104, 97, 114, 32, 118, 97, 108, 91, 77, 69, 84, 65, 95, 84, 65, 82, 71, 69, 84, 95, 77, 65, 88, 93, 32, 61, 32, 123, 48, 125, 59, 0, 9, 115, 122, 32, 61, 32, 99, 116, 120, 45, 62, 110, 109, 101, 109, 98, 32, 63, 32, 58, 32, 99, 116, 120, 45, 62, 115, 122, 59, 0, 9, 115, 122, 32, 61, 32, 77, 73, 78, 40, 115, 122, 44, 32, 115, 105, 122, 101, 111, 102, 40, 118, 97, 108, 41, 41, 59, 0, 9, 9, 118, 97, 108, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 102, 105, 108, 116, 101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 44, 32, 38, 107, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 118, 97, 108, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 118, 97, 108, 45, 62, 108, 46, 116, 121, 112, 101, 32, 61, 61, 32, 80, 84, 82, 95, 66, 73, 84, 41, 32, 123, 0, 9, 9, 9, 9, 9, 9, 32, 32, 40, 99, 104, 97, 114, 32, 42, 41, 99, 116, 120, 45, 62, 98, 97, 115, 101, 32, 43, 32, 40, 118, 97, 108, 45, 62, 108, 46, 111, 102, 102, 116, 41, 41, 41, 0, 9, 9, 9, 105, 102, 32, 40, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 107, 101, 114, 110, 101, 108, 40, 38, 112, 116, 114, 44, 32, 115, 105, 122, 101, 111, 102, 40, 118, 111, 105, 100, 32, 42, 41, 44, 0, 9, 9, 9, 99, 116, 120, 45, 62, 98, 97, 115, 101, 32, 61, 32, 118, 97, 108, 45, 62, 108, 46, 109, 97, 115, 107, 32, 63, 32, 40, 118, 111, 105, 100, 32, 42, 41, 40, 112, 116, 114, 32, 38, 32, 118, 97, 108, 45, 62, 108, 46, 109, 97, 115, 107, 41, 0, 9, 9, 9, 99, 111, 110, 116, 105, 110, 117, 101, 59, 0, 9, 117, 54, 52, 32, 116, 118, 97, 108, 44, 32, 109, 118, 97, 108, 32, 61, 32, 48, 59, 0, 9, 105, 102, 32, 40, 99, 116, 120, 45, 62, 98, 102, 115, 41, 32, 123, 0, 9, 9, 111, 102, 102, 115, 101, 116, 32, 61, 32, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 32, 47, 32, 56, 59, 0, 9, 9, 115, 122, 32, 61, 32, 68, 73, 86, 95, 67, 69, 73, 76, 40, 40, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 32, 45, 32, 111, 102, 102, 115, 101, 116, 32, 42, 32, 56, 85, 41, 32, 43, 32, 99, 116, 120, 45, 62, 98, 102, 115, 44, 32, 56, 41, 59, 0, 9, 115, 122, 32, 61, 32, 77, 73, 78, 40, 115, 122, 44, 32, 115, 105, 122, 101, 111, 102, 40, 109, 118, 97, 108, 41, 41, 59, 0, 9, 105, 102, 32, 40, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 107, 101, 114, 110, 101, 108, 40, 38, 109, 118, 97, 108, 44, 32, 115, 122, 44, 32, 40, 99, 104, 97, 114, 32, 42, 41, 99, 116, 120, 45, 62, 98, 97, 115, 101, 32, 43, 32, 111, 102, 102, 115, 101, 116, 41, 41, 0, 9, 105, 102, 32, 40, 99, 116, 120, 45, 62, 98, 102, 115, 41, 0, 9, 118, 97, 108, 32, 60, 60, 61, 32, 40, 54, 52, 32, 45, 32, 98, 105, 116, 95, 115, 122, 41, 32, 45, 32, 40, 98, 105, 116, 95, 111, 102, 102, 32, 32, 37, 32, 56, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 104, 97, 115, 95, 115, 105, 103, 110, 32, 63, 32, 40, 115, 54, 52, 41, 118, 97, 108, 32, 62, 62, 32, 40, 54, 52, 32, 45, 32, 98, 105, 116, 95, 115, 122, 41, 32, 58, 32, 118, 97, 108, 32, 62, 62, 32, 40, 54, 52, 32, 45, 32, 98, 105, 116, 95, 115, 122, 41, 59, 0, 9, 98, 111, 111, 108, 32, 115, 105, 103, 110, 95, 98, 105, 116, 32, 61, 32, 99, 116, 120, 45, 62, 116, 121, 112, 101, 32, 38, 32, 83, 73, 71, 78, 95, 66, 73, 84, 59, 0, 9, 105, 102, 32, 40, 33, 115, 105, 103, 110, 95, 98, 105, 116, 32, 38, 38, 32, 109, 109, 97, 115, 107, 41, 0, 9, 116, 118, 97, 108, 32, 61, 32, 42, 40, 40, 117, 54, 52, 32, 42, 41, 99, 116, 120, 45, 62, 100, 97, 116, 97, 41, 59, 0, 9, 115, 119, 105, 116, 99, 104, 32, 40, 99, 109, 112, 95, 116, 121, 112, 101, 41, 32, 123, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 115, 105, 103, 110, 95, 98, 105, 116, 0, 9, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 109, 101, 116, 97, 45, 102, 105, 108, 116, 101, 114, 32, 109, 101, 109, 98, 101, 114, 32, 97, 116, 32, 105, 110, 100, 101, 120, 32, 37, 117, 34, 44, 32, 105, 41, 59, 0, 9, 105, 102, 32, 40, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 40, 38, 99, 116, 120, 41, 32, 60, 32, 48, 32, 124, 124, 32, 33, 99, 116, 120, 46, 100, 97, 116, 97, 41, 0, 9, 105, 102, 32, 40, 115, 122, 32, 60, 61, 32, 48, 41, 32, 123, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 87, 114, 111, 110, 103, 32, 115, 105, 122, 101, 32, 40, 37, 108, 100, 41, 32, 102, 111, 114, 32, 98, 121, 116, 101, 115, 32, 99, 111, 109, 112, 97, 114, 105, 115, 111, 110, 34, 44, 32, 115, 122, 41, 59, 0, 9, 105, 102, 32, 40, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 107, 101, 114, 110, 101, 108, 95, 115, 116, 114, 40, 118, 97, 108, 44, 32, 115, 122, 44, 32, 40, 99, 104, 97, 114, 32, 42, 41, 99, 116, 120, 45, 62, 98, 97, 115, 101, 32, 43, 32, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 41, 32, 60, 32, 48, 41, 0, 9, 9, 105, 102, 32, 40, 114, 101, 116, 41, 0, 9, 9, 105, 102, 32, 40, 33, 40, 42, 115, 112, 49, 43, 43, 32, 38, 38, 32, 42, 115, 112, 50, 43, 43, 41, 41, 0, 9, 115, 119, 105, 116, 99, 104, 32, 40, 99, 116, 120, 45, 62, 99, 109, 112, 41, 32, 123, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 33, 114, 101, 116, 59, 0, 9, 9, 114, 101, 116, 32, 61, 32, 42, 115, 112, 49, 32, 45, 32, 42, 115, 112, 50, 59, 0, 9, 105, 102, 32, 40, 33, 115, 122, 41, 32, 123, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 101, 114, 114, 111, 114, 32, 119, 104, 105, 108, 101, 32, 99, 97, 108, 99, 117, 108, 97, 116, 105, 110, 103, 32, 98, 121, 116, 101, 115, 32, 116, 111, 32, 114, 101, 97, 100, 32, 40, 122, 101, 114, 111, 32, 110, 111, 116, 32, 97, 108, 108, 111, 119, 101, 100, 41, 34, 41, 59, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 87, 114, 111, 110, 103, 32, 99, 111, 109, 112, 97, 114, 105, 115, 111, 110, 32, 111, 112, 101, 114, 97, 116, 111, 114, 32, 37, 100, 34, 44, 32, 99, 116, 120, 45, 62, 99, 109, 112, 41, 59, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 40, 111, 112, 101, 114, 97, 110, 100, 49, 32, 33, 61, 32, 111, 112, 101, 114, 97, 110, 100, 50, 41, 59, 0, 9, 101, 108, 115, 101, 32, 105, 102, 32, 40, 115, 105, 103, 110, 95, 98, 105, 116, 41, 0, 9, 115, 119, 105, 116, 99, 104, 32, 40, 115, 122, 41, 32, 123, 0, 9, 9, 114, 101, 116, 32, 61, 32, 40, 117, 54, 52, 41, 40, 115, 51, 50, 41, 118, 97, 108, 59, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 40, 111, 112, 101, 114, 97, 110, 100, 49, 32, 61, 61, 32, 111, 112, 101, 114, 97, 110, 100, 50, 41, 59, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 87, 114, 111, 110, 103, 32, 99, 111, 109, 112, 97, 114, 105, 115, 111, 110, 32, 111, 112, 101, 114, 97, 116, 111, 114, 32, 37, 100, 34, 44, 32, 99, 109, 112, 95, 116, 121, 112, 101, 41, 59, 0, 9, 99, 116, 120, 45, 62, 102, 105, 108, 116, 101, 114, 115, 95, 114, 101, 116, 32, 124, 61, 32, 40, 33, 33, 109, 101, 116, 97, 95, 102, 105, 108, 116, 101, 114, 40, 115, 107, 98, 41, 41, 32, 60, 60, 32, 82, 69, 84, 73, 83, 95, 70, 95, 77, 69, 84, 65, 95, 80, 65, 83, 83, 95, 83, 72, 59, 0, 9, 9, 114, 101, 116, 32, 61, 32, 40, 117, 54, 52, 41, 40, 115, 49, 54, 41, 118, 97, 108, 59, 0, 9, 9, 114, 101, 116, 32, 61, 32, 40, 117, 54, 52, 41, 40, 115, 56, 41, 118, 97, 108, 59, 0, 9, 116, 105, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 38, 104, 101, 97, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 116, 105, 41, 0, 9, 105, 102, 32, 40, 82, 69, 84, 73, 83, 95, 84, 82, 65, 67, 75, 65, 66, 76, 69, 40, 99, 116, 120, 45, 62, 102, 105, 108, 116, 101, 114, 115, 95, 114, 101, 116, 41, 41, 0, 9, 117, 54, 52, 32, 104, 101, 97, 100, 44, 32, 107, 115, 121, 109, 32, 61, 32, 99, 116, 120, 45, 62, 107, 115, 121, 109, 59, 0, 9, 115, 107, 98, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 115, 107, 95, 98, 117, 102, 102, 40, 99, 116, 120, 41, 59, 0, 9, 9, 116, 105, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 40, 117, 54, 52, 32, 42, 41, 38, 115, 107, 98, 41, 59, 0, 9, 105, 102, 32, 40, 115, 107, 98, 95, 105, 115, 95, 116, 114, 97, 99, 107, 101, 100, 40, 115, 107, 98, 41, 41, 32, 123, 0, 9, 99, 102, 103, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 44, 32, 38, 107, 115, 121, 109, 41, 59, 0, 9, 105, 102, 32, 40, 99, 102, 103, 41, 32, 123, 0, 9, 9, 110, 111, 95, 116, 114, 97, 99, 107, 105, 110, 103, 32, 61, 32, 99, 102, 103, 45, 62, 110, 111, 95, 116, 114, 97, 99, 107, 105, 110, 103, 59, 0, 9, 9, 105, 110, 118, 95, 104, 101, 97, 100, 32, 61, 32, 99, 102, 103, 45, 62, 105, 110, 118, 95, 104, 101, 97, 100, 59, 0, 9, 105, 102, 32, 40, 33, 116, 105, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 116, 105, 41, 32, 123, 0, 9, 9, 9, 98, 112, 102, 95, 109, 97, 112, 95, 100, 101, 108, 101, 116, 101, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 40, 117, 54, 52, 32, 42, 41, 38, 115, 107, 98, 41, 59, 0, 9, 9, 125, 0, 9, 9, 105, 102, 32, 40, 110, 111, 95, 116, 114, 97, 99, 107, 105, 110, 103, 41, 0, 9, 9, 116, 105, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 32, 61, 32, 99, 116, 120, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 9, 116, 105, 45, 62, 108, 97, 115, 116, 95, 115, 101, 101, 110, 32, 61, 32, 99, 116, 120, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 9, 116, 105, 45, 62, 111, 114, 105, 103, 95, 104, 101, 97, 100, 32, 61, 32, 104, 101, 97, 100, 59, 0, 9, 116, 105, 45, 62, 108, 97, 115, 116, 95, 115, 101, 101, 110, 32, 61, 32, 99, 116, 120, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 105, 102, 32, 40, 105, 110, 118, 95, 104, 101, 97, 100, 41, 0, 9, 9, 98, 112, 102, 95, 109, 97, 112, 95, 117, 112, 100, 97, 116, 101, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 40, 117, 54, 52, 32, 42, 41, 38, 115, 107, 98, 44, 32, 116, 105, 44, 32, 66, 80, 70, 95, 78, 79, 69, 88, 73, 83, 84, 41, 59, 0, 9, 105, 102, 32, 40, 110, 104, 111, 111, 107, 115, 32, 61, 61, 32, 48, 41, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 49, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 101, 118, 101, 110, 116, 115, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 101, 118, 101, 110, 116, 115, 46, 104, 0, 9, 101, 118, 101, 110, 116, 32, 61, 32, 98, 112, 102, 95, 114, 105, 110, 103, 98, 117, 102, 95, 114, 101, 115, 101, 114, 118, 101, 40, 38, 101, 118, 101, 110, 116, 115, 95, 109, 97, 112, 44, 32, 115, 105, 122, 101, 111, 102, 40, 42, 101, 118, 101, 110, 116, 41, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 33, 101, 118, 101, 110, 116, 41, 0, 9, 9, 101, 114, 114, 95, 114, 101, 112, 111, 114, 116, 40, 99, 116, 120, 45, 62, 107, 115, 121, 109, 44, 32, 48, 41, 59, 0, 9, 107, 101, 121, 46, 115, 121, 109, 95, 97, 100, 100, 114, 32, 61, 32, 115, 121, 109, 95, 97, 100, 100, 114, 59, 0, 9, 107, 101, 121, 46, 112, 105, 100, 32, 61, 32, 112, 105, 100, 59, 0, 9, 101, 114, 114, 95, 99, 111, 117, 110, 116, 101, 114, 115, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 99, 111, 117, 110, 116, 101, 114, 115, 95, 109, 97, 112, 44, 32, 38, 107, 101, 121, 41, 59, 0, 9, 105, 102, 32, 40, 101, 114, 114, 95, 99, 111, 117, 110, 116, 101, 114, 115, 41, 0, 9, 9, 95, 95, 115, 121, 110, 99, 95, 102, 101, 116, 99, 104, 95, 97, 110, 100, 95, 97, 100, 100, 40, 38, 101, 114, 114, 95, 99, 111, 117, 110, 116, 101, 114, 115, 45, 62, 100, 114, 111, 112, 112, 101, 100, 95, 101, 118, 101, 110, 116, 115, 44, 32, 49, 41, 59, 0, 9, 104, 101, 97, 100, 101, 114, 45, 62, 115, 105, 122, 101, 32, 61, 32, 115, 105, 122, 101, 59, 0, 9, 104, 101, 97, 100, 101, 114, 45, 62, 111, 119, 110, 101, 114, 32, 61, 32, 111, 119, 110, 101, 114, 59, 0, 9, 104, 101, 97, 100, 101, 114, 45, 62, 100, 97, 116, 97, 95, 116, 121, 112, 101, 32, 61, 32, 100, 97, 116, 97, 95, 116, 121, 112, 101, 59, 0, 9, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 32, 43, 61, 32, 114, 101, 113, 117, 101, 115, 116, 101, 100, 59, 0, 9, 101, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 32, 61, 32, 99, 116, 120, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 101, 45, 62, 115, 109, 112, 95, 105, 100, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 115, 109, 112, 95, 112, 114, 111, 99, 101, 115, 115, 111, 114, 95, 105, 100, 40, 41, 59, 0, 9, 105, 102, 32, 40, 117, 110, 108, 105, 107, 101, 108, 121, 40, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 32, 62, 32, 115, 105, 122, 101, 111, 102, 40, 101, 118, 101, 110, 116, 45, 62, 100, 97, 116, 97, 41, 41, 41, 0, 9, 105, 102, 32, 40, 117, 110, 108, 105, 107, 101, 108, 121, 40, 114, 101, 113, 117, 101, 115, 116, 101, 100, 32, 62, 32, 108, 101, 102, 116, 41, 41, 32, 123, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 103, 101, 116, 32, 101, 118, 101, 110, 116, 32, 115, 101, 99, 116, 105, 111, 110, 58, 32, 110, 111, 32, 115, 112, 97, 99, 101, 32, 108, 101, 102, 116, 32, 40, 37, 117, 32, 62, 32, 37, 117, 41, 34, 44, 0, 9, 9, 9, 40, 101, 118, 101, 110, 116, 45, 62, 100, 97, 116, 97, 32, 43, 32, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 41, 59, 0, 9, 95, 95, 98, 117, 105, 108, 116, 105, 110, 95, 109, 101, 109, 115, 101, 116, 40, 115, 101, 99, 116, 105, 111, 110, 44, 32, 48, 44, 32, 115, 105, 122, 101, 41, 59, 0, 9, 116, 105, 45, 62, 112, 105, 100, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 112, 105, 100, 95, 116, 103, 105, 100, 40, 41, 59, 0, 9, 98, 112, 102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 99, 111, 109, 109, 40, 116, 105, 45, 62, 99, 111, 109, 109, 44, 32, 115, 105, 122, 101, 111, 102, 40, 116, 105, 45, 62, 99, 111, 109, 109, 41, 41, 59, 0, 9, 98, 112, 102, 95, 114, 105, 110, 103, 98, 117, 102, 95, 100, 105, 115, 99, 97, 114, 100, 40, 101, 118, 101, 110, 116, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 33, 99, 102, 103, 45, 62, 102, 114, 101, 101, 41, 0, 9, 107, 45, 62, 115, 121, 109, 98, 111, 108, 32, 61, 32, 99, 116, 120, 45, 62, 107, 115, 121, 109, 59, 0, 9, 107, 45, 62, 116, 121, 112, 101, 32, 61, 32, 99, 116, 120, 45, 62, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 59, 0, 9, 105, 102, 32, 40, 99, 102, 103, 45, 62, 115, 116, 97, 99, 107, 95, 116, 114, 97, 99, 101, 41, 0, 9, 9, 107, 45, 62, 115, 116, 97, 99, 107, 95, 105, 100, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 115, 116, 97, 99, 107, 105, 100, 40, 99, 116, 120, 45, 62, 111, 114, 105, 103, 95, 99, 116, 120, 44, 32, 38, 115, 116, 97, 99, 107, 95, 109, 97, 112, 44, 32, 66, 80, 70, 95, 70, 95, 70, 65, 83, 84, 95, 83, 84, 65, 67, 75, 95, 67, 77, 80, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 59, 0, 9, 112, 97, 115, 115, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 32, 61, 32, 103, 101, 116, 95, 101, 118, 101, 110, 116, 95, 115, 105, 122, 101, 40, 101, 118, 101, 110, 116, 41, 59, 0, 9, 98, 97, 114, 114, 105, 101, 114, 95, 118, 97, 114, 40, 112, 97, 115, 115, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 41, 59, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 48, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 49, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 50, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 51, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 52, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 53, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 54, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 55, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 56, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 57, 41, 0, 9, 105, 102, 32, 40, 103, 101, 116, 95, 101, 118, 101, 110, 116, 95, 115, 105, 122, 101, 40, 101, 118, 101, 110, 116, 41, 32, 62, 32, 112, 97, 115, 115, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 41, 0, 9, 98, 112, 102, 95, 114, 105, 110, 103, 98, 117, 102, 95, 115, 117, 98, 109, 105, 116, 40, 101, 118, 101, 110, 116, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 99, 102, 103, 45, 62, 112, 97, 114, 116, 105, 97, 108, 95, 102, 114, 101, 101, 41, 32, 123, 0, 9, 9, 98, 111, 111, 108, 32, 115, 116, 111, 108, 101, 110, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 112, 97, 114, 97, 109, 40, 99, 116, 120, 44, 32, 49, 44, 32, 98, 111, 111, 108, 41, 59, 0, 9, 98, 112, 102, 95, 109, 97, 112, 95, 100, 101, 108, 101, 116, 101, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 38, 104, 101, 97, 100, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 99, 104, 97, 105, 110, 40, 38, 99, 111, 110, 116, 101, 120, 116, 41, 59, 0, 108, 111, 103, 95, 108, 101, 118, 101, 108, 0, 110, 109, 101, 116, 97, 0, 110, 104, 111, 111, 107, 115, 0, 95, 95, 108, 105, 99, 101, 110, 115, 101, 0, 99, 104, 97, 105, 110, 46, 101, 110, 97, 98, 108, 101, 100, 0, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116, 0, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116, 46, 49, 0, 102, 105, 108, 116, 101, 114, 95, 98, 121, 116, 101, 115, 46, 95, 95, 95, 102, 109, 116, 0, 99, 109, 112, 95, 98, 121, 116, 101, 115, 46, 95, 95, 95, 102, 109, 116, 0, 102, 105, 108, 116, 101, 114, 95, 110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0, 99, 109, 112, 95, 110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0, 103, 101, 116, 95, 101, 118, 101, 110, 116, 95, 115, 101, 99, 116, 105, 111, 110, 46, 95, 95, 95, 102, 109, 116, 0, 46, 98, 115, 115, 0, 46, 109, 97, 112, 115, 0, 46, 114, 111, 100, 97, 116, 97, 0, 108, 105, 99, 101, 110, 115, 101, 0, 115, 111, 99, 107, 0, 110, 102, 95, 104, 111, 111, 107, 95, 115, 116, 97, 116, 101, 0, 115, 107, 98, 95, 101, 120, 116, 0, 110, 102, 116, 95, 114, 117, 108, 101, 95, 100, 112, 0, 110, 102, 116, 95, 118, 101, 114, 100, 105, 99, 116, 0, 110, 102, 116, 95, 98, 97, 115, 101, 95, 99, 104, 97, 105, 110, 0, 0, 0, 0, 159, 235, 1, 0, 32, 0, 0, 0, 0, 0, 0, 0, 108, 0, 0, 0, 108, 0, 0, 0, 68, 28, 0, 0, 176, 28, 0, 0, 28, 2, 0, 0, 8, 0, 0, 0, 114, 3, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 91, 0, 0, 0, 48, 0, 0, 0, 93, 0, 0, 0, 96, 0, 0, 0, 95, 0, 0, 0, 144, 0, 0, 0, 97, 0, 0, 0, 192, 0, 0, 0, 99, 0, 0, 0, 240, 0, 0, 0, 101, 0, 0, 0, 32, 1, 0, 0, 103, 0, 0, 0, 80, 1, 0, 0, 105, 0, 0, 0, 128, 1, 0, 0, 107, 0, 0, 0, 176, 1, 0, 0, 109, 0, 0, 0, 35, 5, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 118, 0, 0, 0, 16, 0, 0, 0, 114, 3, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 120, 3, 0, 0, 221, 3, 0, 0, 0, 24, 2, 0, 8, 0, 0, 0, 120, 3, 0, 0, 221, 3, 0, 0, 1, 24, 2, 0, 16, 0, 0, 0, 120, 3, 0, 0, 221, 3, 0, 0, 1, 24, 2, 0, 32, 0, 0, 0, 120, 3, 0, 0, 221, 3, 0, 0, 1, 24, 2, 0, 48, 0, 0, 0, 120, 3, 0, 0, 235, 3, 0, 0, 0, 28, 2, 0, 56, 0, 0, 0, 120, 3, 0, 0, 235, 3, 0, 0, 1, 28, 2, 0, 64, 0, 0, 0, 120, 3, 0, 0, 235, 3, 0, 0, 1, 28, 2, 0, 80, 0, 0, 0, 120, 3, 0, 0, 235, 3, 0, 0, 1, 28, 2, 0, 96, 0, 0, 0, 120, 3, 0, 0, 249, 3, 0, 0, 0, 32, 2, 0, 104, 0, 0, 0, 120, 3, 0, 0, 249, 3, 0, 0, 1, 32, 2, 0, 112, 0, 0, 0, 120, 3, 0, 0, 249, 3, 0, 0, 1, 32, 2, 0, 128, 0, 0, 0, 120, 3, 0, 0, 249, 3, 0, 0, 1, 32, 2, 0, 144, 0, 0, 0, 120, 3, 0, 0, 7, 4, 0, 0, 0, 36, 2, 0, 152, 0, 0, 0, 120, 3, 0, 0, 7, 4, 0, 0, 1, 36, 2, 0, 160, 0, 0, 0, 120, 3, 0, 0, 7, 4, 0, 0, 1, 36, 2, 0, 176, 0, 0, 0, 120, 3, 0, 0, 7, 4, 0, 0, 1, 36, 2, 0, 192, 0, 0, 0, 120, 3, 0, 0, 21, 4, 0, 0, 0, 40, 2, 0, 200, 0, 0, 0, 120, 3, 0, 0, 21, 4, 0, 0, 1, 40, 2, 0, 208, 0, 0, 0, 120, 3, 0, 0, 21, 4, 0, 0, 1, 40, 2, 0, 224, 0, 0, 0, 120, 3, 0, 0, 21, 4, 0, 0, 1, 40, 2, 0, 240, 0, 0, 0, 120, 3, 0, 0, 35, 4, 0, 0, 0, 44, 2, 0, 248, 0, 0, 0, 120, 3, 0, 0, 35, 4, 0, 0, 1, 44, 2, 0, 0, 1, 0, 0, 120, 3, 0, 0, 35, 4, 0, 0, 1, 44, 2, 0, 16, 1, 0, 0, 120, 3, 0, 0, 35, 4, 0, 0, 1, 44, 2, 0, 32, 1, 0, 0, 120, 3, 0, 0, 49, 4, 0, 0, 0, 48, 2, 0, 40, 1, 0, 0, 120, 3, 0, 0, 49, 4, 0, 0, 1, 48, 2, 0, 48, 1, 0, 0, 120, 3, 0, 0, 49, 4, 0, 0, 1, 48, 2, 0, 64, 1, 0, 0, 120, 3, 0, 0, 49, 4, 0, 0, 1, 48, 2, 0, 80, 1, 0, 0, 120, 3, 0, 0, 63, 4, 0, 0, 0, 52, 2, 0, 88, 1, 0, 0, 120, 3, 0, 0, 63, 4, 0, 0, 1, 52, 2, 0, 96, 1, 0, 0, 120, 3, 0, 0, 63, 4, 0, 0, 1, 52, 2, 0, 112, 1, 0, 0, 120, 3, 0, 0, 63, 4, 0, 0, 1, 52, 2, 0, 128, 1, 0, 0, 120, 3, 0, 0, 77, 4, 0, 0, 0, 56, 2, 0, 136, 1, 0, 0, 120, 3, 0, 0, 77, 4, 0, 0, 1, 56, 2, 0, 144, 1, 0, 0, 120, 3, 0, 0, 77, 4, 0, 0, 1, 56, 2, 0, 160, 1, 0, 0, 120, 3, 0, 0, 77, 4, 0, 0, 1, 56, 2, 0, 176, 1, 0, 0, 120, 3, 0, 0, 91, 4, 0, 0, 0, 60, 2, 0, 184, 1, 0, 0, 120, 3, 0, 0, 91, 4, 0, 0, 1, 60, 2, 0, 192, 1, 0, 0, 120, 3, 0, 0, 91, 4, 0, 0, 1, 60, 2, 0, 208, 1, 0, 0, 120, 3, 0, 0, 91, 4, 0, 0, 1, 60, 2, 0, 35, 5, 0, 0, 155, 1, 0, 0, 0, 0, 0, 0, 48, 5, 0, 0, 145, 5, 0, 0, 0, 72, 0, 0, 16, 0, 0, 0, 48, 5, 0, 0, 183, 5, 0, 0, 23, 80, 0, 0, 176, 0, 0, 0, 48, 5, 0, 0, 219, 5, 0, 0, 22, 88, 0, 0, 184, 0, 0, 0, 48, 5, 0, 0, 219, 5, 0, 0, 20, 88, 0, 0, 208, 0, 0, 0, 52, 6, 0, 0, 154, 6, 0, 0, 6, 148, 0, 0, 216, 0, 0, 0, 52, 6, 0, 0, 240, 6, 0, 0, 10, 152, 0, 0, 232, 0, 0, 0, 52, 6, 0, 0, 240, 6, 0, 0, 3, 152, 0, 0, 240, 0, 0, 0, 52, 6, 0, 0, 20, 7, 0, 0, 10, 164, 0, 0, 248, 0, 0, 0, 52, 6, 0, 0, 20, 7, 0, 0, 26, 164, 0, 0, 8, 1, 0, 0, 48, 5, 0, 0, 72, 7, 0, 0, 21, 96, 0, 0, 16, 1, 0, 0, 48, 5, 0, 0, 115, 7, 0, 0, 15, 92, 0, 0, 24, 1, 0, 0, 48, 5, 0, 0, 156, 7, 0, 0, 19, 100, 0, 0, 32, 1, 0, 0, 48, 5, 0, 0, 186, 7, 0, 0, 17, 36, 0, 0, 40, 1, 0, 0, 48, 5, 0, 0, 186, 7, 0, 0, 15, 36, 0, 0, 48, 1, 0, 0, 48, 5, 0, 0, 227, 7, 0, 0, 17, 40, 0, 0, 56, 1, 0, 0, 48, 5, 0, 0, 227, 7, 0, 0, 15, 40, 0, 0, 64, 1, 0, 0, 48, 5, 0, 0, 12, 8, 0, 0, 17, 44, 0, 0, 72, 1, 0, 0, 48, 5, 0, 0, 12, 8, 0, 0, 15, 44, 0, 0, 80, 1, 0, 0, 48, 5, 0, 0, 53, 8, 0, 0, 17, 48, 0, 0, 88, 1, 0, 0, 48, 5, 0, 0, 53, 8, 0, 0, 15, 48, 0, 0, 96, 1, 0, 0, 48, 5, 0, 0, 93, 8, 0, 0, 17, 52, 0, 0, 104, 1, 0, 0, 48, 5, 0, 0, 93, 8, 0, 0, 15, 52, 0, 0, 120, 1, 0, 0, 48, 5, 0, 0, 129, 8, 0, 0, 12, 56, 0, 0, 128, 1, 0, 0, 120, 3, 0, 0, 145, 8, 0, 0, 6, 108, 3, 0, 152, 1, 0, 0, 120, 3, 0, 0, 145, 8, 0, 0, 6, 108, 3, 0, 160, 1, 0, 0, 172, 8, 0, 0, 15, 9, 0, 0, 5, 168, 0, 0, 184, 1, 0, 0, 172, 8, 0, 0, 28, 9, 0, 0, 8, 176, 0, 0, 208, 1, 0, 0, 172, 8, 0, 0, 82, 9, 0, 0, 13, 180, 0, 0, 216, 1, 0, 0, 120, 3, 0, 0, 113, 9, 0, 0, 11, 112, 3, 0, 248, 1, 0, 0, 120, 3, 0, 0, 147, 9, 0, 0, 7, 116, 3, 0, 0, 2, 0, 0, 172, 8, 0, 0, 82, 9, 0, 0, 23, 180, 0, 0, 16, 2, 0, 0, 172, 8, 0, 0, 82, 9, 0, 0, 17, 180, 0, 0, 32, 2, 0, 0, 120, 3, 0, 0, 113, 9, 0, 0, 11, 112, 3, 0, 56, 2, 0, 0, 120, 3, 0, 0, 147, 9, 0, 0, 7, 116, 3, 0, 80, 2, 0, 0, 120, 3, 0, 0, 163, 9, 0, 0, 8, 132, 3, 0, 104, 2, 0, 0, 120, 3, 0, 0, 216, 9, 0, 0, 6, 136, 3, 0, 128, 2, 0, 0, 120, 3, 0, 0, 227, 9, 0, 0, 22, 148, 3, 0, 16, 3, 0, 0, 120, 3, 0, 0, 1, 10, 0, 0, 33, 84, 2, 0, 32, 3, 0, 0, 44, 10, 0, 0, 152, 10, 0, 0, 8, 232, 1, 0, 136, 3, 0, 0, 44, 10, 0, 0, 185, 10, 0, 0, 6, 236, 1, 0, 152, 3, 0, 0, 44, 10, 0, 0, 116, 11, 0, 0, 51, 240, 1, 0, 168, 3, 0, 0, 44, 10, 0, 0, 116, 11, 0, 0, 7, 240, 1, 0, 176, 3, 0, 0, 44, 10, 0, 0, 208, 11, 0, 0, 10, 4, 2, 0, 16, 4, 0, 0, 44, 10, 0, 0, 247, 11, 0, 0, 7, 8, 2, 0, 32, 4, 0, 0, 44, 10, 0, 0, 47, 12, 0, 0, 7, 24, 2, 0, 72, 4, 0, 0, 44, 10, 0, 0, 90, 12, 0, 0, 10, 28, 2, 0, 88, 4, 0, 0, 44, 10, 0, 0, 90, 12, 0, 0, 10, 28, 2, 0, 96, 4, 0, 0, 44, 10, 0, 0, 128, 12, 0, 0, 7, 44, 2, 0, 112, 4, 0, 0, 44, 10, 0, 0, 139, 12, 0, 0, 10, 36, 2, 0, 208, 4, 0, 0, 44, 10, 0, 0, 128, 12, 0, 0, 7, 44, 2, 0, 248, 4, 0, 0, 44, 10, 0, 0, 176, 12, 0, 0, 28, 48, 2, 0, 8, 5, 0, 0, 44, 10, 0, 0, 176, 12, 0, 0, 28, 48, 2, 0, 16, 5, 0, 0, 120, 3, 0, 0, 228, 12, 0, 0, 6, 104, 2, 0, 72, 5, 0, 0, 180, 17, 0, 0, 27, 18, 0, 0, 14, 248, 0, 0, 88, 5, 0, 0, 180, 17, 0, 0, 27, 18, 0, 0, 14, 248, 0, 0, 96, 5, 0, 0, 180, 17, 0, 0, 27, 18, 0, 0, 7, 248, 0, 0, 104, 5, 0, 0, 180, 17, 0, 0, 66, 18, 0, 0, 6, 252, 0, 0, 160, 5, 0, 0, 120, 3, 0, 0, 78, 18, 0, 0, 17, 156, 2, 0, 200, 5, 0, 0, 120, 3, 0, 0, 78, 18, 0, 0, 17, 156, 2, 0, 224, 5, 0, 0, 120, 3, 0, 0, 124, 18, 0, 0, 13, 160, 2, 0, 240, 5, 0, 0, 120, 3, 0, 0, 124, 18, 0, 0, 13, 160, 2, 0, 248, 5, 0, 0, 120, 3, 0, 0, 124, 18, 0, 0, 11, 160, 2, 0, 40, 6, 0, 0, 52, 6, 0, 0, 171, 18, 0, 0, 8, 68, 1, 0, 88, 6, 0, 0, 52, 6, 0, 0, 171, 18, 0, 0, 8, 68, 1, 0, 112, 6, 0, 0, 52, 6, 0, 0, 220, 18, 0, 0, 12, 72, 1, 0, 136, 6, 0, 0, 52, 6, 0, 0, 11, 19, 0, 0, 27, 80, 1, 0, 152, 6, 0, 0, 52, 6, 0, 0, 40, 19, 0, 0, 17, 36, 1, 0, 176, 6, 0, 0, 52, 6, 0, 0, 79, 19, 0, 0, 37, 84, 1, 0, 232, 6, 0, 0, 52, 6, 0, 0, 140, 19, 0, 0, 4, 88, 1, 0, 248, 6, 0, 0, 52, 6, 0, 0, 140, 19, 0, 0, 4, 88, 1, 0, 0, 7, 0, 0, 120, 3, 0, 0, 178, 19, 0, 0, 6, 192, 2, 0, 48, 7, 0, 0, 120, 3, 0, 0, 209, 19, 0, 0, 22, 196, 2, 0, 64, 7, 0, 0, 120, 3, 0, 0, 209, 19, 0, 0, 22, 196, 2, 0, 72, 7, 0, 0, 120, 3, 0, 0, 209, 19, 0, 0, 20, 196, 2, 0, 80, 7, 0, 0, 120, 3, 0, 0, 209, 19, 0, 0, 13, 196, 2, 0, 104, 7, 0, 0, 6, 20, 0, 0, 117, 20, 0, 0, 29, 252, 0, 0, 120, 7, 0, 0, 6, 20, 0, 0, 163, 20, 0, 0, 2, 4, 1, 0, 128, 135, 0, 0, 120, 3, 0, 0, 179, 20, 0, 0, 3, 204, 2, 0, 152, 135, 0, 0, 52, 6, 0, 0, 171, 18, 0, 0, 8, 116, 1, 0, 176, 135, 0, 0, 52, 6, 0, 0, 171, 18, 0, 0, 8, 116, 1, 0, 200, 135, 0, 0, 52, 6, 0, 0, 220, 18, 0, 0, 12, 120, 1, 0, 224, 135, 0, 0, 52, 6, 0, 0, 220, 18, 0, 0, 12, 120, 1, 0, 232, 135, 0, 0, 52, 6, 0, 0, 40, 19, 0, 0, 17, 36, 1, 0, 16, 136, 0, 0, 52, 6, 0, 0, 202, 20, 0, 0, 35, 128, 1, 0, 24, 136, 0, 0, 52, 6, 0, 0, 239, 20, 0, 0, 29, 132, 1, 0, 80, 136, 0, 0, 52, 6, 0, 0, 32, 21, 0, 0, 4, 136, 1, 0, 96, 136, 0, 0, 52, 6, 0, 0, 32, 21, 0, 0, 4, 136, 1, 0, 104, 136, 0, 0, 120, 3, 0, 0, 70, 21, 0, 0, 6, 216, 2, 0, 152, 136, 0, 0, 120, 3, 0, 0, 104, 21, 0, 0, 21, 228, 2, 0, 168, 136, 0, 0, 120, 3, 0, 0, 104, 21, 0, 0, 21, 228, 2, 0, 176, 136, 0, 0, 120, 3, 0, 0, 104, 21, 0, 0, 19, 228, 2, 0, 184, 136, 0, 0, 120, 3, 0, 0, 104, 21, 0, 0, 12, 228, 2, 0, 208, 136, 0, 0, 6, 20, 0, 0, 117, 20, 0, 0, 29, 252, 0, 0, 224, 136, 0, 0, 6, 20, 0, 0, 163, 20, 0, 0, 2, 4, 1, 0, 240, 8, 1, 0, 120, 3, 0, 0, 160, 21, 0, 0, 30, 12, 3, 0, 0, 9, 1, 0, 120, 3, 0, 0, 160, 21, 0, 0, 24, 12, 3, 0, 16, 9, 1, 0, 120, 3, 0, 0, 160, 21, 0, 0, 19, 12, 3, 0, 40, 9, 1, 0, 221, 21, 0, 0, 71, 22, 0, 0, 7, 216, 4, 0, 72, 9, 1, 0, 221, 21, 0, 0, 71, 22, 0, 0, 13, 216, 4, 0, 80, 9, 1, 0, 221, 21, 0, 0, 71, 22, 0, 0, 16, 216, 4, 0, 88, 9, 1, 0, 221, 21, 0, 0, 71, 22, 0, 0, 6, 216, 4, 0, 104, 9, 1, 0, 221, 21, 0, 0, 108, 22, 0, 0, 6, 72, 1, 0, 128, 9, 1, 0, 221, 21, 0, 0, 120, 22, 0, 0, 8, 88, 1, 0, 160, 9, 1, 0, 221, 21, 0, 0, 170, 22, 0, 0, 6, 92, 1, 0, 168, 9, 1, 0, 221, 21, 0, 0, 183, 22, 0, 0, 3, 96, 1, 0, 192, 9, 1, 0, 221, 21, 0, 0, 183, 22, 0, 0, 3, 96, 1, 0, 200, 9, 1, 0, 221, 21, 0, 0, 183, 22, 0, 0, 3, 96, 1, 0, 8, 10, 1, 0, 221, 21, 0, 0, 183, 22, 0, 0, 3, 96, 1, 0, 16, 10, 1, 0, 221, 21, 0, 0, 183, 22, 0, 0, 3, 96, 1, 0, 96, 10, 1, 0, 221, 21, 0, 0, 235, 22, 0, 0, 19, 124, 1, 0, 112, 10, 1, 0, 221, 21, 0, 0, 1, 23, 0, 0, 20, 120, 1, 0, 144, 10, 1, 0, 221, 21, 0, 0, 25, 23, 0, 0, 16, 132, 1, 0, 152, 10, 1, 0, 221, 21, 0, 0, 25, 23, 0, 0, 25, 132, 1, 0, 216, 10, 1, 0, 221, 21, 0, 0, 25, 23, 0, 0, 2, 132, 1, 0, 24, 11, 1, 0, 221, 21, 0, 0, 68, 23, 0, 0, 21, 224, 1, 0, 32, 11, 1, 0, 221, 21, 0, 0, 97, 23, 0, 0, 23, 220, 1, 0, 48, 11, 1, 0, 221, 21, 0, 0, 126, 23, 0, 0, 22, 216, 1, 0, 80, 11, 1, 0, 221, 21, 0, 0, 25, 23, 0, 0, 33, 132, 1, 0, 104, 11, 1, 0, 221, 21, 0, 0, 25, 23, 0, 0, 25, 132, 1, 0, 128, 11, 1, 0, 221, 21, 0, 0, 25, 23, 0, 0, 23, 132, 1, 0, 160, 11, 1, 0, 221, 21, 0, 0, 25, 23, 0, 0, 2, 132, 1, 0, 168, 11, 1, 0, 221, 21, 0, 0, 153, 23, 0, 0, 15, 248, 4, 0, 200, 11, 1, 0, 221, 21, 0, 0, 153, 23, 0, 0, 25, 248, 4, 0, 216, 11, 1, 0, 221, 21, 0, 0, 195, 23, 0, 0, 7, 144, 2, 0, 248, 11, 1, 0, 221, 21, 0, 0, 229, 23, 0, 0, 7, 184, 2, 0, 32, 12, 1, 0, 221, 21, 0, 0, 3, 24, 0, 0, 7, 188, 2, 0, 72, 12, 1, 0, 221, 21, 0, 0, 31, 24, 0, 0, 9, 136, 1, 0, 104, 12, 1, 0, 221, 21, 0, 0, 82, 24, 0, 0, 7, 140, 1, 0, 128, 12, 1, 0, 221, 21, 0, 0, 96, 24, 0, 0, 14, 164, 1, 0, 136, 12, 1, 0, 221, 21, 0, 0, 96, 24, 0, 0, 7, 164, 1, 0, 152, 12, 1, 0, 221, 21, 0, 0, 128, 24, 0, 0, 27, 172, 1, 0, 176, 12, 1, 0, 221, 21, 0, 0, 172, 24, 0, 0, 8, 168, 1, 0, 192, 12, 1, 0, 221, 21, 0, 0, 172, 24, 0, 0, 8, 168, 1, 0, 200, 12, 1, 0, 221, 21, 0, 0, 223, 24, 0, 0, 23, 184, 1, 0, 216, 12, 1, 0, 221, 21, 0, 0, 223, 24, 0, 0, 16, 184, 1, 0, 0, 13, 1, 0, 221, 21, 0, 0, 24, 25, 0, 0, 4, 192, 1, 0, 16, 13, 1, 0, 221, 21, 0, 0, 37, 25, 0, 0, 12, 12, 4, 0, 24, 13, 1, 0, 221, 21, 0, 0, 58, 25, 0, 0, 6, 28, 4, 0, 48, 13, 1, 0, 221, 21, 0, 0, 58, 25, 0, 0, 6, 28, 4, 0, 64, 13, 1, 0, 221, 21, 0, 0, 75, 25, 0, 0, 12, 32, 4, 0, 96, 13, 1, 0, 221, 21, 0, 0, 103, 25, 0, 0, 8, 56, 4, 0, 104, 13, 1, 0, 221, 21, 0, 0, 75, 25, 0, 0, 12, 32, 4, 0, 120, 13, 1, 0, 221, 21, 0, 0, 103, 25, 0, 0, 8, 56, 4, 0, 176, 13, 1, 0, 221, 21, 0, 0, 163, 25, 0, 0, 7, 88, 4, 0, 192, 13, 1, 0, 221, 21, 0, 0, 75, 25, 0, 0, 24, 32, 4, 0, 200, 13, 1, 0, 221, 21, 0, 0, 163, 25, 0, 0, 7, 88, 4, 0, 208, 13, 1, 0, 221, 21, 0, 0, 192, 25, 0, 0, 57, 112, 4, 0, 248, 13, 1, 0, 221, 21, 0, 0, 192, 25, 0, 0, 6, 112, 4, 0, 16, 14, 1, 0, 221, 21, 0, 0, 192, 25, 0, 0, 6, 112, 4, 0, 40, 14, 1, 0, 221, 21, 0, 0, 58, 25, 0, 0, 6, 28, 4, 0, 48, 14, 1, 0, 221, 21, 0, 0, 3, 26, 0, 0, 6, 144, 4, 0, 64, 14, 1, 0, 221, 21, 0, 0, 18, 26, 0, 0, 14, 140, 3, 0, 80, 14, 1, 0, 221, 21, 0, 0, 18, 26, 0, 0, 36, 140, 3, 0, 88, 14, 1, 0, 221, 21, 0, 0, 18, 26, 0, 0, 24, 140, 3, 0, 104, 14, 1, 0, 221, 21, 0, 0, 18, 26, 0, 0, 6, 140, 3, 0, 128, 14, 1, 0, 221, 21, 0, 0, 59, 26, 0, 0, 0, 148, 3, 0, 144, 14, 1, 0, 221, 21, 0, 0, 59, 26, 0, 0, 9, 148, 3, 0, 160, 14, 1, 0, 221, 21, 0, 0, 128, 26, 0, 0, 18, 8, 4, 0, 192, 14, 1, 0, 221, 21, 0, 0, 59, 26, 0, 0, 9, 148, 3, 0, 248, 14, 1, 0, 221, 21, 0, 0, 167, 26, 0, 0, 16, 4, 2, 0, 8, 15, 1, 0, 221, 21, 0, 0, 128, 26, 0, 0, 18, 8, 4, 0, 40, 15, 1, 0, 221, 21, 0, 0, 167, 26, 0, 0, 16, 4, 2, 0, 64, 15, 1, 0, 221, 21, 0, 0, 192, 26, 0, 0, 9, 164, 4, 0, 80, 15, 1, 0, 221, 21, 0, 0, 221, 26, 0, 0, 2, 16, 2, 0, 144, 15, 1, 0, 221, 21, 0, 0, 242, 26, 0, 0, 10, 56, 2, 0, 184, 15, 1, 0, 221, 21, 0, 0, 128, 26, 0, 0, 18, 8, 4, 0, 200, 15, 1, 0, 221, 21, 0, 0, 242, 26, 0, 0, 10, 56, 2, 0, 216, 15, 1, 0, 221, 21, 0, 0, 4, 27, 0, 0, 4, 144, 1, 0, 240, 15, 1, 0, 221, 21, 0, 0, 4, 27, 0, 0, 4, 144, 1, 0, 248, 15, 1, 0, 221, 21, 0, 0, 4, 27, 0, 0, 4, 144, 1, 0, 56, 16, 1, 0, 221, 21, 0, 0, 4, 27, 0, 0, 4, 144, 1, 0, 64, 16, 1, 0, 221, 21, 0, 0, 4, 27, 0, 0, 4, 144, 1, 0, 184, 16, 1, 0, 221, 21, 0, 0, 72, 27, 0, 0, 33, 236, 4, 0, 208, 16, 1, 0, 221, 21, 0, 0, 3, 24, 0, 0, 7, 188, 2, 0, 224, 16, 1, 0, 221, 21, 0, 0, 118, 27, 0, 0, 6, 196, 2, 0, 240, 16, 1, 0, 221, 21, 0, 0, 134, 27, 0, 0, 3, 200, 2, 0, 8, 17, 1, 0, 221, 21, 0, 0, 134, 27, 0, 0, 3, 200, 2, 0, 16, 17, 1, 0, 221, 21, 0, 0, 134, 27, 0, 0, 3, 200, 2, 0, 72, 17, 1, 0, 221, 21, 0, 0, 134, 27, 0, 0, 3, 200, 2, 0, 80, 17, 1, 0, 221, 21, 0, 0, 134, 27, 0, 0, 3, 200, 2, 0, 168, 17, 1, 0, 221, 21, 0, 0, 134, 27, 0, 0, 3, 200, 2, 0, 208, 17, 1, 0, 221, 21, 0, 0, 192, 27, 0, 0, 59, 216, 2, 0, 232, 17, 1, 0, 221, 21, 0, 0, 192, 27, 0, 0, 6, 216, 2, 0, 24, 18, 1, 0, 221, 21, 0, 0, 192, 27, 0, 0, 6, 216, 2, 0, 56, 18, 1, 0, 221, 21, 0, 0, 14, 28, 0, 0, 7, 244, 2, 0, 64, 18, 1, 0, 221, 21, 0, 0, 25, 28, 0, 0, 16, 0, 3, 0, 96, 18, 1, 0, 221, 21, 0, 0, 25, 28, 0, 0, 0, 0, 3, 0, 104, 18, 1, 0, 221, 21, 0, 0, 25, 28, 0, 0, 16, 0, 3, 0, 120, 18, 1, 0, 221, 21, 0, 0, 52, 28, 0, 0, 2, 48, 3, 0, 136, 18, 1, 0, 221, 21, 0, 0, 73, 28, 0, 0, 10, 64, 3, 0, 144, 18, 1, 0, 221, 21, 0, 0, 73, 28, 0, 0, 3, 64, 3, 0, 160, 18, 1, 0, 221, 21, 0, 0, 88, 28, 0, 0, 16, 240, 2, 0, 168, 18, 1, 0, 221, 21, 0, 0, 88, 28, 0, 0, 9, 240, 2, 0, 232, 18, 1, 0, 221, 21, 0, 0, 163, 25, 0, 0, 7, 88, 4, 0, 0, 19, 1, 0, 221, 21, 0, 0, 109, 28, 0, 0, 6, 92, 4, 0, 16, 19, 1, 0, 221, 21, 0, 0, 121, 28, 0, 0, 3, 96, 4, 0, 40, 19, 1, 0, 221, 21, 0, 0, 121, 28, 0, 0, 3, 96, 4, 0, 48, 19, 1, 0, 221, 21, 0, 0, 121, 28, 0, 0, 3, 96, 4, 0, 104, 19, 1, 0, 221, 21, 0, 0, 121, 28, 0, 0, 3, 96, 4, 0, 112, 19, 1, 0, 221, 21, 0, 0, 121, 28, 0, 0, 3, 96, 4, 0, 192, 19, 1, 0, 221, 21, 0, 0, 121, 28, 0, 0, 3, 96, 4, 0, 232, 19, 1, 0, 221, 21, 0, 0, 194, 28, 0, 0, 3, 72, 3, 0, 0, 20, 1, 0, 221, 21, 0, 0, 194, 28, 0, 0, 3, 72, 3, 0, 8, 20, 1, 0, 221, 21, 0, 0, 194, 28, 0, 0, 3, 72, 3, 0, 64, 20, 1, 0, 221, 21, 0, 0, 194, 28, 0, 0, 3, 72, 3, 0, 72, 20, 1, 0, 221, 21, 0, 0, 194, 28, 0, 0, 3, 72, 3, 0, 192, 20, 1, 0, 221, 21, 0, 0, 221, 26, 0, 0, 2, 16, 2, 0, 232, 20, 1, 0, 221, 21, 0, 0, 249, 28, 0, 0, 20, 32, 2, 0, 248, 20, 1, 0, 221, 21, 0, 0, 128, 26, 0, 0, 18, 8, 4, 0, 24, 21, 1, 0, 221, 21, 0, 0, 26, 29, 0, 0, 11, 152, 4, 0, 32, 21, 1, 0, 221, 21, 0, 0, 46, 29, 0, 0, 2, 180, 3, 0, 80, 21, 1, 0, 221, 21, 0, 0, 61, 29, 0, 0, 9, 188, 3, 0, 128, 21, 1, 0, 221, 21, 0, 0, 242, 26, 0, 0, 10, 72, 2, 0, 168, 21, 1, 0, 221, 21, 0, 0, 128, 26, 0, 0, 18, 8, 4, 0, 184, 21, 1, 0, 221, 21, 0, 0, 242, 26, 0, 0, 10, 72, 2, 0, 208, 21, 1, 0, 221, 21, 0, 0, 84, 29, 0, 0, 20, 24, 2, 0, 232, 21, 1, 0, 221, 21, 0, 0, 117, 29, 0, 0, 3, 104, 2, 0, 0, 22, 1, 0, 221, 21, 0, 0, 117, 29, 0, 0, 3, 104, 2, 0, 8, 22, 1, 0, 221, 21, 0, 0, 117, 29, 0, 0, 3, 104, 2, 0, 64, 22, 1, 0, 221, 21, 0, 0, 117, 29, 0, 0, 3, 104, 2, 0, 72, 22, 1, 0, 221, 21, 0, 0, 117, 29, 0, 0, 3, 104, 2, 0, 168, 22, 1, 0, 221, 21, 0, 0, 242, 26, 0, 0, 10, 40, 2, 0, 208, 22, 1, 0, 221, 21, 0, 0, 128, 26, 0, 0, 18, 8, 4, 0, 224, 22, 1, 0, 221, 21, 0, 0, 242, 26, 0, 0, 10, 40, 2, 0, 248, 22, 1, 0, 120, 3, 0, 0, 172, 29, 0, 0, 43, 16, 3, 0, 32, 23, 1, 0, 221, 21, 0, 0, 242, 26, 0, 0, 10, 88, 2, 0, 72, 23, 1, 0, 221, 21, 0, 0, 128, 26, 0, 0, 18, 8, 4, 0, 88, 23, 1, 0, 221, 21, 0, 0, 242, 26, 0, 0, 10, 88, 2, 0, 104, 23, 1, 0, 221, 21, 0, 0, 239, 29, 0, 0, 9, 200, 3, 0, 128, 23, 1, 0, 221, 21, 0, 0, 6, 30, 0, 0, 9, 212, 3, 0, 168, 23, 1, 0, 180, 17, 0, 0, 28, 30, 0, 0, 7, 8, 1, 0, 192, 23, 1, 0, 180, 17, 0, 0, 77, 30, 0, 0, 6, 12, 1, 0, 232, 23, 1, 0, 120, 3, 0, 0, 87, 30, 0, 0, 6, 192, 3, 0, 240, 23, 1, 0, 120, 3, 0, 0, 87, 30, 0, 0, 6, 192, 3, 0, 248, 23, 1, 0, 180, 17, 0, 0, 127, 30, 0, 0, 24, 60, 1, 0, 0, 24, 1, 0, 180, 17, 0, 0, 127, 30, 0, 0, 12, 60, 1, 0, 8, 24, 1, 0, 44, 10, 0, 0, 152, 10, 0, 0, 8, 232, 1, 0, 112, 24, 1, 0, 44, 10, 0, 0, 185, 10, 0, 0, 6, 236, 1, 0, 120, 24, 1, 0, 180, 17, 0, 0, 156, 30, 0, 0, 6, 72, 1, 0, 128, 24, 1, 0, 180, 17, 0, 0, 228, 12, 0, 0, 6, 76, 1, 0, 144, 24, 1, 0, 44, 10, 0, 0, 116, 11, 0, 0, 51, 240, 1, 0, 160, 24, 1, 0, 44, 10, 0, 0, 116, 11, 0, 0, 7, 240, 1, 0, 168, 24, 1, 0, 44, 10, 0, 0, 208, 11, 0, 0, 10, 4, 2, 0, 8, 25, 1, 0, 44, 10, 0, 0, 247, 11, 0, 0, 7, 8, 2, 0, 24, 25, 1, 0, 44, 10, 0, 0, 47, 12, 0, 0, 7, 24, 2, 0, 64, 25, 1, 0, 44, 10, 0, 0, 90, 12, 0, 0, 10, 28, 2, 0, 80, 25, 1, 0, 44, 10, 0, 0, 90, 12, 0, 0, 10, 28, 2, 0, 88, 25, 1, 0, 44, 10, 0, 0, 128, 12, 0, 0, 7, 44, 2, 0, 120, 25, 1, 0, 180, 17, 0, 0, 187, 30, 0, 0, 8, 20, 1, 0, 144, 25, 1, 0, 120, 3, 0, 0, 243, 30, 0, 0, 6, 136, 2, 0, 160, 25, 1, 0, 44, 10, 0, 0, 139, 12, 0, 0, 10, 36, 2, 0, 0, 26, 1, 0, 44, 10, 0, 0, 128, 12, 0, 0, 7, 44, 2, 0, 40, 26, 1, 0, 44, 10, 0, 0, 176, 12, 0, 0, 28, 48, 2, 0, 56, 26, 1, 0, 44, 10, 0, 0, 176, 12, 0, 0, 28, 48, 2, 0, 64, 26, 1, 0, 180, 17, 0, 0, 156, 30, 0, 0, 6, 72, 1, 0, 72, 26, 1, 0, 180, 17, 0, 0, 228, 12, 0, 0, 6, 76, 1, 0, 96, 26, 1, 0, 180, 17, 0, 0, 15, 31, 0, 0, 8, 112, 1, 0, 136, 26, 1, 0, 180, 17, 0, 0, 72, 31, 0, 0, 6, 116, 1, 0, 144, 26, 1, 0, 180, 17, 0, 0, 84, 31, 0, 0, 22, 124, 1, 0, 168, 26, 1, 0, 180, 17, 0, 0, 84, 31, 0, 0, 17, 124, 1, 0, 184, 26, 1, 0, 180, 17, 0, 0, 118, 31, 0, 0, 19, 120, 1, 0, 192, 26, 1, 0, 180, 17, 0, 0, 118, 31, 0, 0, 14, 120, 1, 0, 216, 26, 1, 0, 180, 17, 0, 0, 27, 18, 0, 0, 14, 136, 1, 0, 8, 27, 1, 0, 180, 17, 0, 0, 27, 18, 0, 0, 14, 136, 1, 0, 16, 27, 1, 0, 180, 17, 0, 0, 27, 18, 0, 0, 7, 136, 1, 0, 24, 27, 1, 0, 180, 17, 0, 0, 66, 18, 0, 0, 6, 140, 1, 0, 48, 27, 1, 0, 180, 17, 0, 0, 28, 30, 0, 0, 7, 152, 1, 0, 80, 27, 1, 0, 180, 17, 0, 0, 146, 31, 0, 0, 6, 164, 1, 0, 104, 27, 1, 0, 180, 17, 0, 0, 187, 30, 0, 0, 8, 172, 1, 0, 136, 27, 1, 0, 180, 17, 0, 0, 158, 31, 0, 0, 7, 176, 1, 0, 160, 27, 1, 0, 180, 17, 0, 0, 170, 31, 0, 0, 4, 192, 1, 0, 184, 27, 1, 0, 180, 17, 0, 0, 222, 31, 0, 0, 3, 204, 1, 0, 192, 27, 1, 0, 180, 17, 0, 0, 226, 31, 0, 0, 7, 244, 1, 0, 208, 27, 1, 0, 180, 17, 0, 0, 245, 31, 0, 0, 24, 4, 2, 0, 216, 27, 1, 0, 180, 17, 0, 0, 23, 32, 0, 0, 17, 8, 2, 0, 224, 27, 1, 0, 180, 17, 0, 0, 245, 31, 0, 0, 17, 4, 2, 0, 232, 27, 1, 0, 180, 17, 0, 0, 57, 32, 0, 0, 19, 12, 2, 0, 240, 27, 1, 0, 180, 17, 0, 0, 57, 32, 0, 0, 17, 12, 2, 0, 64, 28, 1, 0, 180, 17, 0, 0, 81, 32, 0, 0, 23, 56, 2, 0, 72, 28, 1, 0, 180, 17, 0, 0, 81, 32, 0, 0, 16, 56, 2, 0, 80, 28, 1, 0, 180, 17, 0, 0, 114, 32, 0, 0, 6, 76, 2, 0, 112, 28, 1, 0, 180, 17, 0, 0, 129, 32, 0, 0, 3, 80, 2, 0, 152, 28, 1, 0, 120, 3, 0, 0, 197, 32, 0, 0, 6, 216, 3, 0, 176, 28, 1, 0, 120, 3, 0, 0, 197, 32, 0, 0, 6, 216, 3, 0, 192, 28, 1, 0, 215, 32, 0, 0, 54, 33, 0, 0, 10, 4, 1, 0, 240, 28, 1, 0, 215, 32, 0, 0, 116, 33, 0, 0, 6, 8, 1, 0, 248, 28, 1, 0, 120, 3, 0, 0, 129, 33, 0, 0, 19, 236, 3, 0, 0, 29, 1, 0, 172, 8, 0, 0, 157, 33, 0, 0, 15, 200, 1, 0, 8, 29, 1, 0, 172, 8, 0, 0, 183, 33, 0, 0, 10, 196, 1, 0, 32, 29, 1, 0, 172, 8, 0, 0, 199, 33, 0, 0, 17, 204, 1, 0, 56, 29, 1, 0, 172, 8, 0, 0, 1, 34, 0, 0, 6, 216, 1, 0, 72, 29, 1, 0, 172, 8, 0, 0, 20, 34, 0, 0, 3, 220, 1, 0, 104, 29, 1, 0, 215, 32, 0, 0, 78, 34, 0, 0, 15, 180, 1, 0, 120, 29, 1, 0, 215, 32, 0, 0, 100, 34, 0, 0, 16, 172, 1, 0, 128, 29, 1, 0, 215, 32, 0, 0, 78, 34, 0, 0, 15, 180, 1, 0, 136, 29, 1, 0, 215, 32, 0, 0, 124, 34, 0, 0, 20, 176, 1, 0, 144, 29, 1, 0, 215, 32, 0, 0, 156, 34, 0, 0, 14, 192, 1, 0, 168, 29, 1, 0, 120, 3, 0, 0, 183, 34, 0, 0, 22, 12, 4, 0, 176, 29, 1, 0, 120, 3, 0, 0, 183, 34, 0, 0, 15, 12, 4, 0, 184, 29, 1, 0, 120, 3, 0, 0, 215, 34, 0, 0, 14, 16, 4, 0, 192, 29, 1, 0, 120, 3, 0, 0, 215, 34, 0, 0, 12, 16, 4, 0, 200, 29, 1, 0, 215, 32, 0, 0, 0, 35, 0, 0, 6, 116, 1, 0, 232, 29, 1, 0, 215, 32, 0, 0, 0, 35, 0, 0, 6, 116, 1, 0, 248, 29, 1, 0, 215, 32, 0, 0, 50, 35, 0, 0, 6, 140, 1, 0, 0, 30, 1, 0, 215, 32, 0, 0, 85, 35, 0, 0, 3, 144, 1, 0, 24, 30, 1, 0, 215, 32, 0, 0, 85, 35, 0, 0, 3, 144, 1, 0, 32, 30, 1, 0, 215, 32, 0, 0, 85, 35, 0, 0, 3, 144, 1, 0, 112, 30, 1, 0, 215, 32, 0, 0, 85, 35, 0, 0, 3, 144, 1, 0, 120, 30, 1, 0, 215, 32, 0, 0, 85, 35, 0, 0, 3, 144, 1, 0, 168, 30, 1, 0, 215, 32, 0, 0, 153, 35, 0, 0, 17, 168, 1, 0, 192, 30, 1, 0, 215, 32, 0, 0, 78, 34, 0, 0, 15, 180, 1, 0, 208, 30, 1, 0, 215, 32, 0, 0, 124, 34, 0, 0, 20, 176, 1, 0, 216, 30, 1, 0, 215, 32, 0, 0, 100, 34, 0, 0, 16, 172, 1, 0, 232, 30, 1, 0, 215, 32, 0, 0, 78, 34, 0, 0, 15, 180, 1, 0, 240, 30, 1, 0, 215, 32, 0, 0, 156, 34, 0, 0, 14, 192, 1, 0, 24, 31, 1, 0, 215, 32, 0, 0, 185, 35, 0, 0, 2, 248, 1, 0, 88, 33, 1, 0, 120, 3, 0, 0, 222, 35, 0, 0, 12, 40, 4, 0, 96, 33, 1, 0, 120, 3, 0, 0, 222, 35, 0, 0, 10, 40, 4, 0, 104, 33, 1, 0, 215, 32, 0, 0, 185, 35, 0, 0, 2, 248, 1, 0, 112, 33, 1, 0, 120, 3, 0, 0, 5, 36, 0, 0, 2, 44, 4, 0, 136, 33, 1, 0, 215, 32, 0, 0, 0, 35, 0, 0, 6, 116, 1, 0, 168, 33, 1, 0, 215, 32, 0, 0, 0, 35, 0, 0, 6, 116, 1, 0, 184, 33, 1, 0, 215, 32, 0, 0, 50, 35, 0, 0, 6, 140, 1, 0, 192, 33, 1, 0, 215, 32, 0, 0, 85, 35, 0, 0, 3, 144, 1, 0, 216, 33, 1, 0, 215, 32, 0, 0, 85, 35, 0, 0, 3, 144, 1, 0, 224, 33, 1, 0, 215, 32, 0, 0, 85, 35, 0, 0, 3, 144, 1, 0, 48, 34, 1, 0, 215, 32, 0, 0, 85, 35, 0, 0, 3, 144, 1, 0, 56, 34, 1, 0, 215, 32, 0, 0, 85, 35, 0, 0, 3, 144, 1, 0, 184, 34, 1, 0, 215, 32, 0, 0, 56, 36, 0, 0, 2, 44, 1, 0, 216, 34, 1, 0, 120, 3, 0, 0, 87, 30, 0, 0, 6, 252, 4, 0, 224, 34, 1, 0, 120, 3, 0, 0, 87, 30, 0, 0, 6, 252, 4, 0, 232, 34, 1, 0, 180, 17, 0, 0, 127, 30, 0, 0, 24, 112, 2, 0, 240, 34, 1, 0, 180, 17, 0, 0, 127, 30, 0, 0, 12, 112, 2, 0, 8, 35, 1, 0, 180, 17, 0, 0, 15, 31, 0, 0, 8, 124, 2, 0, 32, 35, 1, 0, 180, 17, 0, 0, 216, 9, 0, 0, 6, 128, 2, 0, 40, 35, 1, 0, 180, 17, 0, 0, 88, 36, 0, 0, 12, 144, 2, 0, 48, 35, 1, 0, 180, 17, 0, 0, 88, 36, 0, 0, 6, 144, 2, 0, 56, 35, 1, 0, 44, 10, 0, 0, 152, 10, 0, 0, 8, 232, 1, 0, 160, 35, 1, 0, 44, 10, 0, 0, 185, 10, 0, 0, 6, 236, 1, 0, 176, 35, 1, 0, 44, 10, 0, 0, 116, 11, 0, 0, 51, 240, 1, 0, 192, 35, 1, 0, 44, 10, 0, 0, 116, 11, 0, 0, 7, 240, 1, 0, 200, 35, 1, 0, 44, 10, 0, 0, 208, 11, 0, 0, 10, 4, 2, 0, 40, 36, 1, 0, 44, 10, 0, 0, 247, 11, 0, 0, 7, 8, 2, 0, 56, 36, 1, 0, 44, 10, 0, 0, 47, 12, 0, 0, 7, 24, 2, 0, 96, 36, 1, 0, 44, 10, 0, 0, 90, 12, 0, 0, 10, 28, 2, 0, 128, 36, 1, 0, 44, 10, 0, 0, 90, 12, 0, 0, 10, 28, 2, 0, 136, 36, 1, 0, 44, 10, 0, 0, 128, 12, 0, 0, 7, 44, 2, 0, 152, 36, 1, 0, 215, 32, 0, 0, 153, 35, 0, 0, 17, 168, 1, 0, 168, 36, 1, 0, 215, 32, 0, 0, 78, 34, 0, 0, 15, 180, 1, 0, 192, 36, 1, 0, 215, 32, 0, 0, 124, 34, 0, 0, 20, 176, 1, 0, 208, 36, 1, 0, 215, 32, 0, 0, 100, 34, 0, 0, 16, 172, 1, 0, 216, 36, 1, 0, 215, 32, 0, 0, 156, 34, 0, 0, 14, 192, 1, 0, 0, 37, 1, 0, 120, 3, 0, 0, 105, 36, 0, 0, 19, 68, 4, 0, 8, 37, 1, 0, 120, 3, 0, 0, 105, 36, 0, 0, 12, 68, 4, 0, 16, 37, 1, 0, 120, 3, 0, 0, 129, 36, 0, 0, 17, 72, 4, 0, 24, 37, 1, 0, 120, 3, 0, 0, 129, 36, 0, 0, 10, 72, 4, 0, 40, 37, 1, 0, 120, 3, 0, 0, 157, 36, 0, 0, 11, 76, 4, 0, 56, 37, 1, 0, 120, 3, 0, 0, 157, 36, 0, 0, 6, 76, 4, 0, 64, 37, 1, 0, 120, 3, 0, 0, 180, 36, 0, 0, 38, 80, 4, 0, 72, 37, 1, 0, 120, 3, 0, 0, 180, 36, 0, 0, 17, 80, 4, 0, 104, 37, 1, 0, 215, 32, 0, 0, 6, 37, 0, 0, 16, 16, 2, 0, 144, 37, 1, 0, 120, 3, 0, 0, 27, 37, 0, 0, 17, 96, 4, 0, 152, 37, 1, 0, 120, 3, 0, 0, 68, 37, 0, 0, 2, 100, 4, 0, 168, 37, 1, 0, 120, 3, 0, 0, 98, 37, 0, 0, 2, 168, 4, 0, 192, 37, 1, 0, 120, 3, 0, 0, 98, 37, 0, 0, 2, 168, 4, 0, 216, 37, 1, 0, 120, 3, 0, 0, 98, 37, 0, 0, 2, 168, 4, 0, 16, 38, 1, 0, 120, 3, 0, 0, 112, 37, 0, 0, 2, 172, 4, 0, 32, 38, 1, 0, 120, 3, 0, 0, 112, 37, 0, 0, 2, 172, 4, 0, 56, 38, 1, 0, 120, 3, 0, 0, 112, 37, 0, 0, 2, 172, 4, 0, 112, 38, 1, 0, 120, 3, 0, 0, 126, 37, 0, 0, 2, 176, 4, 0, 128, 38, 1, 0, 120, 3, 0, 0, 126, 37, 0, 0, 2, 176, 4, 0, 152, 38, 1, 0, 120, 3, 0, 0, 126, 37, 0, 0, 2, 176, 4, 0, 208, 38, 1, 0, 120, 3, 0, 0, 140, 37, 0, 0, 2, 180, 4, 0, 224, 38, 1, 0, 120, 3, 0, 0, 140, 37, 0, 0, 2, 180, 4, 0, 248, 38, 1, 0, 120, 3, 0, 0, 140, 37, 0, 0, 2, 180, 4, 0, 48, 39, 1, 0, 120, 3, 0, 0, 154, 37, 0, 0, 2, 184, 4, 0, 64, 39, 1, 0, 120, 3, 0, 0, 154, 37, 0, 0, 2, 184, 4, 0, 88, 39, 1, 0, 120, 3, 0, 0, 154, 37, 0, 0, 2, 184, 4, 0, 144, 39, 1, 0, 120, 3, 0, 0, 168, 37, 0, 0, 2, 188, 4, 0, 160, 39, 1, 0, 120, 3, 0, 0, 168, 37, 0, 0, 2, 188, 4, 0, 184, 39, 1, 0, 120, 3, 0, 0, 168, 37, 0, 0, 2, 188, 4, 0, 240, 39, 1, 0, 120, 3, 0, 0, 182, 37, 0, 0, 2, 192, 4, 0, 0, 40, 1, 0, 120, 3, 0, 0, 182, 37, 0, 0, 2, 192, 4, 0, 24, 40, 1, 0, 120, 3, 0, 0, 182, 37, 0, 0, 2, 192, 4, 0, 80, 40, 1, 0, 120, 3, 0, 0, 196, 37, 0, 0, 2, 196, 4, 0, 96, 40, 1, 0, 120, 3, 0, 0, 196, 37, 0, 0, 2, 196, 4, 0, 120, 40, 1, 0, 120, 3, 0, 0, 196, 37, 0, 0, 2, 196, 4, 0, 176, 40, 1, 0, 120, 3, 0, 0, 210, 37, 0, 0, 2, 200, 4, 0, 192, 40, 1, 0, 120, 3, 0, 0, 210, 37, 0, 0, 2, 200, 4, 0, 216, 40, 1, 0, 120, 3, 0, 0, 210, 37, 0, 0, 2, 200, 4, 0, 16, 41, 1, 0, 120, 3, 0, 0, 224, 37, 0, 0, 2, 204, 4, 0, 32, 41, 1, 0, 120, 3, 0, 0, 224, 37, 0, 0, 2, 204, 4, 0, 56, 41, 1, 0, 120, 3, 0, 0, 224, 37, 0, 0, 2, 204, 4, 0, 112, 41, 1, 0, 215, 32, 0, 0, 6, 37, 0, 0, 16, 16, 2, 0, 144, 41, 1, 0, 120, 3, 0, 0, 238, 37, 0, 0, 30, 212, 4, 0, 152, 41, 1, 0, 120, 3, 0, 0, 238, 37, 0, 0, 6, 212, 4, 0, 160, 41, 1, 0, 215, 32, 0, 0, 27, 38, 0, 0, 2, 64, 1, 0, 192, 41, 1, 0, 44, 10, 0, 0, 139, 12, 0, 0, 10, 36, 2, 0, 24, 42, 1, 0, 44, 10, 0, 0, 128, 12, 0, 0, 7, 44, 2, 0, 64, 42, 1, 0, 44, 10, 0, 0, 176, 12, 0, 0, 28, 48, 2, 0, 96, 42, 1, 0, 44, 10, 0, 0, 176, 12, 0, 0, 28, 48, 2, 0, 104, 42, 1, 0, 180, 17, 0, 0, 228, 12, 0, 0, 6, 160, 2, 0, 144, 42, 1, 0, 180, 17, 0, 0, 27, 18, 0, 0, 14, 172, 2, 0, 176, 42, 1, 0, 180, 17, 0, 0, 27, 18, 0, 0, 14, 172, 2, 0, 184, 42, 1, 0, 180, 17, 0, 0, 27, 18, 0, 0, 7, 172, 2, 0, 192, 42, 1, 0, 180, 17, 0, 0, 66, 18, 0, 0, 6, 176, 2, 0, 200, 42, 1, 0, 180, 17, 0, 0, 58, 38, 0, 0, 11, 188, 2, 0, 208, 42, 1, 0, 180, 17, 0, 0, 58, 38, 0, 0, 6, 188, 2, 0, 216, 42, 1, 0, 180, 17, 0, 0, 84, 38, 0, 0, 17, 196, 2, 0, 16, 43, 1, 0, 180, 17, 0, 0, 131, 38, 0, 0, 2, 236, 2, 0, 40, 43, 1, 0, 48, 5, 0, 0, 175, 38, 0, 0, 2, 112, 0, 0, 16, 0, 0, 0, 35, 5, 0, 0, 33, 0, 0, 0, 192, 0, 0, 0, 119, 0, 0, 0, 50, 6, 0, 0, 10, 0, 0, 0, 240, 0, 0, 0, 111, 0, 0, 0, 15, 7, 0, 0, 0, 0, 0, 0, 32, 1, 0, 0, 111, 0, 0, 0, 181, 7, 0, 0, 0, 0, 0, 0, 48, 1, 0, 0, 111, 0, 0, 0, 222, 7, 0, 0, 0, 0, 0, 0, 64, 1, 0, 0, 111, 0, 0, 0, 7, 8, 0, 0, 0, 0, 0, 0, 80, 1, 0, 0, 111, 0, 0, 0, 48, 8, 0, 0, 0, 0, 0, 0, 96, 1, 0, 0, 111, 0, 0, 0, 89, 8, 0, 0, 0, 0, 0, 0, 144, 3, 0, 0, 120, 0, 0, 0, 50, 6, 0, 0, 8, 0, 0, 0, 160, 3, 0, 0, 126, 0, 0, 0, 50, 6, 0, 0, 8, 0, 0, 0, 24, 4, 0, 0, 130, 0, 0, 0, 43, 12, 0, 0, 2, 0, 0, 0, 40, 4, 0, 0, 130, 0, 0, 0, 43, 12, 0, 0, 0, 0, 0, 0, 216, 4, 0, 0, 126, 0, 0, 0, 43, 12, 0, 0, 0, 0, 0, 0, 32, 5, 0, 0, 137, 0, 0, 0, 175, 17, 0, 0, 0, 0, 0, 0, 120, 5, 0, 0, 137, 0, 0, 0, 175, 17, 0, 0, 0, 0, 0, 0, 176, 5, 0, 0, 137, 0, 0, 0, 120, 18, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 137, 0, 0, 0, 161, 18, 0, 0, 0, 0, 0, 0, 64, 6, 0, 0, 137, 0, 0, 0, 210, 18, 0, 0, 0, 0, 0, 0, 192, 6, 0, 0, 137, 0, 0, 0, 136, 19, 0, 0, 0, 0, 0, 0, 8, 7, 0, 0, 137, 0, 0, 0, 161, 18, 0, 0, 0, 0, 0, 0, 40, 136, 0, 0, 137, 0, 0, 0, 136, 19, 0, 0, 0, 0, 0, 0, 112, 136, 0, 0, 137, 0, 0, 0, 210, 18, 0, 0, 0, 0, 0, 0, 136, 24, 1, 0, 120, 0, 0, 0, 50, 6, 0, 0, 8, 0, 0, 0, 152, 24, 1, 0, 126, 0, 0, 0, 50, 6, 0, 0, 8, 0, 0, 0, 16, 25, 1, 0, 130, 0, 0, 0, 43, 12, 0, 0, 2, 0, 0, 0, 32, 25, 1, 0, 130, 0, 0, 0, 43, 12, 0, 0, 0, 0, 0, 0, 8, 26, 1, 0, 126, 0, 0, 0, 43, 12, 0, 0, 0, 0, 0, 0, 208, 26, 1, 0, 137, 0, 0, 0, 175, 17, 0, 0, 0, 0, 0, 0, 168, 35, 1, 0, 120, 0, 0, 0, 50, 6, 0, 0, 8, 0, 0, 0, 184, 35, 1, 0, 126, 0, 0, 0, 50, 6, 0, 0, 8, 0, 0, 0, 48, 36, 1, 0, 130, 0, 0, 0, 43, 12, 0, 0, 2, 0, 0, 0, 64, 36, 1, 0, 130, 0, 0, 0, 43, 12, 0, 0, 0, 0, 0, 0, 32, 42, 1, 0, 126, 0, 0, 0, 43, 12, 0, 0, 0, 0, 0, 0, 112, 42, 1, 0, 137, 0, 0, 0, 175, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 74, 1, 0, 0, 1, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 20, 0, 0, 0, 1, 0, 5, 0, 12, 0, 0, 0, 0, 0, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 181, 1, 0, 0, 1, 0, 5, 0, 48, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 1, 0, 5, 0, 125, 0, 0, 0, 0, 0, 0, 0, 38, 0, 0, 0, 0, 0, 0, 0, 106, 0, 0, 0, 1, 0, 5, 0, 163, 0, 0, 0, 0, 0, 0, 0, 57, 0, 0, 0, 0, 0, 0, 0, 44, 0, 0, 0, 1, 0, 5, 0, 96, 0, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 124, 0, 0, 0, 1, 0, 5, 0, 220, 0, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 81, 0, 0, 0, 1, 0, 5, 0, 249, 0, 0, 0, 0, 0, 0, 0, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 207, 1, 0, 0, 18, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 175, 1, 0, 0, 18, 0, 2, 0, 48, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 169, 1, 0, 0, 18, 0, 2, 0, 96, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 163, 1, 0, 0, 18, 0, 2, 0, 144, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 157, 1, 0, 0, 18, 0, 2, 0, 192, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 151, 1, 0, 0, 18, 0, 2, 0, 240, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 145, 1, 0, 0, 18, 0, 2, 0, 32, 1, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 139, 1, 0, 0, 18, 0, 2, 0, 80, 1, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 133, 1, 0, 0, 18, 0, 2, 0, 128, 1, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 127, 1, 0, 0, 18, 0, 2, 0, 176, 1, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 44, 1, 0, 0, 18, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 43, 1, 0, 0, 0, 0, 0, 212, 0, 0, 0, 17, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 239, 0, 0, 0, 17, 0, 7, 0, 192, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 104, 1, 0, 0, 17, 0, 5, 0, 4, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 250, 0, 0, 0, 17, 0, 7, 0, 96, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 10, 1, 0, 0, 17, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 191, 0, 0, 0, 17, 0, 7, 0, 80, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 199, 0, 0, 0, 17, 0, 7, 0, 160, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 230, 0, 0, 0, 17, 0, 7, 0, 128, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 150, 0, 0, 0, 17, 0, 5, 0, 8, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 157, 0, 0, 0, 17, 0, 7, 0, 64, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 168, 0, 0, 0, 17, 0, 7, 0, 32, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 181, 0, 0, 0, 17, 0, 7, 0, 224, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 34, 1, 0, 0, 17, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 128, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 12, 0, 0, 0, 184, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 24, 0, 0, 0, 216, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 12, 0, 0, 0, 32, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 12, 0, 0, 0, 80, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 0, 0, 0, 40, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 0, 0, 0, 128, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 27, 0, 0, 0, 168, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 28, 0, 0, 0, 200, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 56, 10, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 152, 10, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 0, 0, 0, 104, 11, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 0, 0, 0, 72, 12, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 27, 0, 0, 0, 216, 15, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 28, 0, 0, 0, 248, 15, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 112, 16, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 240, 16, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 28, 0, 0, 0, 16, 17, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 128, 17, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 16, 19, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 28, 0, 0, 0, 48, 19, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 152, 19, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 232, 19, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 28, 0, 0, 0, 8, 20, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 120, 20, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 232, 21, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 28, 0, 0, 0, 8, 22, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 120, 22, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 168, 23, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 120, 25, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 96, 26, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 0, 0, 0, 48, 27, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 104, 27, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 160, 27, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 24, 28, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 112, 28, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 152, 28, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 32, 0, 0, 0, 192, 28, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 33, 0, 0, 0, 32, 29, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 0, 0, 0, 0, 30, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 28, 0, 0, 0, 32, 30, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 192, 33, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 28, 0, 0, 0, 224, 33, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 128, 34, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 8, 35, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 0, 0, 0, 72, 37, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 35, 0, 0, 0, 168, 37, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 32, 0, 0, 0, 224, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 0, 0, 0, 64, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 0, 0, 0, 160, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 0, 0, 0, 0, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 0, 0, 0, 96, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 0, 0, 0, 192, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 0, 0, 0, 32, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 0, 0, 0, 128, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 0, 0, 0, 224, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 0, 0, 0, 64, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 0, 0, 0, 16, 43, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 68, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 92, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 24, 0, 0, 0, 104, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 34, 0, 0, 0, 116, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 33, 0, 0, 0, 128, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 29, 0, 0, 0, 140, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 27, 0, 0, 0, 152, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 31, 0, 0, 0, 164, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 30, 0, 0, 0, 176, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 25, 0, 0, 0, 188, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 35, 0, 0, 0, 212, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 28, 0, 0, 0, 224, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 26, 0, 0, 0, 236, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 32, 0, 0, 0, 248, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 4, 28, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 16, 28, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 28, 28, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 40, 28, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 52, 28, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 64, 28, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 88, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 36, 0, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 52, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 60, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 68, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 76, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 84, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 92, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 108, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 132, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 152, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 184, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 200, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 216, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 232, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 248, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 40, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 56, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 72, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 88, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 104, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 120, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 136, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 152, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 168, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 184, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 200, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 216, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 232, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 248, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 8, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 40, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 56, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 72, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 88, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 104, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 120, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 136, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 152, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 168, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 184, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 200, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 216, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 232, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 248, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 8, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 32, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 220, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 236, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 252, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 12, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 28, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 44, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 60, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 76, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 92, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 108, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 124, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 140, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 156, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 172, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 188, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 204, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 220, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 236, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 252, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 12, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 28, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 44, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 60, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 76, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 92, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 108, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 124, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 140, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 156, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 172, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 188, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 204, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 220, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 33, 38, 36, 42, 46, 34, 44, 43, 39, 37, 41, 40, 35, 45, 5, 6, 9, 7, 8, 10, 11, 0, 46, 116, 101, 120, 116, 0, 46, 114, 101, 108, 46, 66, 84, 70, 46, 101, 120, 116, 0, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116, 0, 102, 105, 108, 116, 101, 114, 95, 98, 121, 116, 101, 115, 46, 95, 95, 95, 102, 109, 116, 0, 99, 109, 112, 95, 98, 121, 116, 101, 115, 46, 95, 95, 95, 102, 109, 116, 0, 103, 101, 116, 95, 101, 118, 101, 110, 116, 95, 115, 101, 99, 116, 105, 111, 110, 46, 95, 95, 95, 102, 109, 116, 0, 102, 105, 108, 116, 101, 114, 95, 110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0, 99, 109, 112, 95, 110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0, 46, 98, 115, 115, 0, 46, 109, 97, 112, 115, 0, 110, 104, 111, 111, 107, 115, 0, 101, 118, 101, 110, 116, 115, 95, 109, 97, 112, 0, 99, 111, 117, 110, 116, 101, 114, 115, 95, 109, 97, 112, 0, 115, 116, 97, 99, 107, 95, 109, 97, 112, 0, 108, 111, 103, 95, 109, 97, 112, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 0, 103, 108, 111, 98, 97, 108, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 102, 105, 108, 116, 101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 0, 108, 111, 103, 95, 108, 101, 118, 101, 108, 0, 46, 108, 108, 118, 109, 95, 97, 100, 100, 114, 115, 105, 103, 0, 95, 95, 108, 105, 99, 101, 110, 115, 101, 0, 112, 114, 111, 98, 101, 95, 107, 112, 114, 111, 98, 101, 0, 46, 114, 101, 108, 107, 112, 114, 111, 98, 101, 47, 112, 114, 111, 98, 101, 0, 99, 104, 97, 105, 110, 46, 101, 110, 97, 98, 108, 101, 100, 0, 46, 115, 116, 114, 116, 97, 98, 0, 46, 115, 121, 109, 116, 97, 98, 0, 110, 109, 101, 116, 97, 0, 46, 114, 111, 100, 97, 116, 97, 0, 46, 114, 101, 108, 46, 66, 84, 70, 0, 104, 111, 111, 107, 57, 0, 104, 111, 111, 107, 56, 0, 104, 111, 111, 107, 55, 0, 104, 111, 111, 107, 54, 0, 104, 111, 111, 107, 53, 0, 104, 111, 111, 107, 52, 0, 104, 111, 111, 107, 51, 0, 104, 111, 111, 107, 50, 0, 104, 111, 111, 107, 49, 0, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116, 46, 49, 0, 104, 111, 111, 107, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 186, 1, 0, 0, 0, 0, 0, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 61, 1, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 2, 0, 0, 0, 0, 0, 0, 56, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 57, 1, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 150, 1, 0, 0, 0, 0, 0, 160, 3, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 3, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 110, 1, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 45, 1, 0, 0, 0, 0, 0, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 36, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 134, 46, 1, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 46, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 139, 0, 0, 0, 8, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 47, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 122, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 47, 1, 0, 0, 0, 0, 0, 153, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 118, 1, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 154, 1, 0, 0, 0, 0, 0, 80, 1, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 9, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 11, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 116, 1, 0, 0, 0, 0, 0, 236, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 155, 1, 0, 0, 0, 0, 0, 240, 30, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 11, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 20, 1, 0, 0, 3, 76, 255, 111, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 186, 1, 0, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 147, 1, 0, 0, 0, 0, 0, 120, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 13, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0];
}
